# BiomesOPlenty

import crafttweaker.item.IItemStack;

print("Initializing 'BiomesOPlenty'...");


// Рецепты в центрифуге
// Переработка илистой земли
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:dirt:2>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 1250, 700)
    .chancedOutput(<gregtech:meta_item_1:105> * 3, 4000, 900)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка песчаной земли
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:dirt:1>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 1250, 700)
    .chancedOutput(<gregtech:meta_item_1:159> * 3, 4000, 900)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка глинистой земли
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:dirt>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 1250, 700)
    .chancedOutput(<gregtech:meta_item_1:2105>, 4000, 900)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка сухого песка
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:dried_sand>)
    .chancedOutput(<gregtech:meta_item_1:2269>, 3000, 700)
    .chancedOutput(<gregtech:meta_item_1:2960>, 3000, 700)
    .duration(10 * 20)
    .EUt(8)
    .buildAndRegister();

// Переработка куска плоти
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:fleshchunk>)
    .fluidOutputs([<liquid:methane> * 40])
    .duration(7 * 20)
    .EUt(5)
    .buildAndRegister();

// Переработка плоти (блок)
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:flesh>)
    .fluidOutputs([<liquid:methane> * 160])
    .duration(15 * 20)
    .EUt(5)
    .buildAndRegister();

// Переработка илистого блока травы
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:4>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:105> * 3, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка песчаного блока травы
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:3>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:159> * 3, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка изначального блока травы
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:5>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:dirt>, 5000, 1200)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка заросшего камня
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:1>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:stone>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:105>, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка глинистого блока травы
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:2>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:2105>, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка заросшего адского камня
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:6>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:netherrack>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:65> * 3, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка мицелиевого адского камня
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:8>)
    .chancedOutput(<minecraft:red_mushroom>, 2500, 900)
    .chancedOutput(<minecraft:brown_mushroom>, 2500, 900)
    .chancedOutput(<minecraft:netherrack>, 5000, 900)
    .chancedOutput(<gregtech:meta_item_1:105>, 5000, 900)
    .duration(30 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка спектрального мха
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass>)
    .chancedOutput(<gregtech:meta_item_2:32570>, 3000, 1200)
    .chancedOutput(<minecraft:end_stone>, 5000, 1200)
    .chancedOutput(<gregtech:meta_item_1:218>, 5000, 900)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка цветущий блок травы
centrifuge.recipeBuilder()
    .inputs(<biomesoplenty:grass:7>)
    .chancedOutput(<gregtech:meta_item_2:32570> * 3, 5000, 1200)
    .chancedOutput(<minecraft:sand>, 5000, 1200)
    .duration(12.5 * 20)
    .EUt(30)
    .buildAndRegister();

// Рецепты в дробителе
// Переработка пустой блок медового сота
macerator.recipeBuilder()
    .inputs(<biomesoplenty:hive:2>)
    .outputs(<forestry:beeswax> * 2)
    .chancedOutput(<forestry:refractory_wax>, 3000, 500)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка блок медового сота
macerator.recipeBuilder()
    .inputs(<biomesoplenty:hive:1>)
    .outputs(<forestry:beeswax> * 4)
    .chancedOutput(<forestry:refractory_wax>, 5000, 500)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка блок улья
macerator.recipeBuilder()
    .inputs(<biomesoplenty:hive>)
    .outputs(<forestry:beeswax> * 6)
    .chancedOutput(<forestry:refractory_wax>, 7000, 500)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка заполненный блок медового сота
macerator.recipeBuilder()
    .inputs(<biomesoplenty:hive:3>)
    .outputs(<forestry:beeswax> * 4)
    .outputs(<forestry:honey_drop> * 3)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка медовый блок
macerator.recipeBuilder()
    .inputs(<biomesoplenty:honey_block>)
    .outputs(<forestry:honey_drop> * 9)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка заполненные медовые соты
macerator.recipeBuilder()
    .inputs(<biomesoplenty:filled_honeycomb>)
    .outputs(<forestry:beeswax>)
    .chancedOutput(<forestry:honey_drop>, 7000, 500)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка пустые медовые соты
macerator.recipeBuilder()
    .inputs(<biomesoplenty:honeycomb>)
    .outputs(<forestry:beeswax>)
    .duration(7.5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка синий коралл
macerator.recipeBuilder()
    .inputs(<biomesoplenty:coral:2>)
    .outputs(<biomesoplenty:blue_dye> * 4)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка оранжевый коралл
macerator.recipeBuilder()
    .inputs(<biomesoplenty:coral:1>)
    .outputs(<minecraft:dye:14> * 4)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка розовый коралл
macerator.recipeBuilder()
    .inputs(<biomesoplenty:coral>)
    .outputs(<minecraft:dye:9> * 4)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка светящиеся коралл
macerator.recipeBuilder()
    .inputs(<biomesoplenty:coral:3>)
    .outputs(<minecraft:dye:5> * 4)
    .chancedOutput(<minecraft:glowstone_dust>, 5000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка ледяной ирис
macerator.recipeBuilder()
    .inputs(<biomesoplenty:flower_1:4>)
    .outputs(<minecraft:dye:12> * 4)
    .chancedOutput(<thermalfoundation:material:2049>, 3000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка горицвет
macerator.recipeBuilder()
    .inputs(<biomesoplenty:flower_0:15>)
    .outputs(<minecraft:dye:14> * 4)
    .chancedOutput(<minecraft:blaze_powder>, 3000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка светящиеся цветок
macerator.recipeBuilder()
    .inputs(<biomesoplenty:flower_0:3>)
    .outputs(<minecraft:dye:6> * 4)
    .outputs(<minecraft:glowstone_dust>)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка светящиеся гриб
macerator.recipeBuilder()
    .inputs(<biomesoplenty:mushroom:3>)
    .outputs(<minecraft:dye:10> * 4)
    .chancedOutput(<minecraft:glowstone_dust>, 3000, 500)
    .chancedOutput(<gregtech:meta_item_1:2050>, 3000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка глазное яблоко
macerator.recipeBuilder()
    .inputs(<biomesoplenty:double_plant:2>)
    .outputs(<minecraft:dye:1> * 4)
    .chancedOutput(<gregtech:meta_item_1:2065>, 7000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка лотос края
macerator.recipeBuilder()
    .inputs(<biomesoplenty:flower_0:10>)
    .outputs(<biomesoplenty:black_dye> * 4)
    .chancedOutput(<gregtech:meta_item_1:2218>, 2500, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка водоросли
macerator.recipeBuilder()
    .inputs(<biomesoplenty:coral:4>)
    .outputs(<gtadditions:ga_dust:32> * 2)
    .chancedOutput(<gtadditions:ga_dust:39>, 5000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка ламинария
macerator.recipeBuilder()
    .inputs(<biomesoplenty:seaweed>)
    .outputs(<gtadditions:ga_dust:32> * 2)
    .chancedOutput(<gtadditions:ga_dust:39>, 5000, 500)
    .duration(5 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка хризолит
macerator.recipeBuilder()
    .inputs(<biomesoplenty:gem:2>)
    .outputs(<gregtech:meta_item_1:33> * 3)
    .outputs(<gregtech:meta_item_1:38> * 3)
    .outputs(<gregtech:meta_item_1:159> * 3)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка янтарь
macerator.recipeBuilder()
    .inputs(<biomesoplenty:gem:7>)
    .outputs(<gregtech:meta_item_1:65> * 6)
    .outputs(<gregtech:meta_item_1:142> * 3)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка небесный кристалл
macerator.recipeBuilder()
    .inputs(<biomesoplenty:crystal>)
    .outputs(<biomesoplenty:crystal_shard> * 4)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Переработка осколок небесного кристалла
macerator.recipeBuilder()
    .inputs(<biomesoplenty:crystal_shard>)
    .outputs(<gregtech:meta_item_1:330> * 7)
    .chancedOutput(<gregtech:meta_item_1:214>, 2500, 500)
    .chancedOutput(<gregtech:meta_item_1:187>, 2500, 500)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();


print("Initialized 'BiomesOPlenty'");