#priority 1
# Gregicality

import crafttweaker.item.IItemStack;

print("Initializing 'Gregicality'...");


//Удаление рецептов
global ItemsToRemoveGREGICALITY as IItemStack[] = [
	<gregtech:machine:2213>,
	<gregtech:machine:2214>,
	<gregtech:machine:2215>,
	<gregtech:machine:2216>,
	<gregtech:machine:2217>,
	<gregtech:machine:2218>,
	<gregtech:machine:2219>,
	<gregtech:machine:2220>
] as IItemStack[];
for item in ItemsToRemoveGREGICALITY{
    recipes.remove(item);
}

// Рецепты в электромагнитном сепараторе
// Разделение драгоценного металла на составляющие
electromagnetic_separator.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2827>)
    .outputs(<gregtech:meta_item_1:131> * 6, <gregtech:meta_item_1:26> * 2, <gregtech:meta_item_1:18>)
    .duration(20 * 20)
    .EUt(24)
    .buildAndRegister();

// Рецепты в центрифуге
// Разделение нейтральной материи на составляющие
centrifuge.recipeBuilder()
    .fluidInputs([<liquid:neutral_matter> * 100])
    .fluidOutputs([<liquid:fermionic_uu_matter> * 100, <liquid:free_electron_gas> * 100])
    .duration(150 * 20)
    .EUt(128)
    .buildAndRegister();

// Разделение позитивной материи на составляющие
centrifuge.recipeBuilder()
    .fluidInputs([<liquid:positive_matter> * 100])
    .fluidOutputs([<liquid:bosonic_uu_matter> * 100, <liquid:free_electron_gas> * 100])
    .duration(150 * 20)
    .EUt(128)
    .buildAndRegister();

// Рецепты в фабрикаторе материи
// Переработка звезды ада (Пыль)
mass_fab.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2331>)
    .fluidOutputs([<liquid:bosonic_uu_matter> * 250, <liquid:free_electron_gas> * 250])
    .duration(9375 * 20)
    .EUt(32)
    .buildAndRegister();

// Рецепты в репликаторе
// Получение звезды ада (Пыль)
replicator.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:2331>)
    .fluidInputs([<liquid:free_electron_gas> * 250, <liquid:bosonic_uu_matter> * 250])
    .outputs(<gregtech:meta_item_1:2331>)
    .duration(9375 * 20)
    .EUt(32)
    .buildAndRegister();

replicator.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:2331>)
    .fluidInputs([<liquid:uumatter> * 250])
    .outputs(<gregtech:meta_item_1:2331>)
    .duration(9375 * 20)
    .EUt(32)
    .buildAndRegister();

//Рецепты в сборщике
//Разделительный электромагнит
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14299> * 12, <gregtech:cable:969> * 8, <gregtech:meta_item_1:12152> * 4, <gregtech:meta_item_1:12141> * 4)
    .outputs(<gtadditions:ga_meta_item:32521>)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

//Регулятор жидкости 1
assembler.findRecipe(30, [<gregtech:meta_item_2:32487> * 2, <gregtech:meta_item_1:32610>], null).remove();
assembler.recipeBuilder()
    .inputs(<ore:circuitBasic> * 2, <gregtech:meta_item_1:32610>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_2:32700>)
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

//Регулятор жидкости 2
assembler.findRecipe(120, [<gtadditions:ga_meta_item:32200> * 2, <gregtech:meta_item_1:32611>], null).remove();
assembler.recipeBuilder()
    .inputs(<ore:circuitGood> * 2, <gregtech:meta_item_1:32611>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_2:32701>)
    .duration(5 * 20)
    .EUt(120)
    .buildAndRegister();

//Регулятор жидкости 3
assembler.findRecipe(480, [<gtadditions:ga_meta_item:32202> * 2, <gregtech:meta_item_1:32612>], null).remove();
assembler.recipeBuilder()
    .inputs(<ore:circuitAdvanced> * 2, <gregtech:meta_item_1:32612>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_2:32702>)
    .duration(5 * 20)
    .EUt(480)
    .buildAndRegister();

//Регулятор жидкости 4
assembler.findRecipe(1920, [<gtadditions:ga_meta_item:32206> * 2, <gregtech:meta_item_1:32613>], null).remove();
assembler.recipeBuilder()
    .inputs(<ore:circuitExtreme> * 2, <gregtech:meta_item_1:32613>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_2:32703>)
    .duration(5 * 20)
    .EUt(1920)
    .buildAndRegister();

//Регулятор жидкости 5
assembler.findRecipe(7680, [<gtadditions:ga_meta_item:32208> * 2, <gregtech:meta_item_1:32614>], null).remove();
assembler.recipeBuilder()
    .inputs(<ore:circuitElite> * 2, <gregtech:meta_item_1:32614>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_2:32704>)
    .duration(5 * 20)
    .EUt(7680)
    .buildAndRegister();

//Рецепты в разливочном аппарате
//Капсула сдерживания нейтронной плазмы
fluid_canner.findRecipe(25000000, [<gtadditions:ga_meta_item:32428>], [<liquid:neutron_plasma> * 1000]).remove();

fluid_canner.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32428>)
    .fluidInputs([<liquid:neutron_plasma> * 1000])
    .outputs(<gtadditions:ga_meta_item:32449>)
    .duration(5 * 20)
    .EUt(1000000)
    .buildAndRegister();

//Рецепты в звездной кузне
//Получение жидкого дармштадтия
stellar_forge.recipeBuilder()
    .fluidInputs([<liquid:copernicium> * 1000])
    .fluidOutputs([<liquid:darmstadtium> * 144])
    .duration(50 * 20)
    .EUt(1000000)
    .buildAndRegister();

//Новый рецепт плазмы нейтрония
stellar_forge.findRecipe(100000000, [<gtadditions:ga_simple_block>, <gtadditions:ga_explosive>], null).remove();
stellar_forge.recipeBuilder()
    .inputs(<gtadditions:ga_simple_block>, <gtadditions:ga_explosive>)
    .fluidOutputs([<liquid:neutron_plasma> * 1000])
    .duration(10 * 20)
    .EUt(5000000)
    .buildAndRegister();

// Рецепты в смесителе
// Переработка личинок в хитин
mixer.recipeBuilder()
    .inputs(<forestry:bee_larvae_ge>)
    .notConsumable(<gtadditions:ga_meta_item:32396>)
    .fluidOutputs([<liquid:chitin> * 25])
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка трутней в хитин
mixer.recipeBuilder()
    .inputs(<forestry:bee_drone_ge>)
    .notConsumable(<gtadditions:ga_meta_item:32396>)
    .fluidOutputs([<liquid:chitin> * 50])
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка принцесс в хитин
mixer.recipeBuilder()
    .inputs(<forestry:bee_princess_ge>)
    .notConsumable(<gtadditions:ga_meta_item:32396>)
    .fluidOutputs([<liquid:chitin> * 100])
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка маток в хитин
mixer.recipeBuilder()
    .inputs(<forestry:bee_queen_ge>)
    .notConsumable(<gtadditions:ga_meta_item:32396>)
    .fluidOutputs([<liquid:chitin> * 150])
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

// Переработка бабочек в хитин
mixer.recipeBuilder()
    .inputs(<forestry:butterfly_ge>)
    .notConsumable(<gtadditions:ga_meta_item:32396>)
    .fluidOutputs([<liquid:chitin> * 100])
    .duration(5 * 20)
    .EUt(30)
    .buildAndRegister();

// Рецепты в доменной печке
// Пикониум (Горячий слиток)
blast_furnace.findRecipe(120, [<gregtech:meta_item_1:2852>], null).remove();
blast_furnace.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2852>)
    .outputs(<gregtech:meta_item_1:11852>)
    .property("temperature", 9700)
    .duration(987 * 20)
    .EUt(120)
    .buildAndRegister();

// Черный титан (Горячий слиток)
blast_furnace.findRecipe(120, [<gregtech:meta_item_1:2856>], null).remove();
blast_furnace.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2856>)
    .outputs(<gregtech:meta_item_1:11856>)
    .property("temperature", 10700)
    .duration(816 * 20)
    .EUt(120)
    .buildAndRegister();

// Уран-238
blast_furnace.findRecipe(120, [<gtadditions:ga_meta_item:3822>, <gregtech:meta_item_1:2012>], null).remove();
blast_furnace.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:3822>, <gregtech:meta_item_1:2012>)
    .outputs(<gregtech:meta_item_1:2075>)
    .fluidOutputs([<liquid:carbon_dioxide> * 1000])
    .property("temperature", 1000)
    .duration(8 * 20)
    .EUt(120)
    .buildAndRegister();

// Рецепты в сборочном конвейере
// Удаление рецепта электрического имплозионного компрессора
assembly_line.findRecipe(491520, [<gregtech:meta_item_2:19047> * 64, <gregtech:meta_item_1:18047> * 64, <gregtech:cable:744> * 16, <gregtech:meta_item_1:32647> * 16, <gregtech:meta_block_compressed_58:12> * 2, <gregtech:machine:2536>], [<liquid:soldering_alloy> * 1440, <liquid:osmium> * 1440, <liquid:americium> * 1440]).remove();

// Альтернативные и рецепты в сборочном конвейере для автокрафта из AE2 (потом удалить)
// Кристальный мейнфрейм
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32252> * 64, <gtadditions:ga_meta_item:32253> * 64, <gregtech:cable:966> * 32, <gregtech:meta_item_1:32725> * 4, <gtadditions:ga_meta_item:32214> * 2, <gregtech:meta_item_2:32479> * 8)
    .fluidInputs([<liquid:soldering_alloy> * 72])
    .outputs(<gtadditions:ga_meta_item:32215>)
    .duration(25 * 20)
    .EUt(30000)
    .buildAndRegister();

// Биолог выч блок
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32426> * 32, <gtadditions:ga_meta_item:32408> * 16, <gtadditions:ga_meta_item:32407> * 16, <gtadditions:ga_meta_item:32406> * 16, <gtadditions:ga_meta_item:32405> * 16, <gregtech:cable:744> * 4, <gtadditions:ga_meta_item:32401> * 3, <gregtech:meta_item_1:12312> * 2, <gtadditions:ga_meta_item:32015>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000, <liquid:titanium> * 144, <liquid:plastic> * 1152, <liquid:naquadah_enriched> * 144])
    .outputs(<gtadditions:ga_meta_item:32402>)
    .duration(20 * 20)
    .EUt(480000)
    .buildAndRegister();

// Биолог комп
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32426> * 64, <gtadditions:ga_meta_item:32408> * 32, <gtadditions:ga_meta_item:32407> * 32, <gtadditions:ga_meta_item:32406> * 32, <gtadditions:ga_meta_item:32405> * 32, <gtadditions:ga_meta_item:32402> * 4, <gregtech:meta_item_1:32726> * 2, <gtadditions:ga_meta_item:32424> * 16, <gtadditions:ga_meta_item:32015>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000, <liquid:tritanium> * 144])
    .outputs(<gtadditions:ga_meta_item:32403>)
    .duration(30 * 20)
    .EUt(480000)
    .buildAndRegister();

// Биолог мейнфрейм
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32408> * 64, <gtadditions:ga_meta_item:32407> * 64, <gtadditions:ga_meta_item:32406> * 64, <gtadditions:ga_meta_item:32405> * 64, <gtadditions:ga_meta_item:32424> * 32, <gregtech:meta_item_1:12310> * 8, <gtadditions:ga_meta_item:32403> * 2, <gtadditions:ga_meta_item:32015> * 2, <gtadditions:ga_meta_item:32343>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000, <liquid:tritanium> * 288])
    .outputs(<gtadditions:ga_meta_item:32404>)
    .duration(40 * 20)
    .EUt(1920000)
    .buildAndRegister();

// Кибер проц
assembly_line.recipeBuilder()
    .inputs(<gregtech:meta_item_2:16026> * 64, <gtadditions:ga_meta_item:32259> * 4, <gtadditions:ga_meta_item:32258> * 4, <gtadditions:ga_meta_item:32257> * 4, <gtadditions:ga_meta_item:32256> * 4, <gtadditions:ga_meta_item:32409>, <gtadditions:ga_meta_item:32035>, <gtadditions:ga_meta_item:32018>, <gtadditions:ga_meta_item:32410>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000, <liquid:titanium> * 144, <liquid:plastic> * 1152])
    .outputs(<gtadditions:ga_meta_item:32411> * 8)
    .duration(12 * 20)
    .EUt(122880)
    .buildAndRegister();

// Нейронный выч блок
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32251> * 32, <gtadditions:ga_meta_item:32250> * 32, <gtadditions:ga_meta_item:32249> * 32, <gtadditions:ga_meta_item:32248> * 32, <gregtech:meta_item_1:19391> * 16, <gtadditions:ga_meta_item:32426> * 4, <gregtech:meta_item_1:32724> * 4, <gregtech:meta_item_2:32498> * 3, <gtadditions:ga_meta_item:32411>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000])
    .outputs(<gregtech:meta_item_2:32499>)
    .duration(20 * 20)
    .EUt(120000)
    .buildAndRegister();

// Нейронный комп
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32251> * 64, <gtadditions:ga_meta_item:32250> * 64, <gtadditions:ga_meta_item:32249> * 64, <gtadditions:ga_meta_item:32248> * 64, <gregtech:meta_item_2:32479> * 8, <gregtech:meta_item_2:32499> * 4, <gregtech:meta_item_1:32725> * 4, <gtadditions:ga_meta_item:32411>, <gregtech:meta_item_1:12743> * 2)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000])
    .outputs(<gregtech:meta_item_2:32500>)
    .duration(30 * 20)
    .EUt(122880)
    .buildAndRegister();

// Нейронный мейнфрейм
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32259> * 64, <gtadditions:ga_meta_item:32258> * 64, <gtadditions:ga_meta_item:32257> * 64, <gtadditions:ga_meta_item:32256> * 64, <gregtech:meta_item_2:32479> * 8, <gregtech:meta_item_1:32726> * 4, <gregtech:meta_item_2:32500> * 2)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000, <liquid:uumatter> * 1000])
    .outputs(<gregtech:meta_item_2:32501>)
    .duration(100 * 20)
    .EUt(300000)
    .buildAndRegister();

// Ядро оптического процессора
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32497> * 2, <gtadditions:ga_meta_item:32496> * 2, <gtadditions:ga_meta_item:32495> * 2, <gtadditions:ga_meta_item:32494> * 2, <gregtech:meta_item_1:12205> * 4, <gtadditions:ga_meta_item:32499>, <gtadditions:ga_meta_item:32486>, <gtadditions:ga_meta_item:32487>, <gtadditions:ga_meta_item:32488>)
    .fluidInputs([<liquid:polytetrafluoroethylene> * 288, <liquid:enriched_naquadah_alloy> * 288, <liquid:soldering_alloy> * 576, <liquid:fullerene_doped_nanotubes> * 144])
    .outputs(<gtadditions:ga_meta_item:32500>)
    .duration(16 * 20)
    .EUt(1474560)
    .buildAndRegister();

// Оптический выч блок
assembly_line.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:32497> * 2, <gtadditions:ga_meta_item:32496> * 2, <gtadditions:ga_meta_item:32495> * 2, <gtadditions:ga_meta_item:32494> * 2, <gregtech:meta_item_1:12205> * 4, <gtadditions:ga_meta_item:32499>, <gtadditions:ga_meta_item:32486>, <gtadditions:ga_meta_item:32487>, <gtadditions:ga_meta_item:32488>)
    .fluidInputs([<liquid:polytetrafluoroethylene> * 288, <liquid:enriched_naquadah_alloy> * 288, <liquid:soldering_alloy> * 576, <liquid:fullerene_doped_nanotubes> * 144])
    .outputs(<gtadditions:ga_meta_item:32502>)
    .duration(20 * 20)
    .EUt(960000)
    .buildAndRegister();

// Рецепты в большом химическом реакторе
// Уран диоксид
chemical_plant.findRecipe(7680, [<gregtech:meta_item_1:2193> * 3], [<liquid:nitration_mixture> * 4000]).remove();
large_chemical_reactor.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2193> * 3)
    .fluidInputs([<liquid:nitration_mixture> * 4000])
    .outputs(<gtadditions:ga_meta_item:3822> * 3)
    .fluidOutputs([<liquid:uranium_sulfate_waste_solution> * 1000, <liquid:uranium_refinement_waste_solution> * 1000, <liquid:thorium_nitrate_solution> * 1000])
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

// Новый крафт фенола
large_chemical_reactor.findRecipe(2000, null, [<liquid:oxygen> * 1000, <liquid:benzene> * 1000]).remove();
large_chemical_reactor.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 1}))
    .fluidInputs([<liquid:oxygen> * 1000, <liquid:benzene> * 1000])
    .fluidOutputs([<liquid:phenol> * 1000])
    .duration(20 * 20)
    .EUt(2000)
    .buildAndRegister();

// Новый крафт Диметилформамид
large_chemical_reactor.findRecipe(500, [<gtadditions:ga_dust:142> * 6, <gregtech:meta_item_1:2049>, <gtadditions:ga_dust:147>], [<liquid:dimethylthiocarbamoil_chloride> * 1000, <liquid:resorcinol> * 1000, <liquid:dimethylformamide> * 1]).remove();
large_chemical_reactor.recipeBuilder()
    .inputs(<gtadditions:ga_dust:142> * 6)
    .notConsumable(<gregtech:meta_item_1:2049>)
    .notConsumable(<gtadditions:ga_dust:147>)
    .fluidInputs([<liquid:dimethylthiocarbamoil_chloride> * 1000, <liquid:resorcinol> * 1000])
    .outputs(<gtadditions:ga_dust:112> * 2, <gtadditions:ga_dust:146> * 4)
    .fluidOutputs([<liquid:mercaptophenol> * 1000, <liquid:dimethylformamide> * 1000])
    .duration(9 * 20)
    .EUt(500)
    .buildAndRegister();

// Рецепты в жидкостном экстракторе
// Переработка Корпус сборочного конвейера
fluid_extractor.recipeBuilder()
    .inputs(<gtadditions:ga_multiblock_casing:15>)
    .fluidOutputs([<liquid:tungsten_steel> * 962])
    .duration(27 * 20)
    .EUt(512)
    .buildAndRegister();

// Переработка PTFE Pipe Casing
fluid_extractor.recipeBuilder()
    .inputs(<gtadditions:ga_multiblock_casing:14>)
    .fluidOutputs([<liquid:polytetrafluoroethylene> * 2502])
    .duration(70 * 20)
    .EUt(32)
    .buildAndRegister();

// Рецепты в разборщике
// Паровой насос
disassembler.recipeBuilder()
    .inputs(<gregtech:machine:2232>)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:3095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:machine_casing:10>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:3095>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_2:18095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:3095>, 5000, 750)
    .duration(45 * 20)
    .EUt(32)
    .buildAndRegister();

// Паровой выкапыватель чанка
disassembler.recipeBuilder()
    .inputs(<gregtech:machine:4212>)
    .chancedOutput(<minecraft:diamond>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<minecraft:diamond>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:machine_casing:10>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_2:18095>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:2095>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_2:18095>, 5000, 750)
    .duration(45 * 20)
    .EUt(32)
    .buildAndRegister();

// Паровой солнечный котел
disassembler.recipeBuilder()
    .inputs(<gregtech:machine:3>)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12062>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12062>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12062>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:1095>, 5000, 750)
    .chancedOutput(<gregtech:machine_casing:11>, 5000, 750)
    .chancedOutput(<gregtech:fluid_pipe:1095>, 5000, 750)
    .duration(45 * 20)
    .EUt(32)
    .buildAndRegister();

// Маленький паровой лавовый котел
disassembler.recipeBuilder()
    .inputs(<gregtech:machine:5>)
    .chancedOutput(<gregtech:meta_item_1:12095>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12095>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12095>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12095>, 5000, 750)
    .chancedOutput(<gregtech:machine_casing:11>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12095>, 5000, 750)
    .duration(45 * 20)
    .EUt(32)
    .buildAndRegister();

// Паровой лавовый котел высокого давления
disassembler.recipeBuilder()
    .inputs(<gregtech:machine:6>)
    .chancedOutput(<gregtech:meta_item_1:12184>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12184>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12184>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<minecraft:glass>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12184>, 5000, 750)
    .chancedOutput(<gregtech:machine_casing:13>, 5000, 750)
    .chancedOutput(<gregtech:meta_item_1:12184>, 5000, 750)
    .duration(45 * 20)
    .EUt(32)
    .buildAndRegister();

// Рецепты в биореакторе
// Стволовые клетки
bio_reactor.findRecipe(480, [<gtadditions:ga_meta_item:32018>], [<liquid:sterilized_growth_medium> * 1000]).remove();
bio_reactor.recipeBuilder()
    .notConsumable(<gtadditions:ga_meta_item:32018>)
    .fluidInputs([<liquid:sterilized_growth_medium> * 1000])
    .outputs(<gtadditions:ga_meta_item:32018> * 8)
    .fluidOutputs([<liquid:depleted_growth_medium> * 500])
    .duration(10 * 20)
    .EUt(480)
    .buildAndRegister();

//Рецепты в верстаке
//Базовый ускоритель мира
recipes.addShaped(<gregtech:machine:2213>, 
	[[<ore:circuitBasic>, <gtadditions:ga_meta_item:32516>, <ore:circuitBasic>], 
	[<gregtech:meta_item_1:32670>, <gregtech:machine:501>, <gregtech:meta_item_1:32670>], 
	[<ore:circuitBasic>, <gregtech:meta_item_1:32670>, <ore:circuitBasic>]]);

//Улучшенный ускоритель мира
recipes.addShaped(<gregtech:machine:2214>, 
	[[<ore:circuitGood>, <gtadditions:ga_meta_item:32516>, <ore:circuitGood>], 
	[<gregtech:meta_item_1:32671>, <gregtech:machine:502>, <gregtech:meta_item_1:32671>], 
	[<ore:circuitGood>, <gregtech:meta_item_1:32671>, <ore:circuitGood>]]);

//Улучшенный ускоритель мира II
recipes.addShaped(<gregtech:machine:2215>, 
	[[<ore:circuitAdvanced>, <gtadditions:ga_meta_item:32517>, <ore:circuitAdvanced>], 
	[<gregtech:meta_item_1:32672>, <gregtech:machine:503>, <gregtech:meta_item_1:32672>], 
	[<ore:circuitAdvanced>, <gregtech:meta_item_1:32672>, <ore:circuitAdvanced>]]);

//Улучшенный ускоритель мира III
recipes.addShaped(<gregtech:machine:2216>, 
	[[<ore:circuitExtreme>, <gtadditions:ga_meta_item:32517>, <ore:circuitExtreme>], 
	[<gregtech:meta_item_1:32673>, <gregtech:machine:504>, <gregtech:meta_item_1:32673>], 
	[<ore:circuitExtreme>, <gregtech:meta_item_1:32673>, <ore:circuitExtreme>]]);

//Элитный ускоритель мира
recipes.addShaped(<gregtech:machine:2217>, 
	[[<ore:circuitElite>, <gtadditions:ga_meta_item:32517>, <ore:circuitElite>], 
	[<gregtech:meta_item_1:32674>, <gregtech:machine:505>, <gregtech:meta_item_1:32674>], 
	[<ore:circuitElite>, <gregtech:meta_item_1:32674>, <ore:circuitElite>]]);

//Элитный ускоритель мира II
recipes.addShaped(<gregtech:machine:2218>, 
	[[<ore:circuitMaster>, <gtadditions:ga_meta_item:32518>, <ore:circuitMaster>], 
	[<gregtech:meta_item_1:32675>, <gregtech:machine:506>, <gregtech:meta_item_1:32675>], 
	[<ore:circuitMaster>, <gregtech:meta_item_1:32675>, <ore:circuitMaster>]]);

//Элитный ускоритель мира III
recipes.addShaped(<gregtech:machine:2219>, 
	[[<ore:circuitUltimate>, <gtadditions:ga_meta_item:32518>, <ore:circuitUltimate>], 
	[<gregtech:meta_item_1:32676>, <gregtech:machine:507>, <gregtech:meta_item_1:32676>], 
	[<ore:circuitUltimate>, <gregtech:meta_item_1:32676>, <ore:circuitUltimate>]]);

//Элитный ускоритель мира IV
recipes.addShaped(<gregtech:machine:2220>, 
	[[<ore:circuitSuperconductor>, <gtadditions:ga_meta_item:32518>, <ore:circuitSuperconductor>], 
	[<gregtech:meta_item_1:32677>, <gregtech:machine:508>, <gregtech:meta_item_1:32677>], 
	[<ore:circuitSuperconductor>, <gregtech:meta_item_1:32677>, <ore:circuitSuperconductor>]]);

// Держатель ротора (Макс)
recipes.remove(<gregtech:machine:819>); 
recipes.addShaped(<gregtech:machine:819>, 
	[[<gregtech:cable:4312>, <gregtech:machine:3239>, <gregtech:cable:4312>], 
	[<gregtech:cable:4312>, <gregtech:meta_item_2:26742>, <gregtech:cable:4312>], 
	[<gregtech:cable:4312>, <gregtech:cable:4312>, <gregtech:cable:4312>]]);

// Батарейный буфер 1 UHV
recipes.addShaped(<gregtech:machine:4145>, 
	[[null, null, null], 
	[<gregtech:ga_cable:855>, <ore:chestWood>, <gregtech:ga_cable:855>], 
	[<gregtech:ga_cable:855>, <gregtech:machine:3239>, <gregtech:ga_cable:855>]]);

// Батарейный буфер 4 UHV
recipes.addShaped(<gregtech:machine:4146>, 
	[[null, null, null], 
	[<gregtech:ga_cable:2855>, <ore:chestWood>, <gregtech:ga_cable:2855>], 
	[<gregtech:ga_cable:2855>, <gregtech:machine:3239>, <gregtech:ga_cable:2855>]]);

// Батарейный буфер 9 UHV
recipes.addShaped(<gregtech:machine:4147>, 
	[[null, null, null], 
	[<gregtech:ga_cable:3855>, <ore:chestWood>, <gregtech:ga_cable:3855>], 
	[<gregtech:ga_cable:3855>, <gregtech:machine:3239>, <gregtech:ga_cable:3855>]]);

// Батарейный буфер 16 UHV
recipes.addShaped(<gregtech:machine:4148>, 
	[[null, null, null], 
	[<gregtech:ga_cable:4855>, <ore:chestWood>, <gregtech:ga_cable:4855>], 
	[<gregtech:ga_cable:4855>, <gregtech:machine:3239>, <gregtech:ga_cable:4855>]]);

// Батарейный буфер 1 UEV
recipes.addShaped(<gregtech:machine:4150>, 
	[[null, null, null], 
	[<gregtech:ga_cable:852>, <ore:chestWood>, <gregtech:ga_cable:852>], 
	[<gregtech:ga_cable:852>, <gregtech:machine:3240>, <gregtech:ga_cable:852>]]);

// Батарейный буфер 4 UEV
recipes.addShaped(<gregtech:machine:4151>, 
	[[null, null, null], 
	[<gregtech:ga_cable:2852>, <ore:chestWood>, <gregtech:ga_cable:2852>], 
	[<gregtech:ga_cable:2852>, <gregtech:machine:3240>, <gregtech:ga_cable:2852>]]);

// Батарейный буфер 9 UEV
recipes.addShaped(<gregtech:machine:4152>, 
	[[null, null, null], 
	[<gregtech:ga_cable:3852>, <ore:chestWood>, <gregtech:ga_cable:3852>], 
	[<gregtech:ga_cable:3852>, <gregtech:machine:3240>, <gregtech:ga_cable:3852>]]);

// Батарейный буфер 16 UEV
recipes.addShaped(<gregtech:machine:4153>, 
	[[null, null, null], 
	[<gregtech:ga_cable:4852>, <ore:chestWood>, <gregtech:ga_cable:4852>], 
	[<gregtech:ga_cable:4852>, <gregtech:machine:3240>, <gregtech:ga_cable:4852>]]);

// Батарейный буфер 1 UIV
recipes.addShaped(<gregtech:machine:4155>, 
	[[null, null, null], 
	[<gregtech:ga_cable:721>, <ore:chestWood>, <gregtech:ga_cable:721>], 
	[<gregtech:ga_cable:721>, <gregtech:machine:3241>, <gregtech:ga_cable:721>]]);

// Батарейный буфер 4 UIV
recipes.addShaped(<gregtech:machine:4156>, 
	[[null, null, null], 
	[<gregtech:ga_cable:2721>, <ore:chestWood>, <gregtech:ga_cable:2721>], 
	[<gregtech:ga_cable:2721>, <gregtech:machine:3241>, <gregtech:ga_cable:2721>]]);

// Батарейный буфер 9 UIV
recipes.addShaped(<gregtech:machine:4157>, 
	[[null, null, null], 
	[<gregtech:ga_cable:3721>, <ore:chestWood>, <gregtech:ga_cable:3721>], 
	[<gregtech:ga_cable:3721>, <gregtech:machine:3241>, <gregtech:ga_cable:3721>]]);

// Батарейный буфер 16 UIV
recipes.addShaped(<gregtech:machine:4158>, 
	[[null, null, null], 
	[<gregtech:ga_cable:4721>, <ore:chestWood>, <gregtech:ga_cable:4721>], 
	[<gregtech:ga_cable:4721>, <gregtech:machine:3241>, <gregtech:ga_cable:4721>]]);

//Обмен нового корпуса на старый (Инконель 625 металлический корпус)
recipes.addShapeless(<gregtech:metal_casing_inconel_a>, 
	[<gtadditions:ga_metal_casing_1:7>]);

//Обмен нового корпуса на старый (Мартенситностареющая сталь 250 металлический корпус)
recipes.addShapeless(<gregtech:metal_casing_maraging_steel_a>, 
	[<gtadditions:ga_metal_casing_1:5>]);

//Обмен нового корпуса на старый (HG-1223 металлический корпус)
recipes.addShapeless(<gregtech:metal_casing_hg_alloy>, 
	[<gtadditions:ga_metal_casing_1:11>]);

//Обмен нового корпуса на старый (HSS-S металлический корпус)
recipes.addShapeless(<gregtech:metal_casing_hsss>, 
	[<gtadditions:ga_metal_casing_2:9>]);

//Обмен нового корпуса на старый (HSS-G металлический корпус)
recipes.addShapeless(<gregtech:metal_casing_hssg>, 
	[<gtadditions:ga_metal_casing_2:8>]);


print("Initialized 'Gregicality'");