#priority 1
# GregicalityGreenHouse1

import crafttweaker.item.IItemStack;

print("Initializing 'GregicalityGreenHouse1'...");


// Рецепты в теплице
// Яблоко фруктового сада
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<minecraft:apple>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "orchardapple", UID0: "orchardapple", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitApple", UID0: "extratrees.fruitApple", Slot: 3 as byte}, {UID1: "forestry.yieldHigher", UID0: "forestry.yieldHigher", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сладкие яблоки
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "sweetcrabapple", UID0: "sweetcrabapple", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCrabapple", UID0: "extratrees.fruitCrabapple", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Цветущие яблоки
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "floweringcrabapple", UID0: "floweringcrabapple", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCrabapple", UID0: "extratrees.fruitCrabapple", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Яблоки прерии
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food>, 5000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "prairiecrabapple", UID0: "prairiecrabapple", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitCrabapple", UID0: "extratrees.fruitCrabapple", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Терновник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:7>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "blackthorn", UID0: "blackthorn", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBlackthorn", UID0: "extratrees.fruitBlackthorn", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Алыча
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:8>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cherryplum", UID0: "cherryplum", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCherry_plum", UID0: "extratrees.fruitCherry_plum", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Персик
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:12>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "peach", UID0: "peach", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitPeach", UID0: "extratrees.fruitPeach", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Нектарин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:19>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "nectarine", UID0: "nectarine", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitNectarine", UID0: "extratrees.fruitNectarine", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Абрикос
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:10>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "apricot", UID0: "apricot", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitApricot", UID0: "extratrees.fruitApricot", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Миндаль
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:9>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "almond", UID0: "almond", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitAlmond", UID0: "extratrees.fruitAlmond", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дикая вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:4>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "wildcherry", UID0: "wildcherry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitWild_cherry", UID0: "extratrees.fruitWild_cherry", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кислая вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:5>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "sourcherry", UID0: "sourcherry", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitSour_cherry", UID0: "extratrees.fruitSour_cherry", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:6>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "blackcherry", UID0: "blackcherry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "extratrees.fruitBlack_cherry", UID0: "extratrees.fruitBlack_cherry", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Апельсин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:1>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "orange", UID0: "orange", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitOrange", UID0: "extratrees.fruitOrange", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Мандарин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:18>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "manderin", UID0: "manderin", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitManderin", UID0: "extratrees.fruitManderin", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сатсума
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.0:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:13>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "satsuma", UID0: "satsuma", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitSatsuma", UID0: "extratrees.fruitSatsuma", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Танжерин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:21>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "tangerine", UID0: "tangerine", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitTangerine", UID0: "extratrees.fruitTangerine", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Лайм большой
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:3>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "lime", UID0: "lime", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitLime", UID0: "extratrees.fruitLime", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Лайм маленький
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:17>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "keylime", UID0: "keylime", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "extratrees.fruitKey_lime", UID0: "extratrees.fruitKey_lime", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Пальцевидный лайм
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:16>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "fingerlime", UID0: "fingerlime", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitFinger_lime", UID0: "extratrees.fruitFinger_lime", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Помело
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:20>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "pomelo", UID0: "pomelo", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitPomelo", UID0: "extratrees.fruitPomelo", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Грейпфрут
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:11>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "grapefruit", UID0: "grapefruit", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitGrapefruit", UID0: "extratrees.fruitGrapefruit", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кумкват
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:2>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "kumquat", UID0: "kumquat", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitKumquat", UID0: "extratrees.fruitKumquat", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Цитрон
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:15>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "citron", UID0: "citron", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCitron", UID0: "extratrees.fruitCitron", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Рука Будды
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:14>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "buddhahand", UID0: "buddhahand", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBuddha_hand", UID0: "extratrees.fruitBuddha_hand", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Банан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:28>, 3000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "banana", UID0: "banana", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBanana", UID0: "extratrees.fruitBanana", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Красный банан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:29>, 3000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "redbanana", UID0: "redbanana", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitRed_banana", UID0: "extratrees.fruitRed_banana", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Подорожник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:30>, 4000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "plantain", UID0: "plantain", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitPlatain", UID0: "extratrees.fruitPlatain", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Масляный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:25>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "butternut", UID0: "butternut", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitButternut", UID0: "extratrees.fruitButternut", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычная рябина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "rowan", UID0: "rowan", Slot: 0 as byte}, {UID1: "forestry.heightLarger", UID0: "forestry.heightLarger", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Западный болиголов
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "hemlock", UID0: "hemlock", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный ясень
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.1:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "ash", UID0: "ash", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычная ольха
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "alder", UID0: "alder", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный бук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:26>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "beech", UID0: "beech", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBeechnut", UID0: "extratrees.fruitBeechnut", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Медный бук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:26>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "copperbeech", UID0: "copperbeech", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBeechnut", UID0: "extratrees.fruitBeechnut", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Осина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "aspen", UID0: "aspen", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный тис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "yew", UID0: "yew", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кипарис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cypress", UID0: "cypress", Slot: 0 as byte}, {UID1: "forestry.heightLarger", UID0: "forestry.heightLarger", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дугласова пихта
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "douglasfir", UID0: "douglasfir", Slot: 0 as byte}, {UID1: "forestry.heightLarger", UID0: "forestry.heightLarger", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:24>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "hazel", UID0: "hazel", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitHazelnut", UID0: "extratrees.fruitHazelnut", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Античный инжир
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:32>, 4500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "sycamore", UID0: "sycamore", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "extratrees.fruitFig", UID0: "extratrees.fruitFig", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Рябина ария
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "whitebeam", UID0: "whitebeam", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный боярышник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "hawthorn", UID0: "hawthorn", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Орех пекан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:27>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "pecan", UID0: "pecan", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitPecan", UID0: "extratrees.fruitPecan", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный Вяз
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "elm", UID0: "elm", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Бузина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:34>, 4500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "elder", UID0: "elder", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitElderberry", UID0: "extratrees.fruitElderberry", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный падуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "holly", UID0: "holly", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный граб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.2:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "hornbeam", UID0: "hornbeam", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Большой желтоватый
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "sallow", UID0: "sallow", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дубовый жолудь
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:33>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "acornoak", UID0: "acornoak", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitAcorn", UID0: "extratrees.fruitAcorn", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Пихта
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "fir", UID0: "fir", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Большой кедр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cedar", UID0: "cedar", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Олива
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:35>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "olive", UID0: "olive", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitOlive", UID0: "extratrees.fruitOlive", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Красный клен
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "redmaple", UID0: "redmaple", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessHigh", UID0: "forestry.sappinessHigh", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Пихта бальзамическая
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "balsamfir", UID0: "balsamfir", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сосна ладанная
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "loblollypine", UID0: "loblollypine", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "sweetgum", UID0: "sweetgum", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsHigh", UID0: "forestry.saplingsHigh", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная робиния
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "locust", UID0: "locust", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Культивированная груша
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:22>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "pear", UID0: "pear", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitPear", UID0: "extratrees.fruitPear", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Osange Orange
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:38>, 5000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "osangeorange", UID0: "osangeorange", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitOsange_orange", UID0: "extratrees.fruitOsange_orange", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Старое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "oldfustic", UID0: "oldfustic", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Цезальпиния
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "brazilwood", UID0: "brazilwood", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кампеш
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "logwood", UID0: "logwood", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дальбергия
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.3:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "rosewood", UID0: "rosewood", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Амарант
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "purpleheart", UID0: "purpleheart", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Ироко
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "iroko", UID0: "iroko", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Гинкго
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:36>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gingko", UID0: "gingko", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitGingko_nut", UID0: "extratrees.fruitGingko_nut", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Бразильский орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:31>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "brazilnut", UID0: "brazilnut", Slot: 0 as byte}, {UID1: "forestry.heightLarger", UID0: "forestry.heightLarger", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBrazil_nut", UID0: "extratrees.fruitBrazil_nut", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Розовый ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "rosegum", UID0: "rosegum", Slot: 0 as byte}, {UID1: "forestry.heightLargest", UID0: "forestry.heightLargest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlowest", UID0: "forestry.maturationSlowest", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();


print("Initialized 'GregicalityGreenHouse1'");