#priority 1
# GregicalityGreenHouse2

import crafttweaker.item.IItemStack;

print("Initializing 'GregicalityGreenHouse2'...");


// Рецепты в теплице
// Болотный ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "swampgum", UID0: "swampgum", Slot: 0 as byte}, {UID1: "forestry.heightLargest", UID0: "forestry.heightLargest", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Самшит
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "box", UID0: "box", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Гвоздика
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:39>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "clove", UID0: "clove", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitClove", UID0: "extratrees.fruitClove", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кофе
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:37>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "coffee", UID0: "coffee", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCoffee", UID0: "extratrees.fruitCoffee", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обезьяна головоломка
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "monkeypuzzle", UID0: "monkeypuzzle", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Разноцветный ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "rainbowgum", UID0: "rainbowgum", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Розовая слоновая кость
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "pinkivory", UID0: "pinkivory", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная смородина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:41>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "blackcurrant", UID0: "blackcurrant", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitBlackcurrant", UID0: "extratrees.fruitBlackcurrant", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная смородина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:42>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "redcurrant", UID0: "redcurrant", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitRedcurrant", UID0: "extratrees.fruitRedcurrant", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Черника
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:43>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "blackberry", UID0: "blackberry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBlackberry", UID0: "extratrees.fruitBlackberry", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Малина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.4:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:44>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "raspberry", UID0: "raspberry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitRaspberry", UID0: "extratrees.fruitRaspberry", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Голубика
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:45>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "blueberry", UID0: "blueberry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitBlueberry", UID0: "extratrees.fruitBlueberry", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Клюква
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:46>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cranberry", UID0: "cranberry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCranberry", UID0: "extratrees.fruitCranberry", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Можжевельник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:47>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "juniper", UID0: "juniper", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitJuniper", UID0: "extratrees.fruitJuniper", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Крыжовник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:48>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gooseberry", UID0: "gooseberry", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsHigh", UID0: "forestry.saplingsHigh", Slot: 2 as byte}, {UID1: "extratrees.fruitGooseberry", UID0: "extratrees.fruitGooseberry", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Золотая малина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:49>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "goldenraspberry", UID0: "goldenraspberry", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitGolden_raspberry", UID0: "extratrees.fruitGolden_raspberry", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFastest", UID0: "forestry.maturationFastest", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Корица
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cinnamon", UID0: "cinnamon", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кокос
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:50>, 3500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "coconut", UID0: "coconut", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitCoconut", UID0: "extratrees.fruitCoconut", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кешью
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:51>, 5000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "cashew", UID0: "cashew", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitCashew", UID0: "extratrees.fruitCashew", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Авокадо
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:52>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "avocado", UID0: "avocado", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitAvocado", UID0: "extratrees.fruitAvocado", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Мускатный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:53>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "nutmeg", UID0: "nutmeg", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitNutmeg", UID0: "extratrees.fruitNutmeg", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Ямайский перец
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:54>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "allspice", UID0: "allspice", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitAllspice", UID0: "extratrees.fruitAllspice", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Перец чили
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:55>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "chilli", UID0: "chilli", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitChilli", UID0: "extratrees.fruitChilli", Slot: 3 as byte}, {UID1: "forestry.yieldHigher", UID0: "forestry.yieldHigher", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Звездачатый анис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:56>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "staranise", UID0: "staranise", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitStar_anise", UID0: "extratrees.fruitStar_anise", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Манго
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:57>, 6500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "mango", UID0: "mango", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "extratrees.fruitMango", UID0: "extratrees.fruitMango", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Карамбола
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:58>, 5000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "starfruit", UID0: "starfruit", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitStarfruit", UID0: "extratrees.fruitStarfruit", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Плод свечного дерева
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.5:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:59>, 4500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "candlenut", UID0: "candlenut", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "extratrees.fruitCandlenut", UID0: "extratrees.fruitCandlenut", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Карликовый орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <extratrees:leaves.decorative.6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<extratrees:food:24>, 3500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "dwarfhazel", UID0: "dwarfhazel", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "extratrees.fruitHazelnut", UID0: "extratrees.fruitHazelnut", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Яблочный дуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<minecraft:apple>, 4000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeOak", UID0: "forestry.treeOak", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitApple", UID0: "forestry.fruitApple", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Темный дуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeDarkOak", UID0: "forestry.treeDarkOak", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Белая береза
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeBirch", UID0: "forestry.treeBirch", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Липа пушистая
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeLime", UID0: "forestry.treeLime", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычное ореховое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:1>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeWalnut", UID0: "forestry.treeWalnut", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitWalnut", UID0: "forestry.fruitWalnut", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Каштан посевной
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:2>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeChestnut", UID0: "forestry.treeChestnut", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitChestnut", UID0: "forestry.fruitChestnut", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сакура
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits>, 7000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeCherry", UID0: "forestry.treeCherry", Slot: 0 as byte}, {UID1: "forestry.heightSmaller", UID0: "forestry.heightSmaller", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitCherry", UID0: "forestry.fruitCherry", Slot: 3 as byte}, {UID1: "forestry.yieldAverage", UID0: "forestry.yieldAverage", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Лимонное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:3>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeLemon", UID0: "forestry.treeLemon", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitLemon", UID0: "forestry.fruitLemon", Slot: 3 as byte}, {UID1: "forestry.yieldLower", UID0: "forestry.yieldLower", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сливовое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:4>, 6000, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treePlum", UID0: "forestry.treePlum", Slot: 0 as byte}, {UID1: "forestry.heightSmallest", UID0: "forestry.heightSmallest", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitPlum", UID0: "forestry.fruitPlum", Slot: 3 as byte}, {UID1: "forestry.yieldHigh", UID0: "forestry.yieldHigh", Slot: 4 as byte}, {UID1: "forestry.sappinessAverage", UID0: "forestry.sappinessAverage", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сахарный клен
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeMaple", UID0: "forestry.treeMaple", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная ель
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeSpruce", UID0: "forestry.treeSpruce", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsAverage", UID0: "forestry.saplingsAverage", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Мировая лиственница
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeLarch", UID0: "forestry.treeLarch", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Желтая сосна
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treePine", UID0: "forestry.treePine", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Береговая секвойя
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeSequoia", UID0: "forestry.treeSequoia", Slot: 0 as byte}, {UID1: "forestry.heightLargest", UID0: "forestry.heightLargest", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i3d", UID0: "forestry.i3d", Slot: 8 as byte}, {UID1: "forestry.fireproofTrue", UID0: "forestry.fireproofTrue", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Гигантская секвойя
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeGigant", UID0: "forestry.treeGigant", Slot: 0 as byte}, {UID1: "forestry.heightGigantic", UID0: "forestry.heightGigantic", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlowest", UID0: "forestry.maturationSlowest", Slot: 7 as byte}, {UID1: "forestry.i4d", UID0: "forestry.i4d", Slot: 8 as byte}, {UID1: "forestry.fireproofTrue", UID0: "forestry.fireproofTrue", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Тропическое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.0:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<minecraft:dye:3>, 3500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeJungle", UID0: "forestry.treeJungle", Slot: 0 as byte}, {UID1: "forestry.heightLarger", UID0: "forestry.heightLarger", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitCocoa", UID0: "forestry.fruitCocoa", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFast", UID0: "forestry.maturationFast", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Тиковое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeTeak", UID0: "forestry.treeTeak", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Муравьиное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeIpe", UID0: "forestry.treeIpe", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Хлопковое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeKapok", UID0: "forestry.treeKapok", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Мирт
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:3>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeEbony", UID0: "forestry.treeEbony", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i3d", UID0: "forestry.i3d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Зебрано
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:4>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeZebrawood", UID0: "forestry.treeZebrawood", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Желтый меранти
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:5>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeMahogony", UID0: "forestry.treeMahogony", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Акация
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:6>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeAcaciaVanilla", UID0: "forestry.treeAcaciaVanilla", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Пустынная акация
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:7>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeAcacia", UID0: "forestry.treeAcacia", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Падук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:8>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treePadauk", UID0: "forestry.treePadauk", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Бальза
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:9>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeBalsa", UID0: "forestry.treeBalsa", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsHigh", UID0: "forestry.saplingsHigh", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Кокоболо
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:10>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeCocobolo", UID0: "forestry.treeCocobolo", Slot: 0 as byte}, {UID1: "forestry.heightLargest", UID0: "forestry.heightLargest", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дерево Венге
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:11>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeWenge", UID0: "forestry.treeWenge", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLowest", UID0: "forestry.saplingsLowest", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLowest", UID0: "forestry.sappinessLowest", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i2d", UID0: "forestry.i2d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Адансонии Грандидье
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:12>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeBaobab", UID0: "forestry.treeBaobab", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i3d", UID0: "forestry.i3d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Синий гибискус
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:13>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeMahoe", UID0: "forestry.treeMahoe", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessHigh", UID0: "forestry.sappinessHigh", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlowest", UID0: "forestry.maturationSlowest", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Белая ива
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:14>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeWillow", UID0: "forestry.treeWillow", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationFaster", UID0: "forestry.maturationFaster", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Сипири
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.1:15>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeSipiri", UID0: "forestry.treeSipiri", Slot: 0 as byte}, {UID1: "forestry.heightLarge", UID0: "forestry.heightLarge", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlow", UID0: "forestry.maturationSlow", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Дынное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:6>, 3500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treePapaya", UID0: "forestry.treePapaya", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitPapaya", UID0: "forestry.fruitPapaya", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLower", UID0: "forestry.sappinessLower", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Финиковая пальма
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.2:1>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:fruits:5>, 5500, 500)
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treeDate", UID0: "forestry.treeDate", Slot: 0 as byte}, {UID1: "forestry.heightAverage", UID0: "forestry.heightAverage", Slot: 1 as byte}, {UID1: "forestry.saplingsLow", UID0: "forestry.saplingsLow", Slot: 2 as byte}, {UID1: "forestry.fruitDates", UID0: "forestry.fruitDates", Slot: 3 as byte}, {UID1: "forestry.yieldLow", UID0: "forestry.yieldLow", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationAverage", UID0: "forestry.maturationAverage", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();

// Белый тополь
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>, <forestry:pollen:1>, <forestry:leaves.decorative.2:2>)
    .fluidInputs([<liquid:water> * 1000])
    .chancedOutput(<forestry:pollen_fertile>.withTag({IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "forestry.treePoplar", UID0: "forestry.treePoplar", Slot: 0 as byte}, {UID1: "forestry.heightSmall", UID0: "forestry.heightSmall", Slot: 1 as byte}, {UID1: "forestry.saplingsLower", UID0: "forestry.saplingsLower", Slot: 2 as byte}, {UID1: "forestry.fruitNone", UID0: "forestry.fruitNone", Slot: 3 as byte}, {UID1: "forestry.yieldLowest", UID0: "forestry.yieldLowest", Slot: 4 as byte}, {UID1: "forestry.sappinessLow", UID0: "forestry.sappinessLow", Slot: 5 as byte}, {UID1: "forestry.leavesNone", UID0: "forestry.leavesNone", Slot: 6 as byte}, {UID1: "forestry.maturationSlower", UID0: "forestry.maturationSlower", Slot: 7 as byte}, {UID1: "forestry.i1d", UID0: "forestry.i1d", Slot: 8 as byte}, {UID1: "forestry.fireproofFalse", UID0: "forestry.fireproofFalse", Slot: 9 as byte}]}}), 300, 100)
    .duration(120 * 20)
    .EUt(32)
    .buildAndRegister();


print("Initialized 'GregicalityGreenHouse2'");