#priority 1
# Honeycomb

import mods.thermalexpansion.Centrifuge;
import crafttweaker.item.IItemStack;

print("Initializing 'Honeycomb'...");


// Новые рецепты в центрифуге и в центробежном разделителе
// Соты из Forestry и Extra Bees
// Пирит
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:48>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2148>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2033>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:48>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2148> % 25, <gregtech:meta_item_1:2033> % 5], <extrabees:honey_comb:48>, null, 2000);

// Сфалерит
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:51>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2182>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2079>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:51>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2182> % 25, <gregtech:meta_item_1:2079> % 5], <extrabees:honey_comb:51>, null, 2000);

// Киноварь
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:50>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2103>, 2500, 1000)
    .chancedOutput(<minecraft:redstone>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:50>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2103> % 25, <minecraft:redstone> % 5], <extrabees:honey_comb:50>, null, 2000);

// Медь
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:17>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2018>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:17>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2018> % 25], <extrabees:honey_comb:17>, null, 2000);

// Железо
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:15>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2033>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:15>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2033> % 25], <extrabees:honey_comb:15>, null, 2000);

// Олово
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:18>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2071>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:18>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2071> % 25], <extrabees:honey_comb:18>, null, 2000);

// Никель
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:73>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2044>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:73>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2044> % 25], <extrabees:honey_comb:73>, null, 2000);

// Цинк
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:40>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2079>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:40>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2079> % 25], <extrabees:honey_comb:40>, null, 2000);

// Серебро
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:19>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2062>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:19>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2062> % 25], <extrabees:honey_comb:19>, null, 2000);

// Золото
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:16>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2026>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:16>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2026> % 25], <extrabees:honey_comb:16>, null, 2000);

// Свинец
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:37>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2035>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:37>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2035> % 25], <extrabees:honey_comb:37>, null, 2000);

// Платина
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:45>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2051>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:45>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2051> % 25], <extrabees:honey_comb:45>, null, 2000);

// Радиоактивный
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:21>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2075>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:21>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2075> % 25], <extrabees:honey_comb:21>, null, 2000);

// Облученный
centrifuge.recipeBuilder()
    .inputs(<forestry:bee_combs:9>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2075>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2075> % 25], <forestry:bee_combs:9>, null, 2000);

// Вольфрам
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:42>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2074>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:42>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2074> % 25], <extrabees:honey_comb:42>, null, 2000);

// Титан
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:41>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2072>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:41>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2072> % 25], <extrabees:honey_comb:41>, null, 2000);

// Изумруд
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:52>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2113>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:52>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2113> % 25], <extrabees:honey_comb:52>, null, 2000);

// Рубин
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:53>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2154>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:53>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2154> % 25], <extrabees:honey_comb:53>, null, 2000);

// Сапфир
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:54>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2157>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:54>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2157> % 25], <extrabees:honey_comb:54>, null, 2000);

// Алмаз
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:56>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2111>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:56>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2111> % 25], <extrabees:honey_comb:56>, null, 2000);

// Лазурит
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:46>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2216>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2128>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:46>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2216> % 25, <gregtech:meta_item_1:2128> % 5], <extrabees:honey_comb:46>, null, 2000);

// Окаменевший
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:4>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2328>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2106>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:4>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2328> % 25, <gregtech:meta_item_1:2106> % 5], <extrabees:honey_comb:4>, null, 2000);

// Мерцающий
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:82>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2218>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:82>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2218> % 25], <extrabees:honey_comb:82>, null, 2000);

// Цертусовый
centrifuge.recipeBuilder()
    .inputs(<extrabees:honey_comb:81>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2202>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2201>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.removeRecipe(<extrabees:honey_comb:81>);
Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2202> % 25, <gregtech:meta_item_1:2201> % 5], <extrabees:honey_comb:81>, null, 2000);

// Соты из Gregicality
// Буроугольные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2211>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2211> % 25], <gtadditions:comb>, null, 2000);

// Угольные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:1>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2106>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2106> % 25], <gtadditions:comb:1>, null, 2000);

// Липкие
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:2>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2153>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2153> % 25], <gtadditions:comb:2>, null, 2000);

// Каменные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:4>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2328>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2155>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2328> % 25, <gregtech:meta_item_1:2155> % 5], <gtadditions:comb:4>, null, 2000);

// Истинно-кварцевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:5>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2202>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2202> % 25], <gtadditions:comb:5>, null, 2000);

// Редстоун
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:6>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<minecraft:redstone>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <minecraft:redstone> % 25], <gtadditions:comb:6>, null, 2000);

// Лазуритные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:7>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2216>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2128>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2216> % 25, <gregtech:meta_item_1:2128> % 5], <gtadditions:comb:7>, null, 2000);

// Рубиновые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:8>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2154>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2154> % 25], <gtadditions:comb:8>, null, 2000);

// Сапфировые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:9>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2157>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2157> % 25], <gtadditions:comb:9>, null, 2000);

// Алмазные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:10>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2111>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2111> % 25], <gtadditions:comb:10>, null, 2000);

// Оливиновые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:11>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2212>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2212> % 25], <gtadditions:comb:11>, null, 2000);

// Изумрудные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:12>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2113>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2113> % 25], <gtadditions:comb:12>, null, 2000);

// Шлаковые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:13>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2328>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2268>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2328> % 25, <gregtech:meta_item_1:2268> % 5], <gtadditions:comb:13>, null, 2000);

// Медные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:14>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2018>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2018> % 25], <gtadditions:comb:14>, null, 2000);

// Оловянные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:15>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2071>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2071> % 25], <gtadditions:comb:15>, null, 2000);

// Свинцовые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:16>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2035>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2035> % 25], <gtadditions:comb:16>, null, 2000);

// Железные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:17>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2033>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2033> % 25], <gtadditions:comb:17>, null, 2000);

// Стальные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:18>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2184>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2106>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2184> % 25, <gregtech:meta_item_1:2106> % 5], <gtadditions:comb:18>, null, 2000);

// Никелевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:19>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2044>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2044> % 25], <gtadditions:comb:19>, null, 2000);

// Цинковые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:20>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2079>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2079> % 25], <gtadditions:comb:20>, null, 2000);

// Серебрянные
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:21>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2062>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2062> % 25], <gtadditions:comb:21>, null, 2000);

// Золотые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:22>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2026>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2026> % 25], <gtadditions:comb:22>, null, 2000);

// Алюминиевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:23>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2001>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2001> % 25], <gtadditions:comb:23>, null, 2000);

// Марганцевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:24>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2039>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2039> % 25], <gtadditions:comb:24>, null, 2000);

// Титановые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:25>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2072>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2072> % 25], <gtadditions:comb:25>, null, 2000);

// Хромовые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:26>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2016>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2016> % 25], <gtadditions:comb:26>, null, 2000);

// Вольфрамовые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:27>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2074>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2074> % 25], <gtadditions:comb:27>, null, 2000);

// Платиновые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:28>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2051>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2051> % 25], <gtadditions:comb:28>, null, 2000);

// Иридиевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:29>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2032>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2032> % 25], <gtadditions:comb:29>, null, 2000);

// Урановые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:30>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2075>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2076>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2075> % 25, <gregtech:meta_item_1:2076> % 5], <gtadditions:comb:30>, null, 2000);

// Плутониевые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:31>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2052>, 2500, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2052> % 25], <gtadditions:comb:31>, null, 2000);

// Наквадовые
centrifuge.recipeBuilder()
    .inputs(<gtadditions:comb:32>)
    .chancedOutput(<forestry:honey_drop>, 3500, 1000)
    .chancedOutput(<forestry:beeswax>, 3500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2307>, 2500, 1000)
    .chancedOutput(<gregtech:meta_item_1:2309>, 500, 200)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

Centrifuge.addRecipe([<forestry:honey_drop> % 35, <forestry:beeswax> % 35, <gregtech:meta_item_1:2307> % 25, <gregtech:meta_item_1:2309> % 5], <gtadditions:comb:32>, null, 2000);


print("Initialized 'Honeycomb'");