# Immersive Engineering

import mods.immersiveengineering.AlloySmelter;
import crafttweaker.item.IItemStack;

print("Initializing 'Immersive Engineering'...");


// Ненужные предметы
var items = [<immersiveengineering:drillhead:1>, <immersiveengineering:drillhead>, <immersiveengineering:drill>, <immersiveengineering:material:1>, <immersiveengineering:material:2>, <immersiveengineering:material:3>, <immersiveengineering:metal:33>, <immersiveengineering:metal:30>, <immersiveengineering:metal:34>, <immersiveengineering:metal:37>, <immersiveengineering:metal:38>, <immersiveengineering:metal:39>, <immersiveengineering:metal:40>, <immersiveengineering:metal:31>, <immersiveengineering:metal:35>, <immersiveengineering:metal:32>, <immersiveengineering:metal:36>, <immersiveengineering:metal:15>, <immersiveengineering:metal:6>, <immersiveengineering:metal:26>, <immersiveengineering:storage:6>, <immersiveengineering:storage_slab:6>, <immersiveengineering:toolupgrade:1>, <immersiveengineering:toolupgrade:2>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

//Удаление рецептов
global ItemsToRemoveIE as IItemStack[] = [
	<immersiveengineering:wooden_device0:3>,
	<immersiveengineering:wooden_device0:7>,
	<immersiveengineering:wooden_device0:6>,
	<immersiveengineering:metal_decoration0:3>,
	<immersiveengineering:metal_decoration0:4>,
	<immersiveengineering:metal_decoration0:5>,
	<immersiveengineering:metal_device1:2>,
	<immersiveengineering:metal_decoration0:7>,
	<immersiveengineering:metal_decoration2:4>,
	<immersiveengineering:metal_device0>,
	<immersiveengineering:connector>,
	<immersiveengineering:connector:1>,
	<immersiveengineering:connector:2>,
	<immersiveengineering:connector:3>,
	<immersiveengineering:connector:4>,
	<immersiveengineering:connector:5>,
	<immersiveengineering:connector:12>,
	<immersiveengineering:metal_device0:1>,
	<immersiveengineering:metal_device0:2>,
	<immersiveengineering:material:8>,
	<immersiveengineering:material:9>,
	<immersiveengineering:tool:2>,
	<immersiveengineering:graphite_electrode>,
	<immersiveengineering:fluorescent_tube>,
	<immersiveengineering:stone_decoration:8>,
	<immersiveengineering:connector:6>,
	<immersiveengineering:metal_device1:4>,
	<immersiveengineering:wooden_device0:2>,
	<immersiveengineering:wooden_device1:1>,
	<immersiveengineering:wooden_device1>,
	<immersiveengineering:cloth_device>,
	<immersiveengineering:cloth_device:1>,
	<immersiveengineering:cloth_device:2>,
	<immersiveengineering:sheetmetal>,
	<immersiveengineering:sheetmetal:1>,
	<immersiveengineering:sheetmetal:2>,
	<immersiveengineering:sheetmetal:3>,
	<immersiveengineering:sheetmetal:4>,
	<immersiveengineering:sheetmetal:5>,
	<immersiveengineering:sheetmetal:6>,
	<immersiveengineering:sheetmetal:7>,
	<immersiveengineering:sheetmetal:8>,
	<immersiveengineering:sheetmetal:9>,
	<immersiveengineering:sheetmetal:10>,
	<immersiveengineering:metal_decoration0>,
	<immersiveengineering:metal_decoration0:1>,
	<immersiveengineering:metal_decoration0:2>,
	<immersiveengineering:metal_decoration1>,
	<immersiveengineering:metal_decoration1:1>,
	<immersiveengineering:metal_decoration1:4>,
	<immersiveengineering:metal_decoration1:5>,
	<immersiveengineering:connector:7>,
	<immersiveengineering:connector:8>,
	<immersiveengineering:connector:9>,
	<immersiveengineering:connector:10>,
	<immersiveengineering:connector:11>,
	<immersiveengineering:metal_device0:5>,
	<immersiveengineering:metal_device1:1>,
	<immersiveengineering:metal_device1:3>,
	<immersiveengineering:conveyor>.withTag({conveyorType: "immersiveengineering:conveyor"}),
	<immersiveengineering:metal_device1:6>,
	<immersiveengineering:metal_device1:8>,
	<immersiveengineering:metal_device1:9>,
	<immersiveengineering:metal_device1:13>,
	<immersiveengineering:metal_device1:5>,
	<immersiveengineering:metal_decoration2:5>,
	<immersiveengineering:material:13>,
	<immersiveengineering:wirecoil>,
	<immersiveengineering:wirecoil:1>,
	<immersiveengineering:wirecoil:2>,
	<immersiveengineering:wirecoil:3>,
	<immersiveengineering:wirecoil:4>,
	<immersiveengineering:wirecoil:5>,
	<immersiveengineering:wirecoil:6>,
	<immersiveengineering:wirecoil:7>,
	<immersiveengineering:faraday_suit_feet>,
	<immersiveengineering:faraday_suit_legs>,	
	<immersiveengineering:faraday_suit_chest>,
	<immersiveengineering:faraday_suit_head>,
	<immersiveengineering:connector:13>,
	<immersiveengineering:metal_decoration0:6>,
	<immersiveengineering:stone_decoration:2>,
	<immersiveengineering:sword_steel>, 
	<immersiveengineering:hoe_steel>, 
	<immersiveengineering:pickaxe_steel>, 
	<immersiveengineering:shovel_steel>, 
	<immersiveengineering:axe_steel>,
	<immersiveengineering:blueprint>.withTag({blueprint: "components"}),
	<immersiveengineering:blueprint>.withTag({blueprint: "bullet"}),
	<immersiveengineering:blueprint>.withTag({blueprint: "molds"})
] as IItemStack[];
for item in ItemsToRemoveIE{
    recipes.remove(item);
}


//Рецепты в сборщике
//Сортировщик предметов
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 6, <immersiveengineering:treated_wood> * 2, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:32729>, <immersiveengineering:material:8>, <gregtech:meta_item_1:32630>, <gregtech:machine:501>)
    .outputs(<immersiveengineering:wooden_device0:3>)
    .duration(15 * 20)
    .EUt(24)
    .buildAndRegister();

//Сортировщик жидкостей
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 6, <immersiveengineering:treated_wood> * 2, <gregtech:meta_item_1:12215>, <gregtech:meta_item_1:32628>, <immersiveengineering:material:8>, <gregtech:meta_item_1:32610>, <gregtech:machine:501>)
    .outputs(<immersiveengineering:wooden_device0:7>)
    .duration(15 * 20)
    .EUt(24)
    .buildAndRegister();

//Поворотный стол
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 6, <immersiveengineering:treated_wood> * 2, <gregtech:meta_item_1:12215> * 2, <immersiveengineering:metal_decoration0>)
    .outputs(<immersiveengineering:wooden_device0:6>)
    .duration(10 * 20)
    .EUt(16)
    .buildAndRegister();

//Краснокаменный инженерный блок
assembler.recipeBuilder()
    .inputs(<gregtech:cable:237> * 12, <gregtech:cable:18> * 12, <gregtech:meta_item_1:12184> * 6, <gregtech:machine:501>)
    .outputs(<immersiveengineering:metal_decoration0:3>)
    .duration(30 * 20)
    .EUt(32)
    .buildAndRegister();

//Легкий инженерный блок
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 6, <gregtech:meta_item_1:12018> * 6, <immersiveengineering:material:8> * 2, <gregtech:meta_item_1:32600>, <gregtech:machine:501>)
    .outputs(<immersiveengineering:metal_decoration0:4>)
    .duration(30 * 20)
    .EUt(32)
    .buildAndRegister();

//Тяжелый инженерный блок
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 6, <gregtech:meta_item_1:12018> * 6, <immersiveengineering:material:9> * 2, <gregtech:meta_item_1:32602>, <gregtech:machine:503>)
    .outputs(<immersiveengineering:metal_decoration0:5>)
    .duration(30 * 20)
    .EUt(32)
    .buildAndRegister();

//Кинетический генератор
assembler.recipeBuilder()
    .inputs(<gregtech:cable:18> * 4, <gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12237> * 2, <immersiveengineering:metal_decoration0>)
    .outputs(<immersiveengineering:metal_device1:2>)
    .duration(10 * 20)
    .EUt(16)
    .buildAndRegister();

//Блок радиатора
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:19184> * 12, <minecraft:iron_bars> * 6, <gregtech:machine:950>)
    .outputs(<immersiveengineering:metal_decoration0:7>)
    .duration(10 * 20)
    .EUt(16)
    .buildAndRegister();

//Фонарь
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14184> * 4, <gregtech:meta_item_1:12330> * 4, <gregtech:meta_item_1:12184> * 2)
    .outputs(<immersiveengineering:metal_decoration2:4>)
    .duration(15 * 20)
    .EUt(24)
    .buildAndRegister();

//Монтажная плата
assembler.recipeBuilder()
    .inputs(<gregtech:cable:71> * 4, <gregtech:meta_item_1:12126> * 2, <gregtech:meta_item_2:32451> * 2, <ore:circuitBasic>)
    .fluidInputs([<liquid:soldering_alloy> * 72])
    .outputs(<immersiveengineering:material:27>)
    .duration(10 * 20)
    .EUt(24)
    .buildAndRegister();

assembler.recipeBuilder()
    .inputs(<gregtech:cable:71> * 4, <gregtech:meta_item_1:12126> * 2, <gregtech:meta_item_2:32451> * 2, <ore:circuitBasic>)
    .fluidInputs([<liquid:tin> * 144])
    .outputs(<immersiveengineering:material:27>)
    .duration(10 * 20)
    .EUt(24)
    .buildAndRegister();

//Низковольтный коннектор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14018> * 4, <gregtech:meta_item_1:19237> * 2, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Низковольтное реле
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14018> * 2, <gregtech:meta_item_1:14033> * 2, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector:1>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Средневольтный коннектор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14112> * 4, <gregtech:meta_item_1:19237> * 2, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector:2>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Средневольтное реле
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14112> * 2, <gregtech:meta_item_1:14033> * 2, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector:3>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Высоковольтный коннектор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14001> * 4, <gregtech:meta_item_1:19237> * 2, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector:4>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Высоковольтное реле
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14001> * 2, <gregtech:meta_item_1:14033> * 2, <immersiveengineering:stone_decoration:8>)
    .outputs(<immersiveengineering:connector:5>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Краснокаменный коннектор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14112> * 2, <gregtech:meta_item_2:16237> * 4, <minecraft:hardened_clay>)
    .outputs(<immersiveengineering:connector:12>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Доски из обработанного дерева
assembler.recipeBuilder()
    .inputs(<ore:plankWood>)
    .fluidInputs([<liquid:creosote> * 100])
    .outputs(<immersiveengineering:treated_wood>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

//Низковольтный конденсатор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:cable:35> * 4, <gregtech:cable:18> * 4, <gregtech:meta_item_1:12237> * 2, <immersiveengineering:treated_wood>)
    .outputs(<immersiveengineering:metal_device0>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

//Средневольтный конденсатор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:cable:2035> * 4, <gregtech:cable:112> * 4, <gregtech:meta_item_1:12237> * 2, <immersiveengineering:treated_wood>)
    .outputs(<immersiveengineering:metal_device0:1>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

//Высоковольтный конденсатор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:cable:4035> * 4, <gregtech:cable:1> * 4, <gregtech:meta_item_1:12237> * 2, <immersiveengineering:treated_wood>)
    .outputs(<immersiveengineering:metal_device0:2>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

//Железный механический компонент
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12033> * 4, <gregtech:meta_item_1:18033> * 2)
    .outputs(<immersiveengineering:material:8>)
    .duration(3 * 20)
    .EUt(16)
    .buildAndRegister();

//Стальной механический компонент
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:meta_item_1:18184> * 2)
    .outputs(<immersiveengineering:material:9>)
    .duration(3 * 20)
    .EUt(16)
    .buildAndRegister();

//Вольтметр инженера
assembler.recipeBuilder()
    .inputs(<immersiveengineering:material> * 4, <gregtech:meta_item_1:12184>, <gregtech:cable:237>)
    .outputs(<immersiveengineering:tool:2>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

//Флуоресцентная лампа
assembler.recipeBuilder()
    .inputs(<minecraft:glowstone_dust> * 8, <immersiveengineering:graphite_electrode>)
    .fluidInputs([<liquid:glass> * 100])
    .outputs(<immersiveengineering:fluorescent_tube>)
    .duration(15 * 20)
    .EUt(24)
    .buildAndRegister();

//Строительный коннектор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 3, <gregtech:meta_item_1:18184> * 2, <gregtech:meta_item_1:14184>)
    .outputs(<immersiveengineering:connector:6>)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

//Электрический фонарь
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12209> * 4, <gregtech:meta_item_1:14184> * 4, <gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12237> * 2, <immersiveengineering:material:26>)
    .outputs(<immersiveengineering:metal_device1:4>)
    .duration(15 * 20)
    .EUt(32)
    .buildAndRegister();

//Рецепты хим. реактора 
//Стеклоизоляция
chemical_reactor.recipeBuilder()
    .inputs(<ore:blockGlass>, <ore:dyeGreen>)
    .fluidInputs([<liquid:iron> * 144])
    .outputs(<immersiveengineering:stone_decoration:8>)
    .duration(10 * 20)
    .EUt(16)
    .buildAndRegister();

//Рецепты доменной печи
//Графитовый электрод
blast_furnace.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2204> * 16, <gregtech:meta_item_1:2012> * 8, <gregtech:meta_item_1:14111>)
    .fluidInputs([<liquid:oxygen> * 1000])
    .outputs(<immersiveengineering:graphite_electrode>)
    .property("temperature", 3000)
    .duration(30 * 20)
    .EUt(128)
    .buildAndRegister();

//Рецепты в верстаке
//Верстал инженера
recipes.addShaped(<immersiveengineering:wooden_device0:2>, 
	[[null, null, null], 
	[<immersiveengineering:treated_wood>, <immersiveengineering:treated_wood>, <immersiveengineering:treated_wood>], 
	[<minecraft:chest>, <minecraft:crafting_table>, <immersiveengineering:wooden_decoration>]]);

//Ветряная мельница
recipes.addShaped(<immersiveengineering:wooden_device1:1>, 
	[[ <immersiveengineering:material:11>, <immersiveengineering:material:11>, <immersiveengineering:material:11>], 
	[<immersiveengineering:material:11>, <gregtech:meta_item_1:18184>, <immersiveengineering:material:11>], 
	[<immersiveengineering:material:11>, <immersiveengineering:material:11>, <immersiveengineering:material:11>]]);

//Водяное колесо
recipes.addShaped(<immersiveengineering:wooden_device1>, 
	[[null, <immersiveengineering:material:10>, null], 
	[<immersiveengineering:material:10>, <gregtech:meta_item_1:18184>, <immersiveengineering:material:10>], 
	[null, <immersiveengineering:material:10>, null]]);

//Спасательная подушка
recipes.addShaped(<immersiveengineering:cloth_device>, 
	[[<immersiveengineering:material:5>, <immersiveengineering:material:5>, <immersiveengineering:material:5>], 
	[<immersiveengineering:material:5>, null, <immersiveengineering:material:5>], 
	[<immersiveengineering:material:5>, <immersiveengineering:material:5>, <immersiveengineering:material:5>]]);

//Воздушаный шар
recipes.addShaped(<immersiveengineering:cloth_device:1>, 
	[[<immersiveengineering:material:5>, <immersiveengineering:material:5>, <immersiveengineering:material:5>], 
	[<immersiveengineering:material:5>, <minecraft:torch>, <immersiveengineering:material:5>], 
	[null, <immersiveengineering:treated_wood_slab>, null]]);

//Занавес
recipes.addShaped(<immersiveengineering:cloth_device:2>, 
	[[<ore:stickSteel>, <ore:stickSteel>, <ore:stickSteel>], 
	[<immersiveengineering:material:5>, <immersiveengineering:material:5>, <immersiveengineering:material:5>], 
	[<immersiveengineering:material:5>, <immersiveengineering:material:5>, <immersiveengineering:material:5>]]);

//Листовой металл 
recipes.addShaped(<immersiveengineering:sheetmetal>, 
	[[<ore:plateCopper>, <ore:plateCopper>, <ore:plateCopper>], 
	[<ore:plateCopper>, <ore:plateCopper>, <ore:plateCopper>], 
	[<ore:plateCopper>, <ore:plateCopper>, <ore:plateCopper>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:1>, 
	[[<ore:plateAluminium>, <ore:plateAluminium>, <ore:plateAluminium>], 
	[<ore:plateAluminium>, <ore:plateAluminium>, <ore:plateAluminium>], 
	[<ore:plateAluminium>, <ore:plateAluminium>, <ore:plateAluminium>]]);

recipes.addShaped(<immersiveengineering:sheetmetal:1>, 
	[[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], 
	[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], 
	[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:2>, 
	[[<ore:plateLead>, <ore:plateLead>, <ore:plateLead>], 
	[<ore:plateLead>, <ore:plateLead>, <ore:plateLead>], 
	[<ore:plateLead>, <ore:plateLead>, <ore:plateLead>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:3>, 
	[[<ore:plateSilver>, <ore:plateSilver>, <ore:plateSilver>], 
	[<ore:plateSilver>, <ore:plateSilver>, <ore:plateSilver>], 
	[<ore:plateSilver>, <ore:plateSilver>, <ore:plateSilver>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:4>, 
	[[<ore:plateNickel>, <ore:plateNickel>, <ore:plateNickel>], 
	[<ore:plateNickel>, <ore:plateNickel>, <ore:plateNickel>], 
	[<ore:plateNickel>, <ore:plateNickel>, <ore:plateNickel>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:5>, 
	[[<ore:plateUranium>, <ore:plateUranium>, <ore:plateUranium>], 
	[<ore:plateUranium>, <ore:plateUranium>, <ore:plateUranium>], 
	[<ore:plateUranium>, <ore:plateUranium>, <ore:plateUranium>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:6>, 
	[[<ore:plateConstantan>, <ore:plateConstantan>, <ore:plateConstantan>], 
	[<ore:plateConstantan>, <ore:plateConstantan>, <ore:plateConstantan>], 
	[<ore:plateConstantan>, <ore:plateConstantan>, <ore:plateConstantan>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:7>, 
	[[<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>], 
	[<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>], 
	[<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:8>, 
	[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:9>, 
	[[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>], 
	[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>], 
	[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>]]);

//Листовой металл
recipes.addShaped(<immersiveengineering:sheetmetal:10>, 
	[[<ore:plateGold>, <ore:plateGold>, <ore:plateGold>], 
	[<ore:plateGold>, <ore:plateGold>, <ore:plateGold>], 
	[<ore:plateGold>, <ore:plateGold>, <ore:plateGold>]]);

//Блок медного провода
recipes.addShaped(<immersiveengineering:metal_decoration0>, 
	[[<immersiveengineering:wirecoil>, <immersiveengineering:wirecoil>, <immersiveengineering:wirecoil>], 
	[<immersiveengineering:wirecoil>, <immersiveengineering:metal_decoration1>, <immersiveengineering:wirecoil>], 
	[<immersiveengineering:wirecoil>, <immersiveengineering:wirecoil>, <immersiveengineering:wirecoil>]]);

//Блок электрумового провода
recipes.addShaped(<immersiveengineering:metal_decoration0:1>, 
	[[<immersiveengineering:wirecoil:1>, <immersiveengineering:wirecoil:1>, <immersiveengineering:wirecoil:1>], 
	[<immersiveengineering:wirecoil:1>, <immersiveengineering:metal_decoration1>, <immersiveengineering:wirecoil:1>], 
	[<immersiveengineering:wirecoil:1>, <immersiveengineering:wirecoil:1>, <immersiveengineering:wirecoil:1>]]);

//Блок высоковольтного провода
recipes.addShaped(<immersiveengineering:metal_decoration0:2>, 
	[[<immersiveengineering:wirecoil:2>, <immersiveengineering:wirecoil:2>, <immersiveengineering:wirecoil:2>], 
	[<immersiveengineering:wirecoil:2>, <immersiveengineering:metal_decoration1>, <immersiveengineering:wirecoil:2>], 
	[<immersiveengineering:wirecoil:2>, <immersiveengineering:wirecoil:2>, <immersiveengineering:wirecoil:2>]]);

//Стальной забор
recipes.addShaped(<immersiveengineering:metal_decoration1>, 
	[[null, null, null], 
	[<ore:ingotSteel>, <ore:stickSteel>, <ore:ingotSteel>], 
	[<ore:ingotSteel>, <ore:stickSteel>, <ore:ingotSteel>]]);

//Стальные леса
recipes.addShaped(<immersiveengineering:metal_decoration1:1>, 
	[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[null, <ore:stickSteel>, null], 
	[<ore:stickSteel>, null, <ore:stickSteel>]]);

//Алюминиевый забор
recipes.addShaped(<immersiveengineering:metal_decoration1:4>, 
	[[null, null, null], 
	[<ore:ingotAluminium>, <ore:stickAluminium>, <ore:ingotAluminium>], 
	[<ore:ingotAluminium>, <ore:stickAluminium>, <ore:ingotAluminium>]]);

recipes.addShaped(<immersiveengineering:metal_decoration1:4>, 
	[[null, null, null], 
	[<ore:ingotAluminum>, <ore:stickAluminium>, <ore:ingotAluminum>], 
	[<ore:ingotAluminum>, <ore:stickAluminium>, <ore:ingotAluminum>]]);

//Алюминиевые леса
recipes.addShaped(<immersiveengineering:metal_decoration1:5>, 
	[[<ore:plateAluminium>, <ore:plateAluminium>, <ore:plateAluminium>], 
	[null, <ore:stickAluminium>, null], 
	[<ore:stickAluminium>, null, <ore:stickAluminium>]]);

recipes.addShaped(<immersiveengineering:metal_decoration1:5>, 
	[[<ore:plateAluminum>, <ore:plateAluminum>, <ore:plateAluminum>], 
	[null, <ore:stickAluminium>, null], 
	[<ore:stickAluminium>, null, <ore:stickAluminium>]]);

//Обмен алюминиевого слитка из имерсива на греговский
recipes.remove(<thermalfoundation:material:196>);
recipes.remove(<immersiveengineering:metal:21>);
recipes.addShapeless(<gregtech:meta_item_1:10001>, 
	[<immersiveengineering:metal:1>]);

//Удаление слитка константа
AlloySmelter.removeRecipe(<immersiveengineering:metal:6>);

//Трансформатор
recipes.addShaped(<immersiveengineering:connector:7>, 
	[[<immersiveengineering:connector>, <ore:plateSteel>, <immersiveengineering:connector:2>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0:1>, <ore:plateSteel>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

//Высоковольтный трансформатор
recipes.addShaped(<immersiveengineering:connector:8>, 
	[[<immersiveengineering:connector:2>, <ore:plateSteel>, <immersiveengineering:connector:4>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0:2>, <ore:plateSteel>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

//Рубильник
recipes.addShaped(<immersiveengineering:connector:9>, 
	[[null, null, null], 
	[<ore:plateCopper>, <minecraft:lever>, <ore:plateCopper>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

//Краснокаменный рубильник
recipes.addShaped(<immersiveengineering:connector:10>, 
	[[<immersiveengineering:connector:4>, null, <immersiveengineering:connector:4>], 
	[<ore:plateSteel>, <minecraft:repeater>, <ore:plateSteel>], 
	[<ore:plateSteel>, <gregtech:meta_item_1:12237>, <ore:plateSteel>]]);

//Трансформатор тока
recipes.addShaped(<immersiveengineering:connector:11>, 
	[[<minecraft:hardened_clay>, <immersiveengineering:tool:2>, <minecraft:hardened_clay>], 
	[<minecraft:hardened_clay>, <immersiveengineering:metal_decoration0>, <minecraft:hardened_clay>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ore:plateSteel>]]);

//Обмен лампы из грега на лампу из иммерсива
recipes.addShapeless(<immersiveengineering:material:26>, 
	[<gregtech:meta_item_2:32450>]);

//Насос
recipes.addShaped(<immersiveengineering:metal_device0:5>, 
	[[null, <ore:plateIron>, null], 
	[<ore:plateIron>, <immersiveengineering:metal_device1:6>, <ore:plateIron>], 
	[<immersiveengineering:metal_device1:6>, <gregtech:machine:900>, <immersiveengineering:metal_device1:6>]]);

//Внешний нагреватель
recipes.addShaped(<immersiveengineering:metal_device1:1>, 
	[[<ore:plateCopper>, <ore:plateSteel>, <ore:plateCopper>], 
	[<ore:plateSteel>, <immersiveengineering:metal_decoration0>, <ore:plateSteel>], 
	[<ore:plateCopper>, <gregtech:meta_item_1:12237>, <ore:plateCopper>]]);

//Термоэлектрогенератор
recipes.addShaped(<immersiveengineering:metal_device1:3>, 
	[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[<ore:plateConstantan>, <immersiveengineering:metal_decoration0>, <ore:plateConstantan>], 
	[<ore:plateConstantan>, <ore:plateConstantan>, <ore:plateConstantan>]]);

//Конвейер
recipes.addShaped(<immersiveengineering:conveyor>.withTag({conveyorType: "immersiveengineering:conveyor"}), 
	[[null, null, null], 
	[<minecraft:leather>, <minecraft:leather>, <minecraft:leather>], 
	[<ore:plateSteel>, <gregtech:meta_item_1:32630>, <ore:plateSteel>]]);

//Труба для жидкостей
recipes.addShaped(<immersiveengineering:metal_device1:6>, 
	[[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>], 
	[<gregtech:fluid_pipe:3095>, <gregtech:fluid_pipe:3095>, <gregtech:fluid_pipe:3095>], 
	[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>]]);

//Катушка Тесла
recipes.addShaped(<immersiveengineering:metal_device1:8>, 
	[[null, <immersiveengineering:sheetmetal_slab:1>, null], 
	[null, <immersiveengineering:metal_decoration0>, null], 
	[<immersiveengineering:metal_device0:2>, <immersiveengineering:metal_decoration0>, <immersiveengineering:metal_device0:2>]]);

//Прожектор
recipes.addShaped(<immersiveengineering:metal_device1:9>, 
	[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[<minecraft:glass_pane>, <immersiveengineering:metal_device1:4>, <immersiveengineering:metal_decoration0>], 
	[<ore:plateSteel>, <immersiveengineering:material:9>, <ore:plateSteel>]]);

//Садовая теплица
recipes.addShaped(<immersiveengineering:metal_device1:13>, 
	[[<thermalfoundation:glass_alloy:6>, <immersiveengineering:metal_device1:4>, <thermalfoundation:glass_alloy:6>], 
	[<thermalfoundation:glass_alloy:6>, null, <thermalfoundation:glass_alloy:6>], 
	[<immersiveengineering:treated_wood>, <gregtech:machine:501>, <immersiveengineering:treated_wood>]]);

//Обмен алюминиевого прута из имерсива на греговский
recipes.addShapeless(<gregtech:meta_item_1:14001>, 
	[<immersiveengineering:material:3>]);

//Зарядная станция
recipes.addShaped(<immersiveengineering:metal_device1:5>, 
	[[<ore:plateSteel>, <immersiveengineering:connector:2>, <ore:plateSteel>], 
	[<ore:plateSteel>, <appliedenergistics2:quartz_glass>, <ore:plateSteel>], 
	[<immersiveengineering:treated_wood>, <immersiveengineering:metal_decoration0>, <immersiveengineering:treated_wood>]]);

//Колючая проволка
recipes.addShaped(<immersiveengineering:metal_decoration2:5>, 
	[[<immersiveengineering:treated_wood>, <ore:plateSteel>, <immersiveengineering:treated_wood>], 
	[<immersiveengineering:material:23>, <immersiveengineering:material:23>, <immersiveengineering:material:23>], 
	[<immersiveengineering:treated_wood>, <ore:plateSteel>, <immersiveengineering:treated_wood>]]);

//Деревянная рукоятка
recipes.addShaped(<immersiveengineering:material:13>, 
	[[<immersiveengineering:material>, <immersiveengineering:material>, null], 
	[<gregtech:meta_item_1:16094>, <immersiveengineering:material>, null], 
	[<immersiveengineering:material>, <immersiveengineering:material>, null]]);

//Обмен медного провода из грега на иммерсив
recipes.addShapeless(<immersiveengineering:material:20>, 
	[<gregtech:cable:18>]);

//Обмен электрум провода из грега на иммерсив
recipes.addShapeless(<immersiveengineering:material:21>, 
	[<gregtech:cable:112>]);

//Обмен алюмминий провода из грега на иммерсив
recipes.addShapeless(<immersiveengineering:material:22>, 
	[<gregtech:cable:1>]);

//Обмен сталь провода из грега на иммерсив
recipes.addShapeless(<immersiveengineering:material:23>, 
	[<gregtech:cable:184>]);

//Моток низковольтного провода
recipes.addShaped(<immersiveengineering:wirecoil>, 
	[[<immersiveengineering:material:20>, <immersiveengineering:material:20>, <immersiveengineering:material:20>], 
	[<immersiveengineering:material:20>, <ore:stickWood>, <immersiveengineering:material:20>], 
	[<immersiveengineering:material:20>, <immersiveengineering:material:20>, <immersiveengineering:material:20>]]);

recipes.addShaped(<immersiveengineering:wirecoil>, 
	[[<gregtech:cable:18>, <gregtech:cable:18>, <gregtech:cable:18>], 
	[<gregtech:cable:18>, <ore:stickWood>, <gregtech:cable:18>], 
	[<gregtech:cable:18>, <gregtech:cable:18>, <gregtech:cable:18>]]);

//Моток средневольтного провода
recipes.addShaped(<immersiveengineering:wirecoil:1>, 
	[[<immersiveengineering:material:21>, <immersiveengineering:material:21>, <immersiveengineering:material:21>], 
	[<immersiveengineering:material:21>, <ore:stickWood>, <immersiveengineering:material:21>], 
	[<immersiveengineering:material:21>, <immersiveengineering:material:21>, <immersiveengineering:material:21>]]);

recipes.addShaped(<immersiveengineering:wirecoil:1>, 
	[[<gregtech:cable:112>, <gregtech:cable:112>, <gregtech:cable:112>], 
	[<gregtech:cable:112>, <ore:stickWood>, <gregtech:cable:112>], 
	[<gregtech:cable:112>, <gregtech:cable:112>, <gregtech:cable:112>]]);

//Моток высоковольтного провода
recipes.addShaped(<immersiveengineering:wirecoil:2>, 
	[[<immersiveengineering:material:22>, <immersiveengineering:material:22>, <immersiveengineering:material:22>], 
	[<immersiveengineering:material:22>, <ore:stickWood>, <immersiveengineering:material:22>], 
	[<immersiveengineering:material:22>, <immersiveengineering:material:22>, <immersiveengineering:material:22>]]);

recipes.addShaped(<immersiveengineering:wirecoil:2>, 
	[[<gregtech:cable:1>, <gregtech:cable:1>, <gregtech:cable:1>], 
	[<gregtech:cable:1>, <ore:stickWood>, <gregtech:cable:1>], 
	[<gregtech:cable:1>, <gregtech:cable:1>, <gregtech:cable:1>]]);

//Моток стального троса
recipes.addShaped(<immersiveengineering:wirecoil:4>, 
	[[<immersiveengineering:material:23>, <immersiveengineering:material:23>, <immersiveengineering:material:23>], 
	[<immersiveengineering:material:23>, <ore:stickWood>, <immersiveengineering:material:23>], 
	[<immersiveengineering:material:23>, <immersiveengineering:material:23>, <immersiveengineering:material:23>]]);

recipes.addShaped(<immersiveengineering:wirecoil:4>, 
	[[<gregtech:cable:184>, <gregtech:cable:184>, <gregtech:cable:184>], 
	[<gregtech:cable:184>, <ore:stickWood>, <gregtech:cable:184>], 
	[<gregtech:cable:184>, <gregtech:cable:184>, <gregtech:cable:184>]]);

//Моток краснокаменного провода
recipes.addShaped(<immersiveengineering:wirecoil:5>, 
	[[<gregtech:cable:237>, <gregtech:cable:237>, <gregtech:cable:237>], 
	[<gregtech:cable:237>, <ore:stickWood>, <gregtech:cable:237>], 
	[<gregtech:cable:237>, <gregtech:cable:237>, <gregtech:cable:237>]]);

//Моток низковольтного провода сизоляцией
recipes.addShaped(<immersiveengineering:wirecoil:6>, 
	[[<gregtech:cable:5018>, <gregtech:cable:5018>, <gregtech:cable:5018>], 
	[<gregtech:cable:5018>, <ore:stickWood>, <gregtech:cable:5018>], 
	[<gregtech:cable:5018>, <gregtech:cable:5018>, <gregtech:cable:5018>]]);

//Моток средневольтного провода сизоляцией
recipes.addShaped(<immersiveengineering:wirecoil:7>, 
	[[<gregtech:cable:5112>, <gregtech:cable:5112>, <gregtech:cable:5112>], 
	[<gregtech:cable:5112>, <ore:stickWood>, <gregtech:cable:5112>], 
	[<gregtech:cable:5112>, <gregtech:cable:5112>, <gregtech:cable:5112>]]);

//Сапоги Фарадея
recipes.addShaped(<immersiveengineering:faraday_suit_feet>, 
	[[null, null, null], 
	[<gregtech:meta_item_1:19001>, null, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, <minecraft:chainmail_boots>, <gregtech:meta_item_1:19001>]]);

//Поножи Фарадея
recipes.addShaped(<immersiveengineering:faraday_suit_legs>, 
	[[<gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, <minecraft:chainmail_leggings>, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, null, <gregtech:meta_item_1:19001>]]);

//Нагрудник Фарадея
recipes.addShaped(<immersiveengineering:faraday_suit_chest>, 
	[[<gregtech:meta_item_1:19001>, <minecraft:chainmail_chestplate>, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>]]);

//Шлем Фарадея
recipes.addShaped(<immersiveengineering:faraday_suit_head>, 
	[[<gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19001>], 
	[<gregtech:meta_item_1:19001>, <minecraft:chainmail_helmet>, <gregtech:meta_item_1:19001>], 
	[null, null, null]]);

//Коннектор краснокаменного зонда
recipes.addShaped(<immersiveengineering:connector:13>, 
	[[<minecraft:glass_pane>, <immersiveengineering:connector:12>, <minecraft:glass_pane>], 
	[<minecraft:glass_pane>, <immersiveengineering:material:27>, <minecraft:glass_pane>], 
	[<ore:plateSteel>, <gregtech:meta_item_1:12201>, <ore:plateSteel>]]);

//Блок генератора
recipes.addShaped(<immersiveengineering:metal_decoration0:6>, 
	[[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
	[<ore:plateElectrum>, <immersiveengineering:metal_device1:2>, <ore:plateElectrum>], 
	[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>]]);

//Инженерный черчеж (детали для производства)
recipes.addShaped(<immersiveengineering:blueprint>.withTag({blueprint: "components"}), 
	[[<gregtech:meta_item_1:19018>, <gregtech:meta_item_1:19001>, <gregtech:meta_item_1:19033>], 
	[<minecraft:feather>, <gregtech:meta_item_1:32452>, <minecraft:dye>], 
	[<minecraft:paper>, <minecraft:paper>, <minecraft:paper>]]);

//Инженерный черчеж (обычные патроны)
recipes.addShaped(<immersiveengineering:blueprint>.withTag({blueprint: "bullet"}), 
	[[<gregtech:meta_item_1:19018>, <gregtech:meta_item_1:19062>, <gregtech:meta_item_1:19035>], 
	[<minecraft:feather>, <gregtech:meta_item_1:32452>, <minecraft:dye>], 
	[<minecraft:paper>, <minecraft:paper>, <minecraft:paper>]]);

//Инженерный черчеж (пресс-форма)
recipes.addShaped(<immersiveengineering:blueprint>.withTag({blueprint: "molds"}), 
	[[<gregtech:meta_item_1:19184>, <gregtech:meta_item_1:19184>, <gregtech:meta_item_1:19184>], 
	[<minecraft:feather>, <gregtech:meta_item_1:32452>, <minecraft:dye>], 
	[<minecraft:paper>, <minecraft:paper>, <minecraft:paper>]]);

// При обжигании слитка стали из грега в печке получается слиток стали из иммерсива
furnace.addRecipe(<immersiveengineering:metal:8>, <gregtech:meta_item_1:10184>);


print("Initialized 'Immersive Engineering'");