# Immersive Petroleum

import crafttweaker.item.IItemStack;

print("Initializing 'Immersive Petroleum'...");


//Удаление рецептов
global ItemsToRemoveIP as IItemStack[] = [
	<immersivepetroleum:metal_device>,
	<immersivepetroleum:metal_device:1>,
	<immersivepetroleum:schematic>
] as IItemStack[];
for item in ItemsToRemoveIP{
    recipes.remove(item);
}


//Рецепты в сборщике
//Смазочное устройство
assembler.recipeBuilder()
    .inputs(<immersiveengineering:material> * 8, <gregtech:meta_item_1:14184> * 4, <minecraft:glass_pane> * 4, <gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:32610>, <immersiveengineering:treated_wood>)
    .outputs(<immersivepetroleum:metal_device>)
    .duration(15 * 20)
    .EUt(32)
    .buildAndRegister();

//Портативный генератор
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14184> * 6, <gregtech:meta_item_1:12184> * 4, <gregtech:meta_item_1:12033> * 4, <immersiveengineering:metal_device0>, <immersiveengineering:metal_decoration0:6>, <gregtech:meta_item_1:32610>)
    .outputs(<immersivepetroleum:metal_device:1>)
    .duration(15 * 20)
    .EUt(32)
    .buildAndRegister();

//Проектор
assembler.recipeBuilder()
    .inputs(<immersiveengineering:material> * 8, <gregtech:cable:71> * 4, <gregtech:meta_item_1:12184> * 2, <immersiveengineering:material:9>, <ore:circuitBasic>, <gregtech:meta_item_1:32518>, <immersiveengineering:metal_device1:4>, <gregtech:meta_item_1:15209>)
    .outputs(<immersivepetroleum:schematic>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

//Рецепты в верстаке
//Битум
recipes.addShaped(<immersivepetroleum:material> * 2, 
	[[<thermalfoundation:material:833>, <ore:sand>, <thermalfoundation:material:833>], 
	[<minecraft:clay_ball>, <thermalfoundation:material:833>, <minecraft:clay_ball>], 
	[<thermalfoundation:material:833>, <ore:sand>, <thermalfoundation:material:833>]]);


print("Initialized 'Immersive Petroleum'");