#priority 1
# LargeChemicalReactorBee7

import crafttweaker.item.IItemStack;

print("Initializing 'LargeChemicalReactorBee7'...");


// Рецепты личинок пчел в большом химическом реакторе
// Иридиевая
large_chemical_reactor.recipeBuilder()
    .inputs(<forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesTungsten", UID0: "gtadditions.speciesTungsten"}]}}), <forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesPlatinum", UID0: "gtadditions.speciesPlatinum"}]}}))
    .notConsumable(<gregtech:meta_block_compressed_2>)
    .fluidInputs([<liquid:binnie.dna.raw> * 50, <liquid:binnie.bacteria.vector> * 50])
    .chancedOutput(<forestry:bee_larvae_ge>.withTag({MaxH: 20, Mate: {Chromosomes: [{UID1: "gtadditions.speciesIridium", UID0: "gtadditions.speciesIridium", Slot: 0 as byte}, {UID1: "forestry.speedFastest", UID0: "forestry.speedFastest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceDown1", UID0: "forestry.toleranceDown1", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersCacti", UID0: "forestry.flowersCacti", Slot: 9 as byte}, {UID1: "forestry.floweringFast", UID0: "forestry.floweringFast", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "forestry.effectNone", UID0: "forestry.effectNone", Slot: 12 as byte}]}, Health: 20, IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gtadditions.speciesIridium", UID0: "gtadditions.speciesIridium", Slot: 0 as byte}, {UID1: "forestry.speedFastest", UID0: "forestry.speedFastest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceDown1", UID0: "forestry.toleranceDown1", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersCacti", UID0: "forestry.flowersCacti", Slot: 9 as byte}, {UID1: "forestry.floweringFast", UID0: "forestry.floweringFast", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "forestry.effectNone", UID0: "forestry.effectNone", Slot: 12 as byte}]}}), 500, 100)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

// Урановая
large_chemical_reactor.recipeBuilder()
    .inputs(<forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "forestry.speciesAvenging", UID0: "forestry.speciesAvenging"}]}}), <forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesPlatinum", UID0: "gtadditions.speciesPlatinum"}]}}))
    .notConsumable(<gregtech:meta_block_compressed_4:11>)
    .fluidInputs([<liquid:binnie.dna.raw> * 50, <liquid:binnie.bacteria.vector> * 50])
    .chancedOutput(<forestry:bee_larvae_ge>.withTag({MaxH: 20, Mate: {Chromosomes: [{UID1: "gtadditions.speciesUranium", UID0: "gtadditions.speciesUranium", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_fix", UID0: "gt_fix", Slot: 12 as byte}]}, Health: 20, IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gtadditions.speciesUranium", UID0: "gtadditions.speciesUranium", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_fix", UID0: "gt_fix", Slot: 12 as byte}]}}), 500, 100)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

// Плутониевая
large_chemical_reactor.recipeBuilder()
    .inputs(<forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesUranium", UID0: "gtadditions.speciesUranium"}]}}), <forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesEmerald", UID0: "gtadditions.speciesEmerald"}]}}))
    .notConsumable(<gregtech:meta_block_compressed_3:4>)
    .fluidInputs([<liquid:binnie.dna.raw> * 50, <liquid:binnie.bacteria.vector> * 50])
    .chancedOutput(<forestry:bee_larvae_ge>.withTag({MaxH: 20, Mate: {Chromosomes: [{UID1: "gtadditions.speciesPlutonium", UID0: "gtadditions.speciesPlutonium", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_energy", UID0: "gt_energy", Slot: 12 as byte}]}, Health: 20, IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gtadditions.speciesPlutonium", UID0: "gtadditions.speciesPlutonium", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_energy", UID0: "gt_energy", Slot: 12 as byte}]}}), 500, 100)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

// Наквада
large_chemical_reactor.recipeBuilder()
    .inputs(<forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesPlutonium", UID0: "gtadditions.speciesPlutonium"}]}}), <forestry:bee_larvae_ge>.withTag({Genome: {Chromosomes: [{UID1: "gtadditions.speciesIridium", UID0: "gtadditions.speciesIridium"}]}}))
    .notConsumable(<gregtech:meta_block_compressed_19:3>)
    .fluidInputs([<liquid:binnie.dna.raw> * 50, <liquid:binnie.bacteria.vector> * 50])
    .chancedOutput(<forestry:bee_larvae_ge>.withTag({MaxH: 20, Mate: {Chromosomes: [{UID1: "gtadditions.speciesNaquadah", UID0: "gtadditions.speciesNaquadah", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_accelerate", UID0: "gt_accelerate", Slot: 12 as byte}]}, Health: 20, IsAnalyzed: 0 as byte, Genome: {Chromosomes: [{UID1: "gtadditions.speciesNaquadah", UID0: "gtadditions.speciesNaquadah", Slot: 0 as byte}, {UID1: "forestry.speedSlowest", UID0: "forestry.speedSlowest", Slot: 1 as byte}, {UID1: "forestry.lifespanShorter", UID0: "forestry.lifespanShorter", Slot: 2 as byte}, {UID1: "forestry.fertilityNormal", UID0: "forestry.fertilityNormal", Slot: 3 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 4 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 5 as byte}, {UID1: "forestry.toleranceNone", UID0: "forestry.toleranceNone", Slot: 6 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 7 as byte}, {UID1: "forestry.boolFalse", UID0: "forestry.boolFalse", Slot: 8 as byte}, {UID1: "forestry.flowersEnd", UID0: "forestry.flowersEnd", Slot: 9 as byte}, {UID1: "forestry.floweringAverage", UID0: "forestry.floweringAverage", Slot: 10 as byte}, {UID1: "forestry.territoryAverage", UID0: "forestry.territoryAverage", Slot: 11 as byte}, {UID1: "gt_accelerate", UID0: "gt_accelerate", Slot: 12 as byte}]}}), 300, 100)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();


print("Initialized 'LargeChemicalReactorBee7'");