# Solar Flux Reborn

import crafttweaker.item.IItemStack;

print("Initializing 'Solar Flux Reborn'...");


//Удаление рецептов
global ItemsToRemoveSFR as IItemStack[] = [
	<solarflux:mirror>,
	<solarflux:photovoltaic_cell_1>,
	<solarflux:photovoltaic_cell_2>,
	<solarflux:photovoltaic_cell_3>,
	<solarflux:photovoltaic_cell_4>,
	<solarflux:photovoltaic_cell_5>,
	<solarflux:photovoltaic_cell_6>,
	<solarflux:solar_panel_1>,
	<solarflux:solar_panel_2>,
	<solarflux:solar_panel_3>,
	<solarflux:solar_panel_4>,
	<solarflux:solar_panel_5>,
	<solarflux:solar_panel_6>,
	<solarflux:solar_panel_7>,
	<solarflux:solar_panel_8>,
	<solarflux:blank_upgrade>,
	<solarflux:transfer_rate_upgrade>,
	<solarflux:traversal_upgrade>,
	<solarflux:efficiency_upgrade>,
	<solarflux:furnace_upgrade>,
	<solarflux:capacity_upgrade>,
	<solarflux:block_charging_upgrade>,
	<solarflux:dispersive_upgrade>
] as IItemStack[];
for item in ItemsToRemoveSFR{
    recipes.remove(item);
}

//Рецепты в верстаке
//Зеркало
recipes.addShaped(<solarflux:mirror>, 
	[[null, <minecraft:glass_pane>, null], 
	[null, <gregtech:meta_item_1:19062>, null], 
	[null, <ore:plateSteel>, null]]);

//Фотоэлектрическая ячейка I
recipes.addShaped(<solarflux:photovoltaic_cell_1>, 
	[[<ore:plateIron>, <gregtech:meta_item_1:12209>, <ore:plateIron>], 
	[<ore:circuitBasic>, <gregtech:meta_item_1:32751>, <ore:circuitBasic>], 
	[<ore:plateIron>, <solarflux:mirror>, <ore:plateIron>]]);

//Фотоэлектрическая ячейка II
recipes.addShaped(<solarflux:photovoltaic_cell_2>, 
	[[<ore:plateSteel>, <gregtech:meta_item_1:12111>, <ore:plateSteel>], 
	[<ore:circuitBasic>, <gregtech:meta_item_1:32752>, <ore:circuitBasic>], 
	[<ore:plateSteel>, <solarflux:photovoltaic_cell_1>, <ore:plateSteel>]]);

//Фотоэлектрическая ячейка III
recipes.addShaped(<solarflux:photovoltaic_cell_3>, 
	[[<ore:plateAluminium>, <gregtech:meta_item_1:12157>, <ore:plateAluminium>], 
	[<ore:circuitGood>, <solarflux:photovoltaic_cell_2>, <ore:circuitGood>], 
	[<ore:plateAluminium>, <solarflux:photovoltaic_cell_2>, <ore:plateAluminium>]]);

recipes.addShaped(<solarflux:photovoltaic_cell_3>, 
	[[<ore:plateAluminum>, <gregtech:meta_item_1:12157>, <ore:plateAluminum>], 
	[<ore:circuitGood>, <solarflux:photovoltaic_cell_2>, <ore:circuitGood>], 
	[<ore:plateAluminum>, <solarflux:photovoltaic_cell_2>, <ore:plateAluminum>]]);

//Фотоэлектрическая ячейка IV
recipes.addShaped(<solarflux:photovoltaic_cell_4>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12092>, <gregtech:meta_item_1:12183>], 
	[<ore:circuitAdvanced>, <solarflux:photovoltaic_cell_3>, <ore:circuitAdvanced>], 
	[<gregtech:meta_item_1:12183>, <solarflux:photovoltaic_cell_3>, <gregtech:meta_item_1:12183>]]);

//Фотоэлектрическая ячейка V
recipes.addShaped(<solarflux:photovoltaic_cell_5>, 
	[[<gregtech:meta_item_1:12072>, <gregtech:meta_item_1:12219>, <gregtech:meta_item_1:12072>], 
	[<ore:circuitExtreme>, <solarflux:photovoltaic_cell_4>, <ore:circuitExtreme>], 
	[<gregtech:meta_item_1:12072>, <solarflux:photovoltaic_cell_4>, <gregtech:meta_item_1:12072>]]);

//Фотоэлектрическая ячейка VI
recipes.addShaped(<solarflux:photovoltaic_cell_6>, 
	[[<gregtech:meta_item_1:12235>, <gregtech:meta_item_1:12331>, <gregtech:meta_item_1:12235>], 
	[<ore:circuitElite>, <solarflux:photovoltaic_cell_5>, <ore:circuitElite>], 
	[<gregtech:meta_item_1:12235>, <solarflux:photovoltaic_cell_5>, <gregtech:meta_item_1:12235>]]);

//Солнечная панель I
recipes.addShaped(<solarflux:solar_panel_1>, 
	[[<ore:plateIron>, <solarflux:mirror>, <ore:plateIron>], 
	[<ore:plateIron>, <ore:circuitBasic>, <ore:plateIron>], 
	[<ore:plateIron>, <minecraft:stone_slab>, <ore:plateIron>]]);

//Солнечная панель II
recipes.addShaped(<solarflux:solar_panel_2>, 
	[[<ore:plateIron>, <gregtech:meta_item_1:32750>, <ore:plateIron>], 
	[<ore:plateIron>, <solarflux:mirror>, <ore:plateIron>], 
	[<ore:plateIron>, <solarflux:solar_panel_1>, <ore:plateIron>]]);

//Солнечная панель III
recipes.addShaped(<solarflux:solar_panel_3>, 
	[[<gregtech:meta_item_1:12197>, <solarflux:photovoltaic_cell_1>, <gregtech:meta_item_1:12197>], 
	[<gregtech:meta_item_1:12197>, <gregtech:meta_item_1:32751>, <gregtech:meta_item_1:12197>], 
	[<gregtech:meta_item_1:12197>, <solarflux:solar_panel_2>, <gregtech:meta_item_1:12197>]]);

//Солнечная панель IV
recipes.addShaped(<solarflux:solar_panel_4>, 
	[[<ore:plateSteel>, <solarflux:photovoltaic_cell_2>, <ore:plateSteel>], 
	[<ore:plateSteel>, <solarflux:photovoltaic_cell_1>, <ore:plateSteel>], 
	[<ore:plateSteel>, <solarflux:solar_panel_3>, <ore:plateSteel>]]);

//Солнечная панель V
recipes.addShaped(<solarflux:solar_panel_5>, 
	[[<ore:plateAluminium>, <solarflux:photovoltaic_cell_3>, <ore:plateAluminium>], 
	[<ore:plateAluminium>, <solarflux:photovoltaic_cell_2>, <ore:plateAluminium>], 
	[<ore:plateAluminium>, <solarflux:solar_panel_4>, <ore:plateAluminium>]]);

recipes.addShaped(<solarflux:solar_panel_5>, 
	[[<ore:plateAluminum>, <solarflux:photovoltaic_cell_3>, <ore:plateAluminum>], 
	[<ore:plateAluminum>, <solarflux:photovoltaic_cell_2>, <ore:plateAluminum>], 
	[<ore:plateAluminum>, <solarflux:solar_panel_4>, <ore:plateAluminum>]]);

//Солнечная панель VI
recipes.addShaped(<solarflux:solar_panel_6>, 
	[[<gregtech:meta_item_1:12183>, <solarflux:photovoltaic_cell_4>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12183>, <solarflux:photovoltaic_cell_3>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12183>, <solarflux:solar_panel_5>, <gregtech:meta_item_1:12183>]]);

//Солнечная панель VII
recipes.addShaped(<solarflux:solar_panel_7>, 
	[[<gregtech:meta_item_1:12072>, <solarflux:photovoltaic_cell_5>, <gregtech:meta_item_1:12072>], 
	[<gregtech:meta_item_1:12072>, <solarflux:photovoltaic_cell_4>, <gregtech:meta_item_1:12072>], 
	[<gregtech:meta_item_1:12072>, <solarflux:solar_panel_6>, <gregtech:meta_item_1:12072>]]);

//Солнечная панель VIII
recipes.addShaped(<solarflux:solar_panel_8>, 
	[[<gregtech:meta_item_1:12235>, <solarflux:photovoltaic_cell_6>, <gregtech:meta_item_1:12235>], 
	[<gregtech:meta_item_1:12235>, <solarflux:photovoltaic_cell_5>, <gregtech:meta_item_1:12235>], 
	[<gregtech:meta_item_1:12235>, <solarflux:solar_panel_7>, <gregtech:meta_item_1:12235>]]);

//Шаблон улучшения
recipes.addShaped(<solarflux:blank_upgrade>, 
	[[null, <ore:plateSteel>, null], 
	[<gtadditions:ga_meta_item:32307>, <gregtech:meta_item_1:32627>, <gtadditions:ga_meta_item:32307>], 
	[null, <gregtech:meta_item_2:32506>, null]]);

//Улучшение: Скорость передачи
recipes.addShaped(<solarflux:transfer_rate_upgrade>, 
	[[<thermalfoundation:material:515>, <thermalfoundation:material:515>, <thermalfoundation:material:515>], 
	[<ore:plateGold>, <solarflux:blank_upgrade>, <ore:plateGold>], 
	[<thermalfoundation:material:515>, <thermalfoundation:material:515>, <thermalfoundation:material:515>]]);

//Улучшение: Распределение по машинам
recipes.addShaped(<solarflux:traversal_upgrade>, 
	[[<thermalfoundation:material:515>, <gregtech:meta_item_1:12219>, <thermalfoundation:material:515>], 
	[<gregtech:meta_item_1:12219>, <solarflux:blank_upgrade>, <gregtech:meta_item_1:12219>], 
	[<thermalfoundation:material:515>, <gregtech:meta_item_1:12219>, <thermalfoundation:material:515>]]);

//Улучшение: Рассеивание
recipes.addShaped(<solarflux:dispersive_upgrade>, 
	[[<gregtech:meta_item_1:12330>, <forestry:crafting_material:1>, <gregtech:meta_item_1:12330>], 
	[<forestry:crafting_material:1>, <solarflux:blank_upgrade>, <forestry:crafting_material:1>], 
	[<gregtech:meta_item_1:12330>, <forestry:crafting_material:1>, <gregtech:meta_item_1:12330>]]);

//Улучшение: Зарядка блока
recipes.addShaped(<solarflux:block_charging_upgrade>, 
	[[<gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12237>, <gregtech:meta_item_1:12218>], 
	[<gregtech:meta_item_1:12237>, <solarflux:dispersive_upgrade>, <gregtech:meta_item_1:12237>], 
	[<gregtech:meta_item_1:12218>, <gregtech:meta_item_1:12237>, <gregtech:meta_item_1:12218>]]);

//Улучшение: Ёмкость
recipes.addShaped(<solarflux:capacity_upgrade>, 
	[[<ore:plateSteel>, <gregtech:meta_item_1:32502>, <ore:plateSteel>], 
	[<thermalfoundation:material:515>, <solarflux:blank_upgrade>, <thermalfoundation:material:515>], 
	[<ore:plateSteel>, <gregtech:meta_item_1:32502>, <ore:plateSteel>]]);

//Улучшение: Печь
recipes.addShaped(<solarflux:furnace_upgrade>, 
	[[<gregtech:meta_item_2:16087>, <ore:circuitBasic>, <gregtech:meta_item_2:16087>], 
	[<gregtech:meta_item_2:16087>, <solarflux:blank_upgrade>, <gregtech:meta_item_2:16087>], 
	[<gregtech:meta_item_2:16087>, <ore:plateSilver>, <gregtech:meta_item_2:16087>]]);

//Улучшение: Эффективность
recipes.addShaped(<solarflux:efficiency_upgrade>, 
	[[<gregtech:meta_item_2:16052>, <gregtech:meta_item_2:16052>, <gregtech:meta_item_2:16052>], 
	[<gregtech:meta_item_1:12085>, <solarflux:blank_upgrade>, <gregtech:meta_item_1:12085>], 
	[<gregtech:meta_item_2:16052>, <gregtech:meta_item_2:16052>, <gregtech:meta_item_2:16052>]]);


print("Initialized 'Solar Flux Reborn'");