#priority 1
# ThermalCultivation

import crafttweaker.item.IItemStack;

print("Initializing 'ThermalCultivation'...");

//Удаление рецептов
global ItemsToRemoveTC as IItemStack[] = [
	<thermalcultivation:watering_can>,
	<thermalcultivation:watering_can:1>,
	<thermalcultivation:watering_can:2>,
	<thermalcultivation:watering_can:3>,
	<thermalcultivation:watering_can:4>
] as IItemStack[];
for item in ItemsToRemoveTC{
    recipes.remove(item);
}

// Рецепты в сборщике
// Лейка (Основная)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:18> * 2, <gregtech:meta_item_1:12018> * 2, <thermalexpansion:reservoir>, <gregtech:meta_item_1:18095>)
    .outputs(<thermalcultivation:watering_can>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Лейка (Усиленная);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:19184> * 4, <thermalexpansion:reservoir:1>, <thermalcultivation:watering_can>)
    .outputs(<thermalcultivation:watering_can:1>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Лейка (Укрепленная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:19183> * 4, <thermalexpansion:reservoir:2>, <thermalcultivation:watering_can:1>)
    .outputs(<thermalcultivation:watering_can:2>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Лейка (Синаловая)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:19072> * 4, <thermalexpansion:reservoir:3>, <thermalcultivation:watering_can:2>)
    .outputs(<thermalcultivation:watering_can:3>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Лейка (Резонирующая)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:19235> * 4, <thermalexpansion:reservoir:4>, <thermalcultivation:watering_can:3>)
    .outputs(<thermalcultivation:watering_can:4>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();


print("Initialized 'ThermalCultivation'");