#priority 1
# ThermalDynamics

import mods.thermalexpansion.Transposer;
import crafttweaker.item.IItemStack;

print("Initializing 'ThermalDynamics'...");


// Ненужные предметы
var items = [<thermaldynamics:duct_16:4>, <thermaldynamics:duct_16:5>, <thermaldynamics:duct_0:6>, <thermaldynamics:duct_0:7>, <thermaldynamics:duct_0:8>, <thermaldynamics:duct_0:9>, <thermaldynamics:duct_32:4>, <thermaldynamics:duct_32:5>, <thermaldynamics:duct_32:6>, <thermaldynamics:duct_32:7>, <thermaldynamics:duct_64>, <thermaldynamics:duct_64:1>, <thermaldynamics:duct_64:2>, <thermaldynamics:duct_64:3>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

//Удаление рецептов
global ItemsToRemoveTD as IItemStack[] = [
	<thermaldynamics:duct_0>,
	<thermaldynamics:duct_0:1>,
	<thermaldynamics:duct_0:2>,
	<thermaldynamics:duct_0:3>,
	<thermaldynamics:duct_0:4>,
	<thermaldynamics:duct_0:5>,
	<thermaldynamics:duct_16:1>,
	<thermaldynamics:duct_16>,
	<thermaldynamics:duct_16:2>,
	<thermaldynamics:duct_16:3>,
	<thermaldynamics:duct_16:6>,
	<thermaldynamics:duct_16:7>,
	<thermaldynamics:duct_32>,
	<thermaldynamics:duct_32>.withTag({DenseType: 2 as byte}),
	<thermaldynamics:duct_32>.withTag({DenseType: 1 as byte}),
	<thermaldynamics:duct_32:1>,
	<thermaldynamics:duct_32:1>.withTag({DenseType: 2 as byte}),
	<thermaldynamics:duct_32:1>.withTag({DenseType: 1 as byte}),
	<thermaldynamics:duct_32:3>.withTag({DenseType: 2 as byte}),
	<thermaldynamics:duct_32:3>.withTag({DenseType: 1 as byte}),
	<thermaldynamics:duct_32:3>,
	<thermaldynamics:duct_32:2>.withTag({DenseType: 2 as byte}),
	<thermaldynamics:duct_32:2>.withTag({DenseType: 1 as byte}),
	<thermaldynamics:duct_32:2>,
	<thermaldynamics:filter>,
	<thermaldynamics:filter:1>,
	<thermaldynamics:filter:2>,
	<thermaldynamics:filter:3>,
	<thermaldynamics:filter:4>,
	<thermaldynamics:retriever>,
	<thermaldynamics:retriever:1>,
	<thermaldynamics:retriever:2>,
	<thermaldynamics:retriever:3>,
	<thermaldynamics:retriever:4>,
	<thermaldynamics:servo>,
	<thermaldynamics:servo:1>,
	<thermaldynamics:servo:2>,
	<thermaldynamics:servo:3>,
	<thermaldynamics:servo:4>,
	<thermaldynamics:relay>,
	<thermaldynamics:duct_48>
] as IItemStack[];
for item in ItemsToRemoveTD{
    recipes.remove(item);
}


// Рецепты в сборщике и в верстаке
// Свинцовая флаксовая труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12237> * 6, <gregtech:cable:2035> * 2, <thermalfoundation:glass:3>)
    .outputs(<thermaldynamics:duct_0>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Усиленная флаксовая труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12237> * 6, <gregtech:cable:2044> * 2, <thermaldynamics:duct_0>)
    .outputs(<thermaldynamics:duct_0:1>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная энергетическая флаксовая труба
Transposer.removeFillRecipe(<thermaldynamics:duct_0:6>, <liquid:redstone>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12237> * 6, <gregtech:cable:2112> * 2, <thermaldynamics:duct_0:1>)
    .outputs(<thermaldynamics:duct_0:2>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Сигналовая флаксовая труба
Transposer.removeFillRecipe(<thermaldynamics:duct_0:7>, <liquid:redstone>);
recipes.remove(<thermaldynamics:duct_0:3>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12237> * 6, <gregtech:cable:2133> * 2, <thermaldynamics:duct_0:2>, <ore:dustSignalum>)
    .outputs(<thermaldynamics:duct_0:3>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

 // Резонирующая флаксовая труба
Transposer.removeFillRecipe(<thermaldynamics:duct_0:8>, <liquid:redstone>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12237> * 6, <gregtech:cable:2051> * 2, <thermaldynamics:duct_0:3>, <ore:dustEnderium>)
    .outputs(<thermaldynamics:duct_0:4>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

 // Криостабилизированная флаксовая труба
Transposer.removeFillRecipe(<thermaldynamics:duct_0:9>, <liquid:cryotheum>);
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12299> * 6, <gregtech:cable:2135> * 2, <thermaldynamics:duct_0:4>, <ore:dustCryotheum>)
    .outputs(<thermaldynamics:duct_0:5>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Основная жидкостная труба (непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12018> * 4, <gregtech:meta_item_1:12035> * 2)
    .outputs(<thermaldynamics:duct_16:1>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_16:1>, 
	[[<ore:plateCopper>, <ore:plateLead>, <ore:plateCopper>], 
	[hammer, null, wrench], 
	[<ore:plateCopper>, <ore:plateLead>, <ore:plateCopper>]]);

// Усиленная жидкостная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12126> * 4, <thermalfoundation:glass:3> * 2)
    .outputs(<thermaldynamics:duct_16:2>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_16:2>, 
	[[<ore:plateInvar>, <thermalfoundation:glass:3>, <ore:plateInvar>], 
	[hammer, null, wrench], 
	[<ore:plateInvar>, <thermalfoundation:glass:3>, <ore:plateInvar>]]);

// Сверхпластичная жидкостная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 4, <thermalfoundation:glass_alloy:2> * 4, <thermaldynamics:duct_16:2>)
    .outputs(<thermaldynamics:duct_16:6>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Основная жидкостная труба 
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12018> * 4, <thermalfoundation:glass:3> * 2)
    .outputs(<thermaldynamics:duct_16>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_16>, 
	[[<ore:plateCopper>, <thermalfoundation:glass:3>, <ore:plateCopper>], 
	[hammer, null, wrench], 
	[<ore:plateCopper>, <thermalfoundation:glass:3>, <ore:plateCopper>]]);

// Усиленная жидкостная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12126> * 4, <gregtech:meta_item_1:12035> * 2)
    .outputs(<thermaldynamics:duct_16:3>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_16:3>, 
	[[<ore:plateInvar>, <ore:plateLead>, <ore:plateInvar>], 
	[hammer, null, wrench], 
	[<ore:plateInvar>, <ore:plateLead>, <ore:plateInvar>]]);

// Сверхпластичная жидкостная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 4, <thermalfoundation:glass_alloy:2> * 4, <thermaldynamics:duct_16:3>)
    .outputs(<thermaldynamics:duct_16:7>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Предметная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12071> * 4, <thermalfoundation:glass:3> * 2)
    .outputs(<thermaldynamics:duct_32>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_32>, 
	[[<ore:plateTin>, <thermalfoundation:glass:3>, <ore:plateTin>], 
	[hammer, null, wrench], 
	[<ore:plateTin>, <thermalfoundation:glass:3>, <ore:plateTin>]]);

// Плотная предметная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12035> * 2, <thermaldynamics:duct_32>)
    .outputs(<thermaldynamics:duct_32>.withTag({DenseType: 1 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Вакуумная предметная труба 
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12062> * 2, <thermaldynamics:duct_32>)
    .outputs(<thermaldynamics:duct_32>.withTag({DenseType: 2 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12071> * 4, <gregtech:meta_item_1:12035> * 2)
    .outputs(<thermaldynamics:duct_32:1>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

recipes.addShaped(<thermaldynamics:duct_32:1>, 
	[[<ore:plateTin>, <ore:plateLead>, <ore:plateTin>], 
	[hammer, null, wrench], 
	[<ore:plateTin>, <ore:plateLead>, <ore:plateTin>]]);

// Плотная предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12035> * 2, <thermaldynamics:duct_32:1>)
    .outputs(<thermaldynamics:duct_32:1>.withTag({DenseType: 1 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Вакуумная предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12062> * 2, <thermaldynamics:duct_32:1>)
    .outputs(<thermaldynamics:duct_32:1>.withTag({DenseType: 2 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная предметная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32>)
    .outputs(<thermaldynamics:duct_32:2>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная плотная предметная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32>.withTag({DenseType: 1 as byte}))
    .outputs(<thermaldynamics:duct_32:2>.withTag({DenseType: 1 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная вакуумная предметная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32:1>.withTag({DenseType: 2 as byte}))
    .outputs(<thermaldynamics:duct_32:2>.withTag({DenseType: 2 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32:1>)
    .outputs(<thermaldynamics:duct_32:3>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная плотная предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32:1>.withTag({DenseType: 1 as byte}))
    .outputs(<thermaldynamics:duct_32:3>.withTag({DenseType: 1 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Импульсная вакуумная предметная труба (Непрозрачная)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12330> * 2, <thermaldynamics:duct_32>.withTag({DenseType: 2 as byte}))
    .outputs(<thermaldynamics:duct_32:3>.withTag({DenseType: 2 as byte}))
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Фильтр
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12033> * 4, <gregtech:meta_item_1:32729>)
    .outputs(<thermaldynamics:filter>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Усиленный фильтр
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12001> * 2, <thermaldynamics:filter>)
    .outputs(<thermaldynamics:filter:1>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Укрепленный фильтр
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 2, <gregtech:meta_item_1:12112> * 2, <thermaldynamics:filter:1>)
    .outputs(<thermaldynamics:filter:2>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();
    
// Синаловый фильтр
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12072> * 2, <thermalfoundation:material:357> * 2, <thermaldynamics:filter:2>)
    .outputs(<thermaldynamics:filter:3>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Резонирующий фильтр
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12235> * 2, <ore:plateEnderium> * 2, <thermaldynamics:filter:3>)
    .outputs(<thermaldynamics:filter:4>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Поисковик
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12033> * 4, <gregtech:meta_item_1:12219>, <thermaldynamics:filter>)
    .outputs(<thermaldynamics:retriever>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Усиленный поисковик
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12001> * 2, <thermaldynamics:retriever>)
    .outputs(<thermaldynamics:retriever:1>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Укрепленный поисковик
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 2, <gregtech:meta_item_1:12112> * 2, <thermaldynamics:retriever:1>)
    .outputs(<thermaldynamics:retriever:2>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();
    
// Синаловый поисковик
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12072> * 2, <thermalfoundation:material:357> * 2, <thermaldynamics:retriever:2>)
    .outputs(<thermaldynamics:retriever:3>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Резонирующий поисковик
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12235> * 2, <ore:plateEnderium> * 2, <thermaldynamics:retriever:3>)
    .outputs(<thermaldynamics:retriever:4>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Сервомеханизм
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12033> * 4, <gregtech:meta_item_1:12237>, <thermaldynamics:filter>)
    .outputs(<thermaldynamics:servo>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Усиленный сервомеханизм
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12001> * 2, <thermaldynamics:servo>)
    .outputs(<thermaldynamics:servo:1>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Укрепленный сервомеханизм
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 2, <gregtech:meta_item_1:12112> * 2, <thermaldynamics:servo:1>)
    .outputs(<thermaldynamics:servo:2>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();
    
// Синаловый сервомеханизм
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12072> * 2, <thermalfoundation:material:357> * 2, <thermaldynamics:servo:2>)
    .outputs(<thermaldynamics:servo:3>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Резонирующий сервомеханизм
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12235> * 2, <ore:plateEnderium> * 2, <thermaldynamics:servo:3>)
    .outputs(<thermaldynamics:servo:4>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Красное реле
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12237> * 2, <minecraft:repeater>, <minecraft:comparator>)
    .outputs(<thermaldynamics:relay>)
    .duration(5 * 20)
    .EUt(32)
    .buildAndRegister();

// Стркутурная труба
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:19145> * 2, <gregtech:meta_item_1:19152> * 2, <gregtech:meta_item_2:32506> * 2)
    .outputs(<thermaldynamics:duct_48>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();


print("Initialized 'ThermalDynamics'");