#priority 1
# ThermalExpansion

import mods.thermalexpansion.Crucible;
import mods.thermalexpansion.Insolator;
import crafttweaker.item.IItemStack;

print("Initializing 'ThermalExpansion'...");


// Ненужные предметы
var items = [<thermalexpansion:strongbox>, <thermalexpansion:florb:*>, <thermalexpansion:morb:*>, <thermalexpansion:device:1>, <thermalexpansion:device:2>, <thermalexpansion:device:3>, <thermalexpansion:device:4>, <thermalexpansion:device:5>, <thermalexpansion:device:6>, <thermalexpansion:device:8>, <thermalexpansion:device:9>, <thermalexpansion:device:10>, <thermalexpansion:device:11>, <thermalexpansion:device:12>, <thermalexpansion:augment:720>, <thermalexpansion:augment:416>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

//Удаление рецептов
global ItemsToRemoveTE as IItemStack[] = [
	<thermalexpansion:capacitor>,
	<thermalexpansion:capacitor:1>,
	<thermalexpansion:capacitor:2>,
	<thermalexpansion:capacitor:3>,
	<thermalexpansion:capacitor:4>,
	<thermalexpansion:reservoir>,
	<thermalexpansion:reservoir:1>,
	<thermalexpansion:reservoir:2>,
	<thermalexpansion:reservoir:3>,
	<thermalexpansion:reservoir:4>,
	<thermalexpansion:machine>,
	<thermalexpansion:machine:1>,
	<thermalexpansion:machine:2>,
	<thermalexpansion:machine:3>,
	<thermalexpansion:machine:4>,
	<thermalexpansion:machine:5>,
	<thermalexpansion:machine:6>,
	<thermalexpansion:machine:7>,
	<thermalexpansion:machine:8>,
	<thermalexpansion:machine:9>,
	<thermalexpansion:machine:10>,
	<thermalexpansion:machine:11>,
	<thermalexpansion:machine:12>,
	<thermalexpansion:machine:13>,
	<thermalexpansion:machine:14>,
	<thermalexpansion:machine:15>,
	<thermalexpansion:dynamo>,
	<thermalexpansion:dynamo:1>,
	<thermalexpansion:dynamo:2>,
	<thermalexpansion:dynamo:3>,
	<thermalexpansion:dynamo:4>,
	<thermalexpansion:augment:288>,
	<thermalexpansion:augment:273>,
	<thermalexpansion:augment:258>,
	<thermalexpansion:augment:257>,
	<thermalexpansion:augment:303>,
	<thermalexpansion:augment:256>,
	<thermalexpansion:augment:130>,
	<thermalexpansion:augment:129>,
	<thermalexpansion:augment:128>,
	<thermalexpansion:augment:401>,
	<thermalexpansion:augment:400>,
	<thermalexpansion:augment:369>,
	<thermalexpansion:augment:368>,
	<thermalexpansion:augment:352>,
	<thermalexpansion:augment:324>,
	<thermalexpansion:augment:320>,
	<thermalexpansion:augment:304>,
	<thermalexpansion:augment:323>,
	<thermalexpansion:augment:514>,
	<thermalexpansion:augment:513>,
	<thermalexpansion:augment:512>,
	<thermalexpansion:augment:497>,
	<thermalexpansion:augment:496>,
	<thermalexpansion:augment:448>,
	<thermalexpansion:augment:433>,
	<thermalexpansion:augment:432>,
	<thermalexpansion:augment:402>,
	<thermalexpansion:augment:704>,
	<thermalexpansion:augment:656>,
	<thermalexpansion:augment:640>,
	<thermalexpansion:augment:576>,
	<thermalexpansion:augment:515>,
	<thermalexpansion:augment:672>,
	<thermalexpansion:augment:673>,
	<thermalexpansion:augment:674>,
	<thermalexpansion:augment:688>,
	<thermalexpansion:tank>,
	<thermalexpansion:frame:128>,
	<thermalexpansion:cell>,
	<thermalexpansion:device>,
	<thermalexpansion:device:7>
] as IItemStack[];
for item in ItemsToRemoveTE{
    recipes.remove(item);
}

// Изменение рецептов в фитогенном светильнике
// Чистый кристалл истинного кварца 
Insolator.removeRecipe(<appliedenergistics2:crystal_seed>, <minecraft:glowstone_dust>);
Insolator.addRecipe(<appliedenergistics2:material:10>, <appliedenergistics2:crystal_seed>, <minecraft:glowstone_dust>, 10000, null, 0, 1000);

// Чистый изменчивый кристалл  
Insolator.removeRecipe(<appliedenergistics2:crystal_seed:1200>, <minecraft:glowstone_dust>);
Insolator.addRecipe(<appliedenergistics2:material:12>, <appliedenergistics2:crystal_seed:1200>, <minecraft:glowstone_dust>, 10000, null, 0, 1000);

// Чистый кристалл кварца нижнего мира
Insolator.removeRecipe(<appliedenergistics2:crystal_seed:600>, <minecraft:glowstone_dust>);
Insolator.addRecipe(<appliedenergistics2:material:11>, <appliedenergistics2:crystal_seed:600>, <minecraft:glowstone_dust>, 10000, null, 0, 1000);

// Редстоун
Insolator.removeRecipe(<thermalfoundation:fertilizer:2>, <extrautils2:redorchid>);
Insolator.addRecipe(<minecraft:redstone>, <thermalfoundation:fertilizer>, <extrautils2:redorchid>, 4800, <extrautils2:redorchid>, 100, 1200);
Insolator.addRecipe(<minecraft:redstone> * 2, <thermalfoundation:fertilizer:1>, <extrautils2:redorchid>, 7200, <extrautils2:redorchid>, 110, 1800);
Insolator.addRecipe(<minecraft:redstone> * 3, <thermalfoundation:fertilizer:2>, <extrautils2:redorchid>, 9600, <extrautils2:redorchid>, 120, 2400);

// Эндер-жемчуг
Insolator.removeRecipe(<thermalfoundation:fertilizer:2>, <extrautils2:enderlilly>);
Insolator.addRecipe(<minecraft:ender_pearl>, <thermalfoundation:fertilizer>, <extrautils2:enderlilly>, 9600, <extrautils2:enderlilly>, 100, 2400);
Insolator.addRecipe(<minecraft:ender_pearl>, <thermalfoundation:fertilizer:1>, <extrautils2:enderlilly>, 14400, <extrautils2:enderlilly>, 105, 3600);
Insolator.addRecipe(<minecraft:ender_pearl>, <thermalfoundation:fertilizer:2>, <extrautils2:enderlilly>, 19200, <extrautils2:enderlilly>, 110, 4800);

// Изменение рецептов в магмовом тигеле
// Переплавка пыли светокамня в 144 mB жидкости
Crucible.removeRecipe(<minecraft:glowstone_dust>);
Crucible.addRecipe(<liquid:glowstone> * 144, <minecraft:glowstone_dust>, 10000);

// Переплавка светокамня в 576 mB жидкости
Crucible.removeRecipe(<minecraft:glowstone>);
Crucible.addRecipe(<liquid:glowstone> * 576, <minecraft:glowstone>, 40000);

// Переплавка редстоуна в 144 mB жидкости
Crucible.removeRecipe(<minecraft:redstone>);
Crucible.addRecipe(<liquid:redstone> * 144, <minecraft:redstone>, 10000);

// Переплавка блока редстоуна в 1296 mB жидкости
Crucible.removeRecipe(<minecraft:redstone_block>);
Crucible.addRecipe(<liquid:redstone> * 1296, <minecraft:redstone_block>, 90000);

// Рецепты в сборщике
// Флаксовый конденсатор (основной)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12035> * 4, <gregtech:meta_item_1:12237> * 2, <gregtech:cable:5237> * 2, <gregtech:meta_item_1:32501>)
    .outputs(<thermalexpansion:capacitor>)
    .duration(20 * 20)
    .EUt(64)
    .buildAndRegister();

// Флаксовый конденсатор (усиленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:meta_item_1:12001> * 2, <gregtech:cable:6237> * 2, <thermalfoundation:upgrade>, <thermalexpansion:capacitor>)
    .outputs(<thermalexpansion:capacitor:1>)
    .duration(20 * 20)
    .EUt(128)
    .buildAndRegister();

// Флаксовый конденсатор (укрепленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 4, <gregtech:meta_item_1:12112> * 2, <gregtech:cable:7237> * 2, <thermalfoundation:upgrade:1>, <thermalexpansion:capacitor:1>)
    .outputs(<thermalexpansion:capacitor:2>)
    .duration(20 * 20)
    .EUt(256)
    .buildAndRegister();

// Флаксовый конденсатор (синаловый)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12072> * 4, <thermalfoundation:material:357> * 2, <gregtech:cable:8237> * 2, <thermalfoundation:upgrade:2>, <thermalexpansion:capacitor:2>)
    .outputs(<thermalexpansion:capacitor:3>)
    .duration(20 * 20)
    .EUt(512)
    .buildAndRegister();

// Флаксовый конденсатор (резонирующий)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12235> * 4, <ore:plateEnderium> * 2, <gregtech:cable:9237> * 2, <thermalfoundation:upgrade:3>, <thermalexpansion:capacitor:3>)
    .outputs(<thermalexpansion:capacitor:4>)
    .duration(20 * 20)
    .EUt(1024)
    .buildAndRegister();

// Переносной резервуар
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12087> * 2, <gregtech:meta_item_1:14087> * 8, <gregtech:meta_item_1:17087> * 8, <gregtech:meta_item_1:14184> * 4, <gregtech:meta_item_1:18184> * 8, <gregtech:meta_item_1:19184> * 4, <minecraft:glass_pane> * 4)
    .outputs(<thermalexpansion:tank>)
    .duration(15 * 20)
    .EUt(32)
    .buildAndRegister();

// Резервуар (Основной)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:364> * 2, <gtadditions:ga_meta_item:18> * 2, <gregtech:meta_item_1:12018> * 2, <gregtech:meta_item_1:18001> * 2)
    .outputs(<thermalexpansion:reservoir>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Резервуар (Усиленный)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:184> * 2, <gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:12001> * 2, <thermalexpansion:reservoir>)
    .outputs(<thermalexpansion:reservoir:1>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Резервуар (Укрепленный)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:183> * 2, <gregtech:meta_item_1:12183> * 2, <gregtech:meta_item_1:12112> * 2, <thermalexpansion:reservoir:1>)
    .outputs(<thermalexpansion:reservoir:2>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Резервуар (Синаловый)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:72> * 2, <gregtech:meta_item_1:12072> * 2, <thermalfoundation:material:357> * 2, <thermalexpansion:reservoir:2>)
    .outputs(<thermalexpansion:reservoir:3>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Резервуар (Резонирующий)
assembler.recipeBuilder()
    .inputs(<gtadditions:ga_meta_item:235> * 2, <gregtech:meta_item_1:12235> * 2, <ore:plateEnderium> * 2, <thermalexpansion:reservoir:3>)
    .outputs(<thermalexpansion:reservoir:4>)
    .duration(16 * 20)
    .EUt(16)
    .buildAndRegister();

// Рамка энергетической ячейки
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14035> * 48, <gregtech:meta_item_1:19112> * 24, <gregtech:meta_item_1:18184> * 24)
    .outputs(<thermalexpansion:frame:128>)
    .duration(60 * 20)
    .EUt(128)
    .buildAndRegister();

// Энергетическая ячейка
assembler.recipeBuilder()
    .inputs(<thermalfoundation:material:515> * 6, <appliedenergistics2:energy_cell> * 5, <thermalexpansion:frame:128>, <gregtech:meta_item_1:12237> * 6)
    .outputs(<thermalexpansion:cell>)
    .duration(20 * 20)
    .EUt(256)
    .buildAndRegister();

// Рецепты в верстаке
// Редстоуновая печь
recipes.addShaped(<thermalexpansion:machine>, 
	[[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:513>, <gregtech:machine:502>, <thermalfoundation:material:513>], 
	[<minecraft:brick_block>, <gregtech:meta_item_1:12237>, <minecraft:brick_block>]]);

// Измельчитель
recipes.addShaped(<thermalexpansion:machine:1>, 
	[[<gregtech:meta_item_1:12183>, <ore:craftingGrinder>, <gregtech:meta_item_1:12183>], 
	[<ore:circuitGood>, <gregtech:machine:502>, <ore:circuitGood>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12183>]]);

// Лесопилка
recipes.addShaped(<thermalexpansion:machine:2>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32721>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32631>, <gregtech:machine:502>, <gregtech:meta_item_1:32631>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12183>]]);

// Индукционная плавильня 
recipes.addShaped(<thermalexpansion:machine:3>, 
	[[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:513>, <gregtech:machine:502>, <thermalfoundation:material:513>], 
	[<gregtech:wire_coil>, <ore:plateInvar>, <gregtech:wire_coil>]]);

// Фитогенный светильник
recipes.addShaped(<thermalexpansion:machine:4>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:358>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32681>, <gregtech:machine:502>, <gregtech:meta_item_1:32691>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:12183>]]);

// Магмовый тигель
recipes.addShaped(<thermalexpansion:machine:6>, 
	[[<thermalfoundation:material:513>, <gregtech:wire_coil:1>, <thermalfoundation:material:513>], 
	[<gregtech:meta_item_1:12183>, <gregtech:machine:502>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>]]);

// Дистилятор
recipes.addShaped(<thermalexpansion:machine:7>, 
	[[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32611>, <gregtech:machine:502>, <gregtech:meta_item_1:32611>], 
	[<ore:blockGlassHardened>, <gregtech:meta_item_1:12183>, <ore:blockGlassHardened>]]);

// Распределитель жидкостей
recipes.addShaped(<thermalexpansion:machine:8>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:12183>], 
	[<ore:circuitGood>, <gregtech:machine:502>, <ore:circuitGood>], 
	[<gregtech:meta_item_1:12183>, <ore:blockGlassHardened>, <gregtech:meta_item_1:12183>]]);

// Энергетический зарядник
recipes.addShaped(<thermalexpansion:machine:9>, 
	[[<ore:circuitGood>, <gregtech:meta_item_1:12183>, <ore:circuitGood>], 
	[<gregtech:cable:8018>, <gregtech:machine:502>, <gregtech:cable:8237>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12183>]]);

// Центробежный разделитель
recipes.addShaped(<thermalexpansion:machine:10>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12183>], 
	[<ore:circuitGood>, <gregtech:machine:502>, <ore:circuitGood>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12183>]]);

// Чародейский энсорцеллатор
recipes.addShaped(<thermalexpansion:machine:13>, 
	[[<ore:circuitGood>, <minecraft:enchanting_table>, <ore:circuitGood>], 
	[<gregtech:meta_item_2:25111>, <gregtech:machine:502>, <gregtech:meta_item_2:25111>], 
	[<gregtech:meta_item_1:12183>, <ore:blockGlassHardened>, <gregtech:meta_item_1:12183>]]);

// Ледниковый осадитель
recipes.addShaped(<thermalexpansion:machine:14>, 
	[[<gregtech:meta_item_1:32611>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:32611>], 
	[<ore:circuitGood>, <gregtech:machine:502>, <ore:circuitGood>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12001>, <gregtech:meta_item_1:12183>]]);

// Вулканический пресс
recipes.addShaped(<thermalexpansion:machine:15>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32308>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:glass_alloy:2>, <gregtech:machine:502>, <thermalfoundation:glass_alloy:2>], 
	[<ore:circuitGood>, <thermalfoundation:material:513>, <ore:circuitGood>]]);

// Алхимическая зельеварка
recipes.addShaped(<thermalexpansion:machine:12>, 
	[[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32611>, <gregtech:machine:502>, <gregtech:meta_item_1:32611>], 
	[<ore:blockGlassHardened>, <minecraft:brewing_stand>, <ore:blockGlassHardened>]]);

// Последовательный сборщик
recipes.addShaped(<thermalexpansion:machine:11>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32651>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32631>, <gregtech:machine:502>, <gregtech:meta_item_1:32631>], 
	[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>]]);

// Паровой генератор
recipes.addShaped(<thermalexpansion:dynamo>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:514>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32611>, <gregtech:machine:502>, <gregtech:meta_item_1:32601>], 
	[<ore:plateCopper>, <ore:blockGlassHardened>, <ore:plateCopper>]]);

// Магмовый генератор
recipes.addShaped(<thermalexpansion:dynamo:1>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:514>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32601>, <gregtech:machine:502>, <gregtech:meta_item_1:32601>], 
	[<ore:plateInvar>, <thermalfoundation:glass_alloy:2>, <ore:plateInvar>]]);

// Компрессионный генератор
recipes.addShaped(<thermalexpansion:dynamo:2>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:514>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:glass_alloy:2>, <gregtech:machine:502>, <thermalfoundation:glass_alloy:2>], 
	[<ore:plateInvar>, <gregtech:meta_item_1:32601>, <ore:plateInvar>]]);

// Реагентный генератор
recipes.addShaped(<thermalexpansion:dynamo:3>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:514>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32601>, <gregtech:machine:502>, <gregtech:meta_item_1:32601>], 
	[<gregtech:meta_item_1:12183>, <ore:blockGlassHardened>, <gregtech:meta_item_1:12183>]]);

// Истощающий генератор
recipes.addShaped(<thermalexpansion:dynamo:4>, 
	[[<gregtech:meta_item_1:12183>, <thermalfoundation:material:514>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:514>, <gregtech:machine:502>, <thermalfoundation:material:514>], 
	[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>]]);

// Расширение: Вспомогательная принимающая катушка
recipes.addShaped(<thermalexpansion:augment:128>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateElectrum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateElectrum>, <thermalfoundation:material:513>, <ore:plateElectrum>], 
	[<gregtech:meta_item_1:12183>, <ore:plateElectrum>, <gregtech:meta_item_1:12183>]]);

// Расширение: Вспомогательное сито
recipes.addShaped(<thermalexpansion:augment:129>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateBronze>, <gregtech:meta_item_1:12183>], 
	[<ore:plateBronze>, <gregtech:meta_item_2:32505>, <ore:plateBronze>], 
	[<gregtech:meta_item_1:12183>, <ore:plateBronze>, <gregtech:meta_item_1:12183>]]);

// Расширение: Камера аннулирования
recipes.addShaped(<thermalexpansion:augment:130>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateInvar>, <gregtech:meta_item_1:12183>], 
	[<ore:plateInvar>, <minecraft:lava_bucket>, <ore:plateInvar>], 
	[<gregtech:meta_item_1:12183>, <ore:plateInvar>, <gregtech:meta_item_1:12183>]]);

// Расширение: Тривекционная камера
recipes.addShaped(<thermalexpansion:augment:256>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <thermalfoundation:material:515>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>]]);

// Расширение: Металлургический восстановитель
recipes.addShaped(<thermalexpansion:augment:303>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSilver>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:865>, <gregtech:meta_item_1:32601>, <thermalfoundation:material:865>], 
	[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>]]);

// Расширение: Флаксовый анодизатор
recipes.addShaped(<thermalexpansion:augment:257>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearInvar>, <gregtech:meta_item_1:12183>], 
	[<ore:plateInvar>, <thermalfoundation:material:515>, <ore:plateInvar>], 
	[<gregtech:meta_item_1:12183>, <ore:dustPyrotheum>, <gregtech:meta_item_1:12183>]]);

// Расширение: Пиролитический преобразователь
recipes.addShaped(<thermalexpansion:augment:258>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearInvar>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <gregtech:meta_item_1:32601>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12201>, <gregtech:meta_item_1:12183>]]);

// Расширение: Тектонический инициатор
recipes.addShaped(<thermalexpansion:augment:273>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSignalum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateBronze>, <gregtech:meta_item_1:32601>, <ore:plateBronze>], 
	[<gregtech:meta_item_1:12183>, <thermalfoundation:material:1027>, <gregtech:meta_item_1:12183>]]);

// Расширение: Воронка для смолы
recipes.addShaped(<thermalexpansion:augment:288>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearTin>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <gregtech:meta_item_1:32601>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <minecraft:bucket>, <gregtech:meta_item_1:12183>]]);

// Расширение: Пиро-концентратор
recipes.addShaped(<thermalexpansion:augment:304>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSignalum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateNickel>, <thermalfoundation:material:515>, <ore:plateNickel>], 
	[<gregtech:meta_item_1:12183>, <ore:dustPyrotheum>, <gregtech:meta_item_1:12183>]]);

// Расширение: Восстановитель питательных веществ
recipes.addShaped(<thermalexpansion:augment:320>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12330>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_2:25226>, <thermalfoundation:fertilizer:1>, <gregtech:meta_item_2:25226>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12330>, <gregtech:meta_item_1:12183>]]);

// Расширение: Обогащатель саженцев
recipes.addShaped(<thermalexpansion:augment:323>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateLumium>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_2:25154>, <gregtech:meta_item_1:2326>, <gregtech:meta_item_2:25154>], 
	[<gregtech:meta_item_1:12183>, <ore:plateLumium>, <gregtech:meta_item_1:12183>]]);

// Расширение: Монокультурный цикл
recipes.addShaped(<thermalexpansion:augment:324>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12330>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:fertilizer:2>, <gregtech:meta_item_1:32631>, <thermalfoundation:fertilizer:2>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12330>, <gregtech:meta_item_1:12183>]]);

// Расширение: Пироконвективная петля
recipes.addShaped(<thermalexpansion:augment:352>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateInvar>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32641>, <thermalfoundation:material:515>, <gregtech:meta_item_1:32641>], 
	[<gregtech:meta_item_1:12183>, <ore:plateInvar>, <gregtech:meta_item_1:12183>]]);

// Расширение: Рефлаксовый столб
recipes.addShaped(<thermalexpansion:augment:368>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearConstantan>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:32611>, <thermalfoundation:material:515>, <gregtech:meta_item_1:32611>], 
	[<gregtech:meta_item_1:12183>, <minecraft:blaze_rod>, <gregtech:meta_item_1:12183>]]);

// Расширение: Алхимическая реторта
recipes.addShaped(<thermalexpansion:augment:369>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSignalum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateLead>, <thermalfoundation:material:515>, <ore:plateLead>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_2:25214>, <gregtech:meta_item_1:12183>]]);

// Расширение: Конвентратор связей Флакса
recipes.addShaped(<thermalexpansion:augment:400>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:513>, <thermalfoundation:material:515>, <thermalfoundation:material:514>], 
	[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>]]);

// Расширение: Флаксовый реконструитель
recipes.addShaped(<thermalexpansion:augment:401>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearIron>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12076>, <thermalfoundation:material:515>, <gregtech:meta_item_1:12076>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_2:25913>, <gregtech:meta_item_1:12183>]]);

// Расширение: Параболическая флаксовая муфта
recipes.addShaped(<thermalexpansion:augment:402>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearElectrum>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:515>, <gregtech:meta_item_1:32601>, <thermalfoundation:material:515>], 
	[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>]]);

// Расширение: Проверка шаблона
recipes.addShaped(<thermalexpansion:augment:432>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32729>, <gregtech:meta_item_1:12183>], 
	[<ore:plateSteel>, <gregtech:meta_item_1:32601>, <ore:plateSteel>], 
	[<gregtech:meta_item_1:12183>, <ore:circuitGood>, <gregtech:meta_item_1:12183>]]);

// Расширение: Жидкостное производство
recipes.addShaped(<thermalexpansion:augment:433>, 
	[[<gregtech:meta_item_1:12183>, <minecraft:bucket>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <gregtech:meta_item_1:32601>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <minecraft:bucket>, <gregtech:meta_item_1:12183>]]);

// Расширение: Реагентный восстановитель
recipes.addShaped(<thermalexpansion:augment:448>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSilver>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12330>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12215>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_2:25201>, <gregtech:meta_item_1:12183>]]);

// Расширение: Пирокластические инъекции
recipes.addShaped(<thermalexpansion:augment:496>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:12183>], 
	[<ore:plateInvar>, <extrautils2:klein>, <ore:plateInvar>], 
	[<gregtech:meta_item_1:12183>, <minecraft:water_bucket>, <gregtech:meta_item_1:12183>]]);

// Расширение: Осколочное осаждение
recipes.addShaped(<thermalexpansion:augment:497>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateNickel>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:1026>, <thermalfoundation:material:515>, <thermalfoundation:material:1026>], 
	[<gregtech:meta_item_1:12183>, <ore:plateNickel>, <gregtech:meta_item_1:12183>]]);

// Расширение: Вспомогательная отдающая катушка 
recipes.addShaped(<thermalexpansion:augment:512>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>], 
	[<ore:plateSilver>, <thermalfoundation:material:514>, <ore:plateSilver>], 
	[<gregtech:meta_item_1:12183>, <ore:plateSilver>, <gregtech:meta_item_1:12183>]]);

// Расширение: Топливный катализатор
recipes.addShaped(<thermalexpansion:augment:513>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>], 
	[<ore:plateLead>, <thermalfoundation:material:515>, <ore:plateLead>], 
	[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>]]);

// Расширение: Канал отдающей катушки
recipes.addShaped(<thermalexpansion:augment:514>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>], 
	[<thermalfoundation:material:515>, <thermalfoundation:material:515>, <thermalfoundation:material:515>], 
	[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>]]);

// Расширение: Ограничитель поля намагничивания
recipes.addShaped(<thermalexpansion:augment:515>, 
	[[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>], 
	[<ore:plateLead>, <ore:gearElectrum>, <ore:plateLead>], 
	[<gregtech:meta_item_1:12183>, <ore:plateLead>, <gregtech:meta_item_1:12183>]]);

// Расширение: Преобразующий бойлер
recipes.addShaped(<thermalexpansion:augment:576>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <minecraft:bucket>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <ore:plateCopper>, <gregtech:meta_item_1:12183>]]);

// Расширение: Преобразующая турбина
recipes.addShaped(<thermalexpansion:augment:640>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32601>, <gregtech:meta_item_1:12183>], 
	[<ore:plateCopper>, <thermalfoundation:material:515>, <ore:plateCopper>], 
	[<gregtech:meta_item_1:12183>, <ore:plateInvar>, <gregtech:meta_item_1:12183>]]);

// Расширение: Изэнтропическое водохранилище
recipes.addShaped(<thermalexpansion:augment:656>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSignalum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateInvar>, <thermalfoundation:material:515>, <ore:plateInvar>], 
	[<gregtech:meta_item_1:12183>, <ore:dustCryotheum>, <gregtech:meta_item_1:12183>]]);

// Расширение: Дизъюнктивное извлечение
recipes.addShaped(<thermalexpansion:augment:704>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearSignalum>, <gregtech:meta_item_1:12183>], 
	[<ore:plateGold>, <thermalfoundation:material:515>, <ore:plateGold>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:12216>, <gregtech:meta_item_1:12183>]]);

// Расширение: Охлаждение с закрытым конуром
recipes.addShaped(<thermalexpansion:augment:672>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32611>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12001>, <extrautils2:klein>, <gregtech:meta_item_1:12001>], 
	[<gregtech:meta_item_1:12183>, <minecraft:water_bucket>, <gregtech:meta_item_1:12183>]]);

// Расширение: Свеча зажигания
recipes.addShaped(<thermalexpansion:augment:673>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:14001>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12364>, <gregtech:meta_item_1:14111>, <gregtech:meta_item_1:12364>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:14126>, <gregtech:meta_item_1:12183>]]);

// Расширение: Агитационный манифольд
recipes.addShaped(<thermalexpansion:augment:674>, 
	[[<gregtech:meta_item_1:12183>, <ore:gearLumium>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12364>, <thermalfoundation:material:515>, <gregtech:meta_item_1:12364>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32628>, <gregtech:meta_item_1:12183>]]);

// Расширение: Элементарный катализатор
recipes.addShaped(<thermalexpansion:augment:688>, 
	[[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32729>, <gregtech:meta_item_1:12183>], 
	[<gregtech:meta_item_1:12215>, <thermalfoundation:material:515>, <gregtech:meta_item_1:12215>], 
	[<gregtech:meta_item_1:12183>, <gregtech:meta_item_1:32628>, <gregtech:meta_item_1:12183>]]);

// Водный накопитель
recipes.addShaped("thermalexpansion_water_storage", <thermalexpansion:device>,
 [[<gregtech:meta_item_1:12001>, <minecraft:bucket>, <gregtech:meta_item_1:12001>],
  [<ore:blockGlass>, <gregtech:machine:501>, <ore:blockGlass>],
  [<gregtech:meta_item_1:12001>, <gregtech:meta_item_1:32610>, <gregtech:meta_item_1:12001>]]);


print("Initialized 'ThermalExpansion'");