#priority 1
# ThermalFoundation

import mods.extrautils2.Crusher;
import mods.thermalexpansion.Centrifuge;
import mods.thermalexpansion.Compactor;
import mods.thermalexpansion.Pulverizer;
import mods.thermalexpansion.RedstoneFurnace;
import mods.thermalexpansion.InductionSmelter;
import crafttweaker.item.IItemStack;

print("Initializing 'ThermalFoundation'...");


// Ненужные предметы
var items = [<thermalexpansion:frame:64>, <thermalexpansion:frame>, <thermalfoundation:coin:100>, <thermalfoundation:coin:69>, <thermalfoundation:coin:68>, <thermalfoundation:coin:67>, <thermalfoundation:coin:99>, <thermalfoundation:coin:98>, <thermalfoundation:coin:65>, <thermalfoundation:coin:97>, <thermalfoundation:coin:96>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

// Ненужные шестеренки
var gears = [<thermalfoundation:material:22>, <thermalfoundation:material:23>, <thermalfoundation:material:24>, <thermalfoundation:material:25>, <thermalfoundation:material:26>, <thermalfoundation:material:27>, <thermalfoundation:material:256>, <thermalfoundation:material:257>, <thermalfoundation:material:258>, <thermalfoundation:material:259>, <thermalfoundation:material:260>, <thermalfoundation:material:262>, <thermalfoundation:material:263>, <thermalfoundation:material:264>, <thermalfoundation:material:288>, <thermalfoundation:material:289>, <thermalfoundation:material:290>, <thermalfoundation:material:291>, <thermalfoundation:material:261>] as IItemStack[];
for gear in gears {
    mods.jei.JEI.removeAndHide(gear);
	gear.addTooltip("§cВ данной сборке этот предмет выключен");
}

//Удаление рецептов
global ItemsToRemoveTF as IItemStack[] = [
	<thermalfoundation:upgrade>,
	<thermalfoundation:upgrade:1>,
	<thermalfoundation:upgrade:2>,
	<thermalfoundation:upgrade:3>,
	<thermalfoundation:material:515>,
	<thermalfoundation:material:513>,
	<thermalfoundation:material:514>,
	<thermalfoundation:material:294>,
	<thermalfoundation:material:292>,
	<thermalfoundation:material:295>,
	<thermalfoundation:material:293>,
	<thermalfoundation:material:71>,
	<thermalfoundation:material:135>,
	<thermalfoundation:tome_lexicon>,
	<thermalfoundation:material:512>,
	<thermalfoundation:material:656>,
	<thermalfoundation:material:657>,
	<thermalfoundation:material:640>,
	<thermalfoundation:material:16>,
	<thermalfoundation:material:17>
] as IItemStack[];
for item in ItemsToRemoveTF{
    recipes.remove(item);
}

// Удаление слитка иридия из рецептов машин
InductionSmelter.removeRecipe(<minecraft:sand>, <thermalfoundation:material:71>);
InductionSmelter.removeRecipe(<minecraft:sand>, <thermalfoundation:ore:7>);
InductionSmelter.removeRecipe(<thermalfoundation:material:866>, <thermalfoundation:ore:6>);
InductionSmelter.removeRecipe(<thermalfoundation:material:866>, <thermalfoundation:ore:7>);
InductionSmelter.removeRecipe(<thermalfoundation:material:865>, <thermalfoundation:ore:7>);
furnace.remove(<thermalfoundation:material:135>);

// Удаление пыли иридия из рецептов машин
Pulverizer.removeRecipe(<thermalfoundation:ore:6>);
Pulverizer.removeRecipe(<thermalfoundation:ore:7>);
Crusher.remove(<thermalfoundation:ore:7>);

// Удаление крафта определенных монет из компактора
Compactor.removeMintRecipe(<thermalfoundation:material:128>);
Compactor.removeMintRecipe(<minecraft:iron_ingot>);
Compactor.removeMintRecipe(<thermalfoundation:material:130>);
Compactor.removeMintRecipe(<minecraft:gold_ingot>);
Compactor.removeMintRecipe(<thermalfoundation:material:134>);
Compactor.removeMintRecipe(<thermalfoundation:material:135>);
Compactor.removeMintRecipe(<thermalfoundation:material:166>);
Compactor.removeMintRecipe(<thermalfoundation:material:165>);
Compactor.removeMintRecipe(<thermalfoundation:material:167>);
Compactor.removeMintRecipe(<thermalfoundation:material:136>);

// Удаление антикрафтов пыли эндериума, пыли синала и пыли ламиума из центробежного разделителя
Centrifuge.removeRecipe(<thermalfoundation:material:103>);
Centrifuge.removeRecipe(<thermalfoundation:material:101>);
Centrifuge.removeRecipe(<thermalfoundation:material:102>);

// Удаление слитка константа из машин
InductionSmelter.removeRecipe(<thermalfoundation:material:64>, <thermalfoundation:material:69>);
InductionSmelter.removeRecipe(<thermalfoundation:material:128>, <thermalfoundation:material:69>);
InductionSmelter.removeRecipe(<thermalfoundation:material:64>, <thermalfoundation:material:133>);
InductionSmelter.removeRecipe(<thermalfoundation:material:128>, <thermalfoundation:material:133>);

// Удаление антикрафтов пыли константа из центробежного разделителя
Centrifuge.removeRecipe(<thermalfoundation:material:100>);

// Крафты в сборщике
// Усиленный набор обновления
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12184> * 4, <gregtech:meta_item_1:12001> * 4, <gregtech:meta_item_1:32601>)
    .outputs(<thermalfoundation:upgrade>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// Укрепленный набор обновления
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12183> * 4, <gregtech:meta_item_1:12112> * 4, <gregtech:meta_item_1:32602>)
    .outputs(<thermalfoundation:upgrade:1>)
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Синаловый набор обновления
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12072> * 4, <thermalfoundation:material:357> * 4, <gregtech:meta_item_1:32603>)
    .outputs(<thermalfoundation:upgrade:2>)
    .duration(10 * 20)
    .EUt(256)
    .buildAndRegister();

// Резонирующий набор обновления
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:12235> * 4, <ore:plateEnderium> * 4, <gregtech:meta_item_1:32604>)
    .outputs(<thermalfoundation:upgrade:3>)
    .duration(10 * 20)
    .EUt(512)
    .buildAndRegister();

// Красная принимающая катушка
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:16237> * 8, <gregtech:meta_item_2:16026> * 8, <gregtech:meta_item_1:14026>)
    .outputs(<thermalfoundation:material:513>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная отдающая катушка
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:16237> * 8, <gregtech:meta_item_2:16062> * 8, <gregtech:meta_item_1:14062>)
    .outputs(<thermalfoundation:material:514>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная проводящая катушка
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:16237> * 8, <gregtech:meta_item_2:16112> * 8, <gregtech:meta_item_1:14112>)
    .outputs(<thermalfoundation:material:515>)
    .duration(7 * 20)
    .EUt(32)
    .buildAndRegister();

// Крафты в смесителе
// Порошок Блитца
mixer.recipeBuilder()
    .inputs(<ore:dustSaltpeter> * 3, <gregtech:meta_item_1:2219>)
    .outputs(<thermalfoundation:material:2051>)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Порошок Близза
mixer.recipeBuilder()
    .inputs(<minecraft:snowball> * 3, <gregtech:meta_item_1:2219>)
    .outputs(<thermalfoundation:material:2049>)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Порошок Базальца
mixer.recipeBuilder()
    .inputs(<ore:dustObsidian> * 3, <gregtech:meta_item_1:2219>)
    .outputs(<thermalfoundation:material:2053>)
    .duration(10 * 20)
    .EUt(10)
    .buildAndRegister();

// Стержень Близза
mixer.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2219>, <forestry:crafting_material:5>)
    .outputs(<thermalfoundation:material:2048>)
    .duration(15 * 20)
    .EUt(32)
    .buildAndRegister();

// Синаловая пыль
mixer.recipeBuilder()
    .inputs(<ore:dustCopper> * 11, <gregtech:meta_item_1:2227> * 5, <minecraft:redstone> * 4)
    .outputs(<thermalfoundation:material:101> * 20)
    .duration(60 * 20)
    .EUt(30)
    .buildAndRegister();

// Ламиумовая пыль
mixer.recipeBuilder()
    .inputs(<ore:dustTin> * 3, <ore:dustSilver>, <minecraft:glowstone_dust>)
    .outputs(<thermalfoundation:material:102> * 5)
    .duration(15 * 20)
    .EUt(30)
    .buildAndRegister();

// Фито-Гро
mixer.recipeBuilder()
    .inputs(<ore:dustWood>, <ore:dustCharcoal>, <ore:dustSaltpeter>, <gregtech:meta_item_2:32570>)
    .outputs(<thermalfoundation:fertilizer> * 16)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

// Обогащенный Фито-Гро
mixer.recipeBuilder()
    .inputs(<thermalfoundation:fertilizer> * 7, <gregtech:meta_item_1:2226>)
    .outputs(<thermalfoundation:fertilizer:1> * 8)
    .duration(5 * 20)
    .EUt(16)
    .buildAndRegister();

// Новая пыль константа
mixer.recipeBuilder()
    .inputs(<gregtech:meta_item_1:18> * 37, <gregtech:meta_item_1:44> * 25, <gregtech:meta_item_1:39>)
    .outputs(<thermalfoundation:material:100> * 7)
    .duration(5 * 20)
    .EUt(8)
    .buildAndRegister();

// Крафты в доменной печке
// Синаловый слиток
blast_furnace.recipeBuilder()
    .inputs(<ore:dustSignalum>)
    .outputs(<thermalfoundation:material:165>)
    .property("temperature", 2500)
    .duration(60 * 20)
    .EUt(120)
    .buildAndRegister();

// Синаловый слиток в плавильне из термала
InductionSmelter.removeRecipe(<minecraft:sand>, <thermalfoundation:material:101>);
InductionSmelter.addRecipe(<thermalfoundation:material:165>, <thermalfoundation:material:101>, <thermalfoundation:material:1024> * 3, 9500, null, 0);

// Эндериумовый слиток в плавильне из термала
InductionSmelter.removeRecipe(<minecraft:sand>, <thermalfoundation:material:103>);
InductionSmelter.addRecipe(<thermalfoundation:material:167>, <thermalfoundation:material:103>, <thermalfoundation:material:1024> * 7, 16000, null, 0);

// Ламиумовый слиток
blast_furnace.recipeBuilder()
    .inputs(<thermalfoundation:material:102>)
    .outputs(<thermalfoundation:material:166>)
    .property("temperature", 1500)
    .duration(30 * 20)
    .EUt(120)
    .buildAndRegister();

// Ламиумовый слиток в плавильне из термала
InductionSmelter.removeRecipe(<minecraft:sand>, <thermalfoundation:material:102>);
InductionSmelter.addRecipe(<thermalfoundation:material:166>, <thermalfoundation:material:102>, <thermalfoundation:material:1024>, 4500, null, 0);

// Крафты в гибочном станке
// Константановая пластина
metal_bender.recipeBuilder()
    .inputs(<ore:ingotConstantan>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<thermalfoundation:material:356>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Синаловая пластина
metal_bender.recipeBuilder()
    .inputs(<thermalfoundation:material:165>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<thermalfoundation:material:357>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Ламиумовая пластина
metal_bender.recipeBuilder()
    .inputs(<thermalfoundation:material:166>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<thermalfoundation:material:358>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Эндериумная пластина
metal_bender.recipeBuilder()
    .inputs(<thermalfoundation:material:167>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<thermalfoundation:material:359>)
    .duration(5 * 20)
    .EUt(24)
    .buildAndRegister();

// Крафты в плавильне
// Константовая шестерня
alloy_smelter.recipeBuilder()
    .inputs(<ore:ingotConstantan> * 8)
    .notConsumable(<gregtech:meta_item_1:32303>)
    .outputs(<thermalfoundation:material:292>)
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Ламиуновая шестерня
alloy_smelter.recipeBuilder()
    .inputs(<thermalfoundation:material:166> * 8)
    .notConsumable(<gregtech:meta_item_1:32303>)
    .outputs(<thermalfoundation:material:294>)
    .duration(20 * 20)
    .EUt(32)
    .buildAndRegister();

// Синаловая шестерня
alloy_smelter.recipeBuilder()
    .inputs(<thermalfoundation:material:165> * 8)
    .notConsumable(<gregtech:meta_item_1:32303>)
    .outputs(<thermalfoundation:material:293>)
    .duration(30 * 20)
    .EUt(48)
    .buildAndRegister();

// Эндериумная шестерня
alloy_smelter.recipeBuilder()
    .inputs(<thermalfoundation:material:167> * 8)
    .notConsumable(<gregtech:meta_item_1:32303>)
    .outputs(<thermalfoundation:material:295>)
    .duration(84 * 20)
    .EUt(64)
    .buildAndRegister();

// Крафты в экструдере
// Константовая шестерня
extruder.recipeBuilder()
    .inputs(<ore:ingotConstantan> * 4)
    .notConsumable(<gregtech:meta_item_1:32372>)
    .outputs(<thermalfoundation:material:292>)
    .duration(5 * 20)
    .EUt(64)
    .buildAndRegister();

// Ламиуновая шестерня
extruder.recipeBuilder()
    .inputs(<thermalfoundation:material:166> * 4)
    .notConsumable(<gregtech:meta_item_1:32372>)
    .outputs(<thermalfoundation:material:294>)
    .duration(10 * 20)
    .EUt(64)
    .buildAndRegister();

// Синаловая шестерня
extruder.recipeBuilder()
    .inputs(<thermalfoundation:material:165> * 4)
    .notConsumable(<gregtech:meta_item_1:32372>)
    .outputs(<thermalfoundation:material:293>)
    .duration(15 * 20)
    .EUt(96)
    .buildAndRegister();

// Эндериумная шестерня
extruder.recipeBuilder()
    .inputs(<thermalfoundation:material:167> * 4)
    .notConsumable(<gregtech:meta_item_1:32372>)
    .outputs(<thermalfoundation:material:295>)
    .duration(42 * 20)
    .EUt(256)
    .buildAndRegister();

// Крафты в верстаке
//Обмен эндериумной пластины из грега на пластину из термала
recipes.addShapeless(<thermalfoundation:material:359>, 
	[<gregtech:meta_item_1:12963>]);

//Обмен эндериумной шестерни из грега на шестерню из термала
recipes.addShapeless(<thermalfoundation:material:295>, 
	[<gregtech:meta_item_2:26963>]);

//Константовая пластина
recipes.addShaped(<thermalfoundation:material:356>, 
	[[null, hammer, null], 
	[null, <ore:ingotConstantan>, null], 
	[null, <ore:ingotConstantan>, null]]);

//Синаловая пластина
recipes.addShaped(<thermalfoundation:material:357>, 
	[[null, hammer, null], 
	[null, <thermalfoundation:material:165>, null], 
	[null, <thermalfoundation:material:165>, null]]);

//Ламиумовая пластина пластина
recipes.addShaped(<thermalfoundation:material:358>, 
	[[null, hammer, null], 
	[null, <thermalfoundation:material:166>, null], 
	[null, <thermalfoundation:material:166>, null]]);

//Удаление пыли константа
recipes.remove(<thermalfoundation:material:100>);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_nickel>);
recipes.addShaped(<thermalfoundation:armor.helmet_nickel>, [
[<ore:plateNickel>, <ore:plateNickel>, <ore:plateNickel>], 
[<ore:plateCurvedNickel>, hammer, <ore:plateCurvedNickel>]
]);
recipes.remove(<thermalfoundation:armor.plate_nickel>);
recipes.addShaped(<thermalfoundation:armor.plate_nickel>, [
[<ore:plateNickel>, hammer, <ore:plateNickel>], 
[<ore:plateCurvedNickel>, <ore:plateNickel>, <ore:plateCurvedNickel>], 
[<ore:plateCurvedNickel>, <ore:plateNickel>, <ore:plateCurvedNickel>]
]);
recipes.remove(<thermalfoundation:armor.legs_nickel>);
recipes.addShaped(<thermalfoundation:armor.legs_nickel>, [
[<ore:plateNickel>, <ore:plateCurvedNickel>, <ore:plateNickel>], 
[<ore:plateCurvedNickel>, hammer, <ore:plateCurvedNickel>], 
[<ore:plateCurvedNickel>, null, <ore:plateCurvedNickel>]
]);
recipes.remove(<thermalfoundation:armor.boots_nickel>);
recipes.addShaped(<thermalfoundation:armor.boots_nickel>, [
[<ore:plateNickel>, null, <ore:plateNickel>], 
[<ore:plateCurvedNickel>, hammer, <ore:plateCurvedNickel>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_copper>);
recipes.addShaped(<thermalfoundation:armor.helmet_copper>, [
[<ore:plateCopper>, <ore:plateCopper>, <ore:plateCopper>], 
[<ore:plateCurvedCopper>, hammer, <ore:plateCurvedCopper>]
]);
recipes.remove(<thermalfoundation:armor.plate_copper>);
recipes.addShaped(<thermalfoundation:armor.plate_copper>, [
[<ore:plateCopper>, hammer, <ore:plateCopper>], 
[<ore:plateCurvedCopper>, <ore:plateCopper>, <ore:plateCurvedCopper>], 
[<ore:plateCurvedCopper>, <ore:plateCopper>, <ore:plateCurvedCopper>]
]);
recipes.remove(<thermalfoundation:armor.legs_copper>);
recipes.addShaped(<thermalfoundation:armor.legs_copper>, [
[<ore:plateCopper>, <ore:plateCurvedCopper>, <ore:plateCopper>], 
[<ore:plateCurvedCopper>, hammer, <ore:plateCurvedCopper>], 
[<ore:plateCurvedCopper>, null, <ore:plateCurvedCopper>]
]);
recipes.remove(<thermalfoundation:armor.boots_copper>);
recipes.addShaped(<thermalfoundation:armor.boots_copper>, [
[<ore:plateCopper>, null, <ore:plateCopper>], 
[<ore:plateCurvedCopper>, hammer, <ore:plateCurvedCopper>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_tin>);
recipes.addShaped(<thermalfoundation:armor.helmet_tin>, [
[<ore:plateTin>, <ore:plateTin>, <ore:plateTin>], 
[<ore:plateCurvedTin>, hammer, <ore:plateCurvedTin>]
]);
recipes.remove(<thermalfoundation:armor.plate_tin>);
recipes.addShaped(<thermalfoundation:armor.plate_tin>, [
[<ore:plateTin>, hammer, <ore:plateTin>], 
[<ore:plateCurvedTin>, <ore:plateTin>, <ore:plateCurvedTin>], 
[<ore:plateCurvedTin>, <ore:plateTin>, <ore:plateCurvedTin>]
]);
recipes.remove(<thermalfoundation:armor.legs_tin>);
recipes.addShaped(<thermalfoundation:armor.legs_tin>, [
[<ore:plateTin>, <ore:plateCurvedTin>, <ore:plateTin>], 
[<ore:plateCurvedTin>, hammer, <ore:plateCurvedTin>], 
[<ore:plateCurvedTin>, null, <ore:plateCurvedTin>]
]);
recipes.remove(<thermalfoundation:armor.boots_tin>);
recipes.addShaped(<thermalfoundation:armor.boots_tin>, [
[<ore:plateTin>, null, <ore:plateTin>], 
[<ore:plateCurvedTin>, hammer, <ore:plateCurvedTin>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_silver>);
recipes.addShaped(<thermalfoundation:armor.helmet_silver>, [
[<ore:plateSilver>, <ore:plateSilver>, <ore:plateSilver>], 
[<ore:plateCurvedSilver>, hammer, <ore:plateCurvedSilver>]
]);
recipes.remove(<thermalfoundation:armor.plate_silver>);
recipes.addShaped(<thermalfoundation:armor.plate_silver>, [
[<ore:plateSilver>, hammer, <ore:plateSilver>], 
[<ore:plateCurvedSilver>, <ore:plateSilver>, <ore:plateCurvedSilver>], 
[<ore:plateCurvedSilver>, <ore:plateSilver>, <ore:plateCurvedSilver>]
]);
recipes.remove(<thermalfoundation:armor.legs_silver>);
recipes.addShaped(<thermalfoundation:armor.legs_silver>, [
[<ore:plateSilver>, <ore:plateCurvedSilver>, <ore:plateSilver>], 
[<ore:plateCurvedSilver>, hammer, <ore:plateCurvedSilver>], 
[<ore:plateCurvedSilver>, null, <ore:plateCurvedSilver>]
]);
recipes.remove(<thermalfoundation:armor.boots_silver>);
recipes.addShaped(<thermalfoundation:armor.boots_silver>, [
[<ore:plateSilver>, null, <ore:plateSilver>], 
[<ore:plateCurvedSilver>, hammer, <ore:plateCurvedSilver>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_lead>);
recipes.addShaped(<thermalfoundation:armor.helmet_lead>, [
[<ore:plateLead>, <ore:plateLead>, <ore:plateLead>], 
[<ore:plateCurvedLead>, hammer, <ore:plateCurvedLead>]
]);
recipes.remove(<thermalfoundation:armor.plate_lead>);
recipes.addShaped(<thermalfoundation:armor.plate_lead>, [
[<ore:plateLead>, hammer, <ore:plateLead>], 
[<ore:plateCurvedLead>, <ore:plateLead>, <ore:plateCurvedLead>], 
[<ore:plateCurvedLead>, <ore:plateLead>, <ore:plateCurvedLead>]
]);
recipes.remove(<thermalfoundation:armor.legs_lead>);
recipes.addShaped(<thermalfoundation:armor.legs_lead>, [
[<ore:plateLead>, <ore:plateCurvedLead>, <ore:plateLead>], 
[<ore:plateCurvedLead>, hammer, <ore:plateCurvedLead>], 
[<ore:plateCurvedLead>, null, <ore:plateCurvedLead>]
]);
recipes.remove(<thermalfoundation:armor.boots_lead>);
recipes.addShaped(<thermalfoundation:armor.boots_lead>, [
[<ore:plateLead>, null, <ore:plateLead>], 
[<ore:plateCurvedLead>, hammer, <ore:plateCurvedLead>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_aluminum>);
recipes.addShaped(<thermalfoundation:armor.helmet_aluminum>, [
[<ore:plateAluminium>, <ore:plateAluminium>, <ore:plateAluminium>], 
[<ore:plateCurvedAluminium>, hammer, <ore:plateCurvedAluminium>]
]);
recipes.remove(<thermalfoundation:armor.plate_aluminum>);
recipes.addShaped(<thermalfoundation:armor.plate_aluminum>, [
[<ore:plateAluminium>, hammer, <ore:plateAluminium>], 
[<ore:plateCurvedAluminium>, <ore:plateAluminium>, <ore:plateCurvedAluminium>], 
[<ore:plateCurvedAluminium>, <ore:plateAluminium>, <ore:plateCurvedAluminium>]
]);
recipes.remove(<thermalfoundation:armor.legs_aluminum>);
recipes.addShaped(<thermalfoundation:armor.legs_aluminum>, [
[<ore:plateAluminium>, <ore:plateCurvedAluminium>, <ore:plateAluminium>], 
[<ore:plateCurvedAluminium>, hammer, <ore:plateCurvedAluminium>], 
[<ore:plateCurvedAluminium>, null, <ore:plateCurvedAluminium>]
]);
recipes.remove(<thermalfoundation:armor.boots_aluminum>);
recipes.addShaped(<thermalfoundation:armor.boots_aluminum>, [
[<ore:plateAluminium>, null, <ore:plateAluminium>], 
[<ore:plateCurvedAluminium>, hammer, <ore:plateCurvedAluminium>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_platinum>);
recipes.addShaped(<thermalfoundation:armor.helmet_platinum>, [
[<ore:platePlatinum>, <ore:platePlatinum>, <ore:platePlatinum>], 
[<ore:plateCurvedPlatinum>, hammer, <ore:plateCurvedPlatinum>]
]);
recipes.remove(<thermalfoundation:armor.plate_platinum>);
recipes.addShaped(<thermalfoundation:armor.plate_platinum>, [
[<ore:platePlatinum>, hammer, <ore:platePlatinum>], 
[<ore:plateCurvedPlatinum>, <ore:platePlatinum>, <ore:plateCurvedPlatinum>], 
[<ore:plateCurvedPlatinum>, <ore:platePlatinum>, <ore:plateCurvedPlatinum>]
]);
recipes.remove(<thermalfoundation:armor.legs_platinum>);
recipes.addShaped(<thermalfoundation:armor.legs_platinum>, [
[<ore:platePlatinum>, <ore:plateCurvedPlatinum>, <ore:platePlatinum>], 
[<ore:plateCurvedPlatinum>, hammer, <ore:plateCurvedPlatinum>], 
[<ore:plateCurvedPlatinum>, null, <ore:plateCurvedPlatinum>]
]);
recipes.remove(<thermalfoundation:armor.boots_platinum>);
recipes.addShaped(<thermalfoundation:armor.boots_platinum>, [
[<ore:platePlatinum>, null, <ore:platePlatinum>], 
[<ore:plateCurvedPlatinum>, hammer, <ore:plateCurvedPlatinum>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_steel>);
recipes.addShaped(<thermalfoundation:armor.helmet_steel>, [
[<ore:plateSteel>, <ore:plateSteel>, <ore:plateSteel>], 
[<ore:plateCurvedSteel>, hammer, <ore:plateCurvedSteel>]
]);
recipes.remove(<thermalfoundation:armor.plate_steel>);
recipes.addShaped(<thermalfoundation:armor.plate_steel>, [
[<ore:plateSteel>, hammer, <ore:plateSteel>], 
[<ore:plateCurvedSteel>, <ore:plateSteel>, <ore:plateCurvedSteel>], 
[<ore:plateCurvedSteel>, <ore:plateSteel>, <ore:plateCurvedSteel>]
]);
recipes.remove(<thermalfoundation:armor.legs_steel>);
recipes.addShaped(<thermalfoundation:armor.legs_steel>, [
[<ore:plateSteel>, <ore:plateCurvedSteel>, <ore:plateSteel>], 
[<ore:plateCurvedSteel>, hammer, <ore:plateCurvedSteel>], 
[<ore:plateCurvedSteel>, null, <ore:plateCurvedSteel>]
]);
recipes.remove(<thermalfoundation:armor.boots_steel>);
recipes.addShaped(<thermalfoundation:armor.boots_steel>, [
[<ore:plateSteel>, null, <ore:plateSteel>], 
[<ore:plateCurvedSteel>, hammer, <ore:plateCurvedSteel>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_electrum>);
recipes.addShaped(<thermalfoundation:armor.helmet_electrum>, [
[<ore:plateElectrum>, <ore:plateElectrum>, <ore:plateElectrum>], 
[<ore:plateCurvedElectrum>, hammer, <ore:plateCurvedElectrum>]
]);
recipes.remove(<thermalfoundation:armor.plate_electrum>);
recipes.addShaped(<thermalfoundation:armor.plate_electrum>, [
[<ore:plateElectrum>, hammer, <ore:plateElectrum>], 
[<ore:plateCurvedElectrum>, <ore:plateElectrum>, <ore:plateCurvedElectrum>], 
[<ore:plateCurvedElectrum>, <ore:plateElectrum>, <ore:plateCurvedElectrum>]
]);
recipes.remove(<thermalfoundation:armor.legs_electrum>);
recipes.addShaped(<thermalfoundation:armor.legs_electrum>, [
[<ore:plateElectrum>, <ore:plateCurvedElectrum>, <ore:plateElectrum>], 
[<ore:plateCurvedElectrum>, hammer, <ore:plateCurvedElectrum>], 
[<ore:plateCurvedElectrum>, null, <ore:plateCurvedElectrum>]
]);
recipes.remove(<thermalfoundation:armor.boots_electrum>);
recipes.addShaped(<thermalfoundation:armor.boots_electrum>, [
[<ore:plateElectrum>, null, <ore:plateElectrum>], 
[<ore:plateCurvedElectrum>, hammer, <ore:plateCurvedElectrum>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_invar>);
recipes.addShaped(<thermalfoundation:armor.helmet_invar>, [
[<ore:plateInvar>, <ore:plateInvar>, <ore:plateInvar>], 
[<ore:plateCurvedInvar>, hammer, <ore:plateCurvedInvar>]
]);
recipes.remove(<thermalfoundation:armor.plate_invar>);
recipes.addShaped(<thermalfoundation:armor.plate_invar>, [
[<ore:plateInvar>, hammer, <ore:plateInvar>], 
[<ore:plateCurvedInvar>, <ore:plateInvar>, <ore:plateCurvedInvar>], 
[<ore:plateCurvedInvar>, <ore:plateInvar>, <ore:plateCurvedInvar>]
]);
recipes.remove(<thermalfoundation:armor.legs_invar>);
recipes.addShaped(<thermalfoundation:armor.legs_invar>, [
[<ore:plateInvar>, <ore:plateCurvedInvar>, <ore:plateInvar>], 
[<ore:plateCurvedInvar>, hammer, <ore:plateCurvedInvar>], 
[<ore:plateCurvedInvar>, null, <ore:plateCurvedInvar>]
]);
recipes.remove(<thermalfoundation:armor.boots_invar>);
recipes.addShaped(<thermalfoundation:armor.boots_invar>, [
[<ore:plateInvar>, null, <ore:plateInvar>], 
[<ore:plateCurvedInvar>, hammer, <ore:plateCurvedInvar>]
]);

// Набор брони
recipes.remove(<thermalfoundation:armor.helmet_bronze>);
recipes.addShaped(<thermalfoundation:armor.helmet_bronze>, [
[<ore:plateBronze>, <ore:plateBronze>, <ore:plateBronze>], 
[<ore:plateCurvedBronze>, hammer, <ore:plateCurvedBronze>]
]);
recipes.remove(<thermalfoundation:armor.plate_bronze>);
recipes.addShaped(<thermalfoundation:armor.plate_bronze>, [
[<ore:plateBronze>, hammer, <ore:plateBronze>], 
[<ore:plateCurvedBronze>, <ore:plateBronze>, <ore:plateCurvedBronze>], 
[<ore:plateCurvedBronze>, <ore:plateBronze>, <ore:plateCurvedBronze>]
]);
recipes.remove(<thermalfoundation:armor.legs_bronze>);
recipes.addShaped(<thermalfoundation:armor.legs_bronze>, [
[<ore:plateBronze>, <ore:plateCurvedBronze>, <ore:plateBronze>], 
[<ore:plateCurvedBronze>, hammer, <ore:plateCurvedBronze>], 
[<ore:plateCurvedBronze>, null, <ore:plateCurvedBronze>]
]);
recipes.remove(<thermalfoundation:armor.boots_bronze>);
recipes.addShaped(<thermalfoundation:armor.boots_bronze>, [
[<ore:plateBronze>, null, <ore:plateBronze>], 
[<ore:plateCurvedBronze>, hammer, <ore:plateCurvedBronze>]
]);

// Железная монета 
recipes.addShaped(<thermalfoundation:coin>, 
	[[<thermalfoundation:coin:64>, <thermalfoundation:coin:64>, <thermalfoundation:coin:64>], 
	[<thermalfoundation:coin:64>, <thermalfoundation:coin:64>, <thermalfoundation:coin:64>], 
	[<thermalfoundation:coin:64>, <thermalfoundation:coin:64>, <thermalfoundation:coin:64>]]);

// Серебряная монета 
recipes.addShaped(<thermalfoundation:coin:66>, 
	[[<thermalfoundation:coin>, <thermalfoundation:coin>, <thermalfoundation:coin>], 
	[<thermalfoundation:coin>, <thermalfoundation:coin>, <thermalfoundation:coin>], 
	[<thermalfoundation:coin>, <thermalfoundation:coin>, <thermalfoundation:coin>]]);

// Золотая монета 
recipes.addShaped(<thermalfoundation:coin:1>, 
	[[<thermalfoundation:coin:66>, <thermalfoundation:coin:66>, <thermalfoundation:coin:66>], 
	[<thermalfoundation:coin:66>, <thermalfoundation:coin:66>, <thermalfoundation:coin:66>], 
	[<thermalfoundation:coin:66>, <thermalfoundation:coin:66>, <thermalfoundation:coin:66>]]);

// Платиновая монета 
recipes.addShaped(<thermalfoundation:coin:70>, 
	[[<thermalfoundation:coin:1>, <thermalfoundation:coin:1>, <thermalfoundation:coin:1>], 
	[<thermalfoundation:coin:1>, <thermalfoundation:coin:1>, <thermalfoundation:coin:1>], 
	[<thermalfoundation:coin:1>, <thermalfoundation:coin:1>, <thermalfoundation:coin:1>]]);

// Иридиевая монета 
recipes.addShaped(<thermalfoundation:coin:71>, 
	[[<thermalfoundation:coin:70>, <thermalfoundation:coin:70>, <thermalfoundation:coin:70>], 
	[<thermalfoundation:coin:70>, <thermalfoundation:coin:70>, <thermalfoundation:coin:70>], 
	[<thermalfoundation:coin:70>, <thermalfoundation:coin:70>, <thermalfoundation:coin:70>]]);

// Ламиумовая монета 
recipes.addShaped(<thermalfoundation:coin:102>, 
	[[<thermalfoundation:coin:71>, <thermalfoundation:coin:71>, <thermalfoundation:coin:71>], 
	[<thermalfoundation:coin:71>, <thermalfoundation:coin:71>, <thermalfoundation:coin:71>], 
	[<thermalfoundation:coin:71>, <thermalfoundation:coin:71>, <thermalfoundation:coin:71>]]);

// Синаловая монета 
recipes.addShaped(<thermalfoundation:coin:101>, 
	[[<thermalfoundation:coin:102>, <thermalfoundation:coin:102>, <thermalfoundation:coin:102>], 
	[<thermalfoundation:coin:102>, <thermalfoundation:coin:102>, <thermalfoundation:coin:102>], 
	[<thermalfoundation:coin:102>, <thermalfoundation:coin:102>, <thermalfoundation:coin:102>]]);

// Эндериумная монета 
recipes.addShaped(<thermalfoundation:coin:103>, 
	[[<thermalfoundation:coin:101>, <thermalfoundation:coin:101>, <thermalfoundation:coin:101>], 
	[<thermalfoundation:coin:101>, <thermalfoundation:coin:101>, <thermalfoundation:coin:101>], 
	[<thermalfoundation:coin:101>, <thermalfoundation:coin:101>, <thermalfoundation:coin:101>]]);

// Мифриловая монета 
recipes.addShaped(<thermalfoundation:coin:72>, 
	[[<thermalfoundation:coin:103>, <thermalfoundation:coin:103>, <thermalfoundation:coin:103>], 
	[<thermalfoundation:coin:103>, <thermalfoundation:coin:103>, <thermalfoundation:coin:103>], 
	[<thermalfoundation:coin:103>, <thermalfoundation:coin:103>, <thermalfoundation:coin:103>]]);

// Медные монеты х9
recipes.addShapeless(<thermalfoundation:coin:64> * 9, 
	[<thermalfoundation:coin>]);

// Железные монеты х9
recipes.addShapeless(<thermalfoundation:coin> * 9, 
	[<thermalfoundation:coin:66>]);

// Серебряные монеты х9
recipes.addShapeless(<thermalfoundation:coin:66> * 9, 
	[<thermalfoundation:coin:1>]);

// Золотые монеты х9
recipes.addShapeless(<thermalfoundation:coin:1> * 9, 
	[<thermalfoundation:coin:70>]);

// Платиновые монеты х9
recipes.addShapeless(<thermalfoundation:coin:70> * 9, 
	[<thermalfoundation:coin:71>]);

// Иридиевые монеты х9
recipes.addShapeless(<thermalfoundation:coin:71> * 9, 
	[<thermalfoundation:coin:102>]);

// Ламиумовые монеты х9
recipes.addShapeless(<thermalfoundation:coin:102> * 9, 
	[<thermalfoundation:coin:101>]);

// Синаловые монеты х9
recipes.addShapeless(<thermalfoundation:coin:101> * 9, 
	[<thermalfoundation:coin:103>]);

// Эндериумные монеты х9
recipes.addShapeless(<thermalfoundation:coin:103> * 9, 
	[<thermalfoundation:coin:72>]);


print("Initialized 'ThermalFoundation'");