#priority 1
# ThermalInnovation

import crafttweaker.item.IItemStack;

print("Initializing 'ThermalInnovation'...");


// Ненужные предметы
var items = [<thermalinnovation:saw>, <thermalinnovation:saw:1>, <thermalinnovation:saw:2>, <thermalinnovation:saw:3>, <thermalinnovation:saw:4>, <thermalinnovation:quiver>, <thermalinnovation:quiver:1>, <thermalinnovation:quiver:2>, <thermalinnovation:quiver:3>, <thermalinnovation:quiver:4>, <thermalinnovation:injector>, <thermalinnovation:injector:1>, <thermalinnovation:injector:2>, <thermalinnovation:injector:3>, <thermalinnovation:injector:4>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

//Удаление рецептов
global ItemsToRemoveTI as IItemStack[] = [
	<thermalinnovation:drill>,
	<thermalinnovation:drill:1>,
	<thermalinnovation:drill:2>,
	<thermalinnovation:drill:3>,
	<thermalinnovation:drill:4>,
	<thermalinnovation:magnet>,
	<thermalinnovation:magnet:1>,
	<thermalinnovation:magnet:2>,
	<thermalinnovation:magnet:3>,
	<thermalinnovation:magnet:4>
] as IItemStack[];
for item in ItemsToRemoveTI{
    recipes.remove(item);
}

// Рецепты в сборщике
// Флаксобур (основной)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:26033> * 2, <gregtech:meta_item_1:12033> * 2, <gregtech:meta_item_1:17033> * 2,  <gregtech:meta_item_2:8033>, <gregtech:meta_item_1:32600>, <gregtech:meta_item_2:32576>, <thermalexpansion:capacitor>)
    .outputs(<thermalinnovation:drill>)
    .duration(30 * 20)
    .EUt(64)
    .buildAndRegister();

// Флаксобур (усиленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:26184> * 2, <gregtech:meta_item_1:12184> * 2, <gregtech:meta_item_1:17184> * 2,  <gregtech:meta_item_2:8184>, <gregtech:meta_item_1:32601>, <thermalinnovation:drill>, <thermalfoundation:upgrade>)
    .outputs(<thermalinnovation:drill:1>)
    .duration(30 * 20)
    .EUt(128)
    .buildAndRegister();

// Флаксобур (укрепленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:26183> * 2, <gregtech:meta_item_1:12183> * 2, <gregtech:meta_item_1:17183> * 2,  <gregtech:meta_item_2:8183>, <gregtech:meta_item_1:32602>, <thermalinnovation:drill:1>, <thermalfoundation:upgrade:1>)
    .outputs(<thermalinnovation:drill:2>)
    .duration(30 * 20)
    .EUt(256)
    .buildAndRegister();

// Флаксобур (синаловый)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:26072> * 2, <gregtech:meta_item_1:12072> * 2, <gregtech:meta_item_1:17072> * 2,  <gregtech:meta_item_2:8072>, <gregtech:meta_item_1:32603>, <thermalinnovation:drill:2>, <thermalfoundation:upgrade:2>)
    .outputs(<thermalinnovation:drill:3>)
    .duration(30 * 20)
    .EUt(512)
    .buildAndRegister();

// Флаксобур (резонирующий)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_2:26235> * 2, <gregtech:meta_item_1:12235> * 2, <gregtech:meta_item_1:17235> * 2,  <gregtech:meta_item_2:8235>, <gregtech:meta_item_1:32604>, <thermalinnovation:drill:3>, <thermalfoundation:upgrade:3>)
    .outputs(<thermalinnovation:drill:4>)
    .duration(30 * 20)
    .EUt(1024)
    .buildAndRegister();

// Флаксомагнит (Основной)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14297> * 8, <gregtech:meta_item_1:14033> * 4, <gregtech:meta_item_1:19033> * 4, <gregtech:meta_item_1:19237> * 2, <gregtech:cable:71> * 2, <gregtech:meta_item_1:32500>, <thermalfoundation:material:515>)
    .outputs(<thermalinnovation:magnet>)
    .duration(20 * 20)
    .EUt(64)
    .buildAndRegister();

// Флаксомагнит (Усиленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14298> * 8, <gregtech:meta_item_1:14184> * 4, <gregtech:meta_item_1:19184> * 4, <gregtech:meta_item_1:19237> * 2, <gregtech:cable:18> * 2, <thermalinnovation:magnet>, <thermalfoundation:upgrade>)
    .outputs(<thermalinnovation:magnet:1>)
    .duration(20 * 20)
    .EUt(128)
    .buildAndRegister();

// Флаксомагнит (Укрепленный)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14298> * 8, <gregtech:meta_item_1:14183> * 4, <gregtech:meta_item_1:19183> * 4, <gregtech:meta_item_1:19237> * 2, <gregtech:cable:112> * 2, <thermalinnovation:magnet:1>, <thermalfoundation:upgrade:1>)
    .outputs(<thermalinnovation:magnet:2>)
    .duration(20 * 20)
    .EUt(256)
    .buildAndRegister();

// Флаксомагнит (Синаловый)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14299> * 8, <gregtech:meta_item_1:14072> * 4, <gregtech:meta_item_1:19072> * 4, <gregtech:meta_item_1:19237> * 2, <gregtech:cable:1> * 2, <thermalinnovation:magnet:2>, <thermalfoundation:upgrade:2>)
    .outputs(<thermalinnovation:magnet:3>)
    .duration(20 * 20)
    .EUt(512)
    .buildAndRegister();

// Флаксомагнит (Резонирующий)
assembler.recipeBuilder()
    .inputs(<gregtech:meta_item_1:14299> * 8, <gregtech:meta_item_1:14235> * 4, <gregtech:meta_item_1:19235> * 4, <gregtech:meta_item_1:19237> * 2, <gregtech:cable:51> * 2, <thermalinnovation:magnet:3>, <thermalfoundation:upgrade:3>)
    .outputs(<thermalinnovation:magnet:4>)
    .duration(20 * 20)
    .EUt(1024)
    .buildAndRegister();


print("Initialized 'ThermalInnovation'");