#priority 2
# Global Variables

import crafttweaker.item.IItemStack;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.item.IIngredient;
import mods.gregtech.recipe.RecipeMap;
import mods.gtadditions.recipe.Utils;
import mods.gtadditions.recipe.LargeRecipeMap;
import mods.gtadditions.recipe.GARecipeMaps;


print("Initializing 'Global Variables'...");

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~  Machine Recipe Builders  ~~~~~~~~~~~~~~~~~~~~~~~~~~ */
global assembler as RecipeMap  = RecipeMap.getByName("assembler");
global chemical_reactor as RecipeMap = RecipeMap.getByName("chemical_reactor");
global metal_bender as RecipeMap = RecipeMap.getByName("metal_bender");
global fluid_extractor as RecipeMap = RecipeMap.getByName("fluid_extractor");
global blast_furnace as RecipeMap = RecipeMap.getByName("blast_furnace");
global centrifuge as RecipeMap = RecipeMap.getByName("centrifuge");
global mixer as RecipeMap = RecipeMap.getByName("mixer");
global macerator as RecipeMap = RecipeMap.getByName("macerator");
global compressor as RecipeMap = RecipeMap.getByName("compressor");
global extruder as RecipeMap = RecipeMap.getByName("extruder");
global alloy_smelter as RecipeMap = RecipeMap.getByName("alloy_smelter");
global autoclave as RecipeMap = RecipeMap.getByName("autoclave");
global electromagnetic_separator as RecipeMap = RecipeMap.getByName("electromagnetic_separator");
global attractor as RecipeMap = RecipeMap.getByName("attractor");
global green_house as RecipeMap = RecipeMap.getByName("green_house");
global mass_fab as RecipeMap = RecipeMap.getByName("mass_fab");
global replicator as RecipeMap = RecipeMap.getByName("replicator");
global assembly_line as RecipeMap = RecipeMap.getByName("assembly_line");
global bio_reactor as RecipeMap = RecipeMap.getByName("bio_reactor");
global fluid_canner as RecipeMap = RecipeMap.getByName("fluid_canner");
global stellar_forge as RecipeMap = RecipeMap.getByName("stellar_forge");
global large_chemical_reactor as RecipeMap = RecipeMap.getByName("large_chemical_reactor");
global chemical_plant as RecipeMap = RecipeMap.getByName("chemical_plant");
global disassembler as RecipeMap = RecipeMap.getByName("disassembler");
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~~~~~~~~~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Crafting Tools  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
global hammer as IIngredient = <ore:craftingToolHardHammerEmptyTag>;
global wrench as IIngredient = <ore:craftingToolWrenchEmptyTag>;
global file as IIngredient = <ore:craftingToolFileEmptyTag>;
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~~~~~~~~~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

print("Initialized 'Global Variables'");