#priority 1
# GregTech

import crafttweaker.item.IItemStack;

print("Initializing 'GregTech'...");

// Удаление ненужных предметов
var items = [<gregtech:machine:460>, <gregtech:machine:430>, <gregtech:machine:802>, <gregtech:machine:803>, <gregtech:machine:804>, <gregtech:machine:805>, <gregtech:machine:806>, <gregtech:machine:807>, <gregtech:machine:808>, <gregtech:machine:80>, <gregtech:machine:81>, <gregtech:machine:82>, <gregtech:machine:83>] as IItemStack[];
for item in items {
    mods.jei.JEI.removeAndHide(item);
	item.addTooltip("§cВ данной сборке этот предмет выключен");
}

// Удаление легкого рецепта слитка палладия из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10049> * 2, [<gregtech:ore_palladium_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10049>, [<gregtech:ore_palladium_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10049>, [<gregtech:meta_item_1:2049>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка ниобия из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10045> * 2, [<gregtech:ore_niobium_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10045>, [<gregtech:ore_niobium_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10045>, [<gregtech:meta_item_1:2045>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка наквады из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10307> * 2, [<gregtech:ore_naquadah_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10307>, [<gregtech:ore_naquadah_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10307>, [<gregtech:meta_item_1:2307>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка обогащенной наквады из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10309> * 2, [<gregtech:ore_naquadah_enriched_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10309>, [<gregtech:ore_naquadah_enriched_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10309>, [<gregtech:meta_item_1:2309>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка алюминия из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10001> * 2, [<gregtech:ore_aluminium_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10001>, [<gregtech:ore_aluminium_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10001>, [<gregtech:meta_item_1:2001>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка осмия из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10047> * 2, [<gregtech:ore_osmium_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10047>, [<gregtech:ore_osmium_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10047>, [<gregtech:meta_item_1:2047>, <thermalfoundation:material:1024>]);

// Удаление легкого рецепта слитка осмия из крафта
recipes.removeShapeless(<gregtech:meta_item_1:10042> * 2, [<gregtech:ore_neodymium_0>, <thermalfoundation:material:1024>, <thermalfoundation:material:1027>]);
recipes.removeShapeless(<gregtech:meta_item_1:10042>, [<gregtech:ore_neodymium_0>, <thermalfoundation:material:1024>]);
recipes.removeShapeless(<gregtech:meta_item_1:10042>, [<gregtech:meta_item_1:2042>, <thermalfoundation:material:1024>]);

// Крафты в жидкостном экстракторе
// Кислотная капля -> Серная кислота
fluid_extractor.recipeBuilder()
    .inputs(<extrabees:honey_drop:1>)
    .fluidOutputs([<liquid:sulfuric_acid> * 200])
    .chancedOutput(<gregtech:meta_item_1:2065>, 5000, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

// Энергетическая капля -> Дестабилизированный красный камень
fluid_extractor.recipeBuilder()
    .inputs(<extrabees:honey_drop>)
    .fluidOutputs([<liquid:redstone> * 200])
    .chancedOutput(<gregtech:meta_item_2:32572>, 5000, 1000)
    .duration(6.4 * 20)
    .EUt(5)
    .buildAndRegister();

// Переработка Бронзовый корпус
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine_casing:10>)
    .fluidOutputs([<liquid:bronze> * 1152])
    .duration(32 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Стальной корпус
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine_casing:12>)
    .fluidOutputs([<liquid:steel> * 1152])
    .duration(32 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Бронзовый корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing>)
    .fluidOutputs([<liquid:bronze> * 288])
    .chancedOutput(<minecraft:brick>, 5000, 1000)
    .duration(8 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Теплостойкий корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:2>)
    .fluidOutputs([<liquid:invar> * 354])
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Морозостойкий корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:3>)
    .fluidOutputs([<liquid:aluminium> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Цельный стальной корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:4>)
    .fluidOutputs([<liquid:steel> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Чистый корпус из нержавейки
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:5>)
    .fluidOutputs([<liquid:stainless_steel> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Крепкий вольфрамовый корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:7>)
    .fluidOutputs([<liquid:tungsten_steel> * 354])
    .duration(10 * 20)
    .EUt(512)
    .buildAndRegister();

// Переработка Стабильный титановый корпус машины
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:metal_casing:6>)
    .fluidOutputs([<liquid:titanium> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Бронзовый корпус редуктора
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:turbine_casing>)
    .fluidOutputs([<liquid:bronze> * 654])
    .duration(19 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Стальной корпус редуктора
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:turbine_casing:1>)
    .fluidOutputs([<liquid:steel> * 654])
    .duration(19 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Бронзовый кожух трубы
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_casing>)
    .fluidOutputs([<liquid:bronze> * 834])
    .duration(24 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Стальной кожух трубы
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_casing:1>)
    .fluidOutputs([<liquid:steel> * 834])
    .duration(24 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Титановый кожух трубы
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_casing:2>)
    .fluidOutputs([<liquid:titanium> * 834])
    .duration(24 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Вольфрамовый кожух трубы
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_casing:3>)
    .fluidOutputs([<liquid:tungsten_steel> * 834])
    .duration(24 * 20)
    .EUt(512)
    .buildAndRegister();

// Переработка Воздухозаборник двигателя
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:multiblock_casing>)
    .fluidOutputs([<liquid:titanium> * 1760])
    .duration(39 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Бронзовый корпус топки
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_firebox_casing>)
    .fluidOutputs([<liquid:bronze> * 354])
    .duration(10 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Стальной корпус топки
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_firebox_casing:1>)
    .fluidOutputs([<liquid:steel> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Титановый корпус топки
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_firebox_casing:2>)
    .fluidOutputs([<liquid:titanium> * 354])
    .duration(10 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Вольфрамовый корпус топки
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:boiler_firebox_casing:3>)
    .fluidOutputs([<liquid:tungsten_steel> * 354])
    .duration(10 * 20)
    .EUt(512)
    .buildAndRegister();

// Переработка Кирпичный бронзовый корпус
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine_casing:11>)
    .fluidOutputs([<liquid:bronze> * 720])
    .chancedOutput(<minecraft:brick_block>, 7500, 1000)
    .duration(20 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Кирпичный стальной корпус
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine_casing:13>)
    .fluidOutputs([<liquid:steel> * 720])
    .chancedOutput(<minecraft:brick_block>, 7500, 1000)
    .duration(20 * 20)
    .EUt(128)
    .buildAndRegister();

// Переработка Маленький паровой угольный котел
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine:1>)
    .fluidOutputs([<liquid:bronze> * 720])
    .chancedOutput(<minecraft:brick_block>, 5000, 1000)
    .duration(20 * 20)
    .EUt(32)
    .buildAndRegister();

// Переработка Паровой угольный котел высокого давления
fluid_extractor.recipeBuilder()
    .inputs(<gregtech:machine:2>)
    .fluidOutputs([<liquid:steel> * 720])
    .chancedOutput(<minecraft:brick_block>, 5000, 1000)
    .duration(20 * 20)
    .EUt(128)
    .buildAndRegister();

// Крафты в химическом реакторе
// Ядовитая капля -> Радон
chemical_reactor.recipeBuilder()
    .inputs(<extrabees:honey_drop:2>, <gregtech:meta_item_1:2069>)
    .fluidInputs([<liquid:water> * 1000])
    .fluidOutputs([<liquid:radon> * 200])
    .duration(60 * 20)
    .EUt(32)
    .buildAndRegister();

// Новый крафт Метилацетат
chemical_reactor.findRecipe(30, null, [<liquid:acetic_acid> * 1000, <liquid:methanol> * 1000]).remove();
chemical_reactor.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 1}))
    .fluidInputs([<liquid:acetic_acid> * 1000, <liquid:methanol> * 1000])
    .fluidOutputs([<liquid:methyl_acetate> * 1000, <liquid:water> * 1000])
    .duration(12 * 20)
    .EUt(30)
    .buildAndRegister();

// Новый крафт Сырая резиновая масса
chemical_reactor.findRecipe(30, null, [<liquid:oxygen> * 2000, <liquid:isoprene> * 144]).remove();
chemical_reactor.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 1}))
    .fluidInputs([<liquid:oxygen> * 2000, <liquid:isoprene> * 144])
    .outputs(<gregtech:meta_item_1:2153> * 3)
    .duration(8 * 20)
    .EUt(30)
    .buildAndRegister();

// Крафты в большом химическом реакторе
// Новый крафт Метилацетат
large_chemical_reactor.findRecipe(30, null, [<liquid:acetic_acid> * 1000, <liquid:methanol> * 1000]).remove();
large_chemical_reactor.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 1}))
    .fluidInputs([<liquid:acetic_acid> * 1000, <liquid:methanol> * 1000])
    .fluidOutputs([<liquid:methyl_acetate> * 1000, <liquid:water> * 1000])
    .duration(12 * 20)
    .EUt(30)
    .buildAndRegister();

// Новый крафт Сырая резиновая масса
large_chemical_reactor.findRecipe(30, null, [<liquid:oxygen> * 2000, <liquid:isoprene> * 144]).remove();
large_chemical_reactor.recipeBuilder()
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 1}))
    .fluidInputs([<liquid:oxygen> * 2000, <liquid:isoprene> * 144])
    .outputs(<gregtech:meta_item_1:2153> * 3)
    .duration(8 * 20)
    .EUt(30)
    .buildAndRegister();

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  Прочее  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
// Биомасса из пшеницы
compressor.findRecipe(2, [<minecraft:wheat> * 8], null).remove();

// Селитра из песчаников
macerator.recipeBuilder()
    .inputs(<ore:sandstone>)
    .outputs(<minecraft:sand> * 2)
    .chancedOutput(<gregtech:meta_item_1:2156>, 3000, 500)
    .duration(7.5 * 20)
    .EUt(8)
    .buildAndRegister();

// Капсулы
metal_bender.findRecipe(30, [<gregtech:meta_item_1:12033> * 2, <gregtech:meta_item_1:32766>.withTag({Configuration: 12})], null).remove();
metal_bender.recipeBuilder()
    .inputs(<ore:plateIron> * 2)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 12}))
    .outputs(<gregtech:meta_item_1:32762> * 2)
    .duration(10 * 20)
    .EUt(30)
    .buildAndRegister();
extruder.findRecipe(30, [<gregtech:meta_item_1:12033> * 2, <gregtech:meta_item_1:32354>], null).remove();
extruder.recipeBuilder()
    .inputs(<ore:plateIron> * 2)
    .notConsumable(<gregtech:meta_item_1:32354>)
    .outputs(<gregtech:meta_item_1:32762> * 2)
    .duration(10 * 20)
    .EUt(30)
    .buildAndRegister();

// Рецепты в дробителе
// Переработка сырой свинины на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:porkchop>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Переработка сырой говядины на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:beef>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Переработка сырой крольчатины на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:rabbit>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Переработка сырой трески на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:fish>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Переработка сырого лосося на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:fish:1>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Переработка рыбы-клоуна на фарш
macerator.recipeBuilder()
    .inputs(<minecraft:fish:2>)
    .outputs(<gregtech:meta_item_1:2996>)
    .duration(2 * 20)
    .EUt(16)
    .buildAndRegister();

// Крафты в гибочном станке
// Резиновая пластина
metal_bender.recipeBuilder()
    .inputs(<gregtech:meta_item_1:10152>)
    .notConsumable(<gregtech:meta_item_1:32766>.withTag({Configuration: 0}))
    .outputs(<gregtech:meta_item_1:12152>)
    .duration(1 * 20)
    .EUt(24)
    .buildAndRegister();

// Крафты в центрифуге
// Плутоний-244 (Крохотная кучка пыли)
centrifuge.recipeBuilder()
    .inputs(<gregtech:meta_item_1:2075>)
    .chancedOutput(<gregtech:meta_item_1:52>, 500, 100)
    .duration(25 * 20)
    .EUt(2048)
    .buildAndRegister();


print("Initialized 'GregTech'");