#priority 1
# GregicalityTrees

import crafttweaker.item.IItemStack;

print("Initializing 'GregicalityTrees'...");


// Рецепты в теплице
// Яблоко фруктового сада
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "orchardapple", UID0: "orchardapple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0> * 8, 7500, 500)
    .chancedOutput(<minecraft:apple> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сладкие яблоки
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "sweetcrabapple", UID0: "sweetcrabapple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0> * 8, 7500, 500)
    .chancedOutput(<extratrees:food> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Цветущие яблоки
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "floweringcrabapple", UID0: "floweringcrabapple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0> * 8, 7500, 500)
    .chancedOutput(<extratrees:food> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Яблоки прерии
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "prairiecrabapple", UID0: "prairiecrabapple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0> * 8, 7500, 500)
    .chancedOutput(<extratrees:food> * 4, 5000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Терновник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "blackthorn", UID0: "blackthorn"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:7> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Алыча
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cherryplum", UID0: "cherryplum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:8> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Персик
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "peach", UID0: "peach"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:12> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Нектарин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "nectarine", UID0: "nectarine"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:19> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Абрикос
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "apricot", UID0: "apricot"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:10> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Миндаль
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "almond", UID0: "almond"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:9> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дикая вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "wildcherry", UID0: "wildcherry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:4> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кислая вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "sourcherry", UID0: "sourcherry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:5> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная вишня
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "blackcherry", UID0: "blackcherry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:6> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Апельсин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "orange", UID0: "orange"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:1> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Мандарин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "manderin", UID0: "manderin"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:18> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сатсума
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "satsuma", UID0: "satsuma"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:13> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Танжерин
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "tangerine", UID0: "tangerine"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:21> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Лайм (Большой)
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "lime", UID0: "lime"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:3> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Лайм (Маленький)
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "keylime", UID0: "keylime"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:17> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Пальцевидный лайм
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "fingerlime", UID0: "fingerlime"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:16> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Помелло
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "pomelo", UID0: "pomelo"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:20> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Грейпфрут
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "grapefruit", UID0: "grapefruit"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:11> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кумкват
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "kumquat", UID0: "kumquat"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:2> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Цитрон
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "citron", UID0: "citron"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:15> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Рука Будды
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "buddhahand", UID0: "buddhahand"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:14> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Банан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "banana", UID0: "banana"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:28> * 4, 3000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Красный банан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "redbanana", UID0: "redbanana"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:29> * 4, 3000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Подорожник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "plantain", UID0: "plantain"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:30> * 4, 4000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Масляный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "butternut", UID0: "butternut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:25> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычная рябина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "rowan", UID0: "rowan"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Западный болиголов
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "hemlock", UID0: "hemlock"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.1:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный ясень
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "ash", UID0: "ash"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.1:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычная ольха
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "alder", UID0: "alder"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.1:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный бук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "beech", UID0: "beech"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:26> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Медный бук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "copperbeech", UID0: "copperbeech"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:26> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Осина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "aspen", UID0: "aspen"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.4:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный тис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "yew", UID0: "yew"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кипарис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cypress", UID0: "cypress"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дугласова пихта
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "douglasfir", UID0: "douglasfir"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "hazel", UID0: "hazel"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:24> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Античный инжир
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "sycamore", UID0: "sycamore"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:32> * 4, 4500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Рябина ария
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "whitebeam", UID0: "whitebeam"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.0:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный боярышник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "hawthorn", UID0: "hawthorn"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.2:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Орех пекан
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "pecan", UID0: "pecan"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:27> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный Вяз
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "elm", UID0: "elm"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.4> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Бузина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "elder", UID0: "elder"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.4:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:34> * 4, 4500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный падуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "holly", UID0: "holly"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.4:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычный граб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "hornbeam", UID0: "hornbeam"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.4:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Большой желтоватый
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "sallow", UID0: "sallow"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дубовый жолудь
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "acornoak", UID0: "acornoak"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:33> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Пихта
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "fir", UID0: "fir"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Большой кедр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cedar", UID0: "cedar"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.5> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Олива
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "olive", UID0: "olive"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:35> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Красный клен
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "redmaple", UID0: "redmaple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Пихта бальзамическая
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "balsamfir", UID0: "balsamfir"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сосна ладанная
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "loblollypine", UID0: "loblollypine"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "sweetgum", UID0: "sweetgum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.5:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная робиния
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "locust", UID0: "locust"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.5:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Культивированная груша
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "pear", UID0: "pear"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.6> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:22> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Osange Orange
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "osangeorange", UID0: "osangeorange"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.6:1> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:38> * 4, 5000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Старое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "oldfustic", UID0: "oldfustic"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.6:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Цезальпиния
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "brazilwood", UID0: "brazilwood"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.6:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кампеш
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "logwood", UID0: "logwood"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.6:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дальбергия
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "rosewood", UID0: "rosewood"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.7> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Амарант
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "purpleheart", UID0: "purpleheart"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.7:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Ироко
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "iroko", UID0: "iroko"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.7:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Гинкго
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "gingko", UID0: "gingko"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.7:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:36> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Бразильский орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "brazilnut", UID0: "brazilnut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:31> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Розовый ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "rosegum", UID0: "rosegum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Болотный ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "swampgum", UID0: "swampgum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Самшит
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "box", UID0: "box"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.8:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Гвоздика
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "clove", UID0: "clove"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.8:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:39> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кофе
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "coffee", UID0: "coffee"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:37> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обезьяна головоломка
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "monkeypuzzle", UID0: "monkeypuzzle"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Разноцветный ликвидамбр
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "rainbowgum", UID0: "rainbowgum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Розовая слоновая кость
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "pinkivory", UID0: "pinkivory"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.8:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Черная смородина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "blackcurrant", UID0: "blackcurrant"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:41> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная смородина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "redcurrant", UID0: "redcurrant"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:42> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Черника
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "blackberry", UID0: "blackberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:43> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Малина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "raspberry", UID0: "raspberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:44> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Голубика
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "blueberry", UID0: "blueberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:45> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Клюква
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cranberry", UID0: "cranberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:46> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Можжевельник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "juniper", UID0: "juniper"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:47> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Крыжовник
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "gooseberry", UID0: "gooseberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:48> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Золотая малина
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "goldenraspberry", UID0: "goldenraspberry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:stick> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:49> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Корица
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cinnamon", UID0: "cinnamon"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.9:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кокос
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "coconut", UID0: "coconut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:50> * 4, 3500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кешью
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "cashew", UID0: "cashew"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:51> * 4, 5000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Авокадо
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "avocado", UID0: "avocado"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:52> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Мускатный орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "nutmeg", UID0: "nutmeg"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:53> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Ямайский перец
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "allspice", UID0: "allspice"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:54> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Перец чили
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "chilli", UID0: "chilli"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:55> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Звездчатый анис
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "staranise", UID0: "staranise"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:56> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Манго
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "mango", UID0: "mango"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:57> * 4, 6500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Карамбола
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "starfruit", UID0: "starfruit"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:58> * 4, 5000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Плод свечного дерева
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "candlenut", UID0: "candlenut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:59> * 4, 4500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Карликовый орех
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "dwarfhazel", UID0: "dwarfhazel"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<extratrees:logs.3:2> * 8, 7500, 500)
    .chancedOutput(<extratrees:food:24> * 4, 3500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Яблочный дуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeOak", UID0: "forestry.treeOak"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log> * 8, 7500, 500)
    .chancedOutput(<minecraft:apple> * 4, 4000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Темный дуб
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeDarkOak", UID0: "forestry.treeDarkOak"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log2:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Белая береза
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeBirch", UID0: "forestry.treeBirch"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Липа пушистая
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeLime", UID0: "forestry.treeLime"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.0:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Обычное ореховое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeWalnut", UID0: "forestry.treeWalnut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.3:1> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:1> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Каштан посевной
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeChestnut", UID0: "forestry.treeChestnut"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.1> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:2> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сакура
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeCherry", UID0: "forestry.treeCherry"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.3:3> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits> * 4, 7000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Лимонное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeLemon", UID0: "forestry.treeLemon"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:3> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:3> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сливовое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treePlum", UID0: "forestry.treePlum"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:1> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:4> * 4, 6000, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сахарный клен
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeMaple", UID0: "forestry.treeMaple"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Красная ель
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeSpruce", UID0: "forestry.treeSpruce"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Мировая лиственница
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeLarch", UID0: "forestry.treeLarch"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.0> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Желтая сосна
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treePine", UID0: "forestry.treePine"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.5> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Береговая секвойя
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeSequoia", UID0: "forestry.treeSequoia"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.1:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Гигантская секвойя
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeGigant", UID0: "forestry.treeGigant"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.6> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Тропическое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeJungle", UID0: "forestry.treeJungle"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log:3> * 8, 7500, 500)
    .chancedOutput(<minecraft:dye:3> * 4, 3500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Тиковое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeTeak", UID0: "forestry.treeTeak"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.0:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Муравьиное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeIpe", UID0: "forestry.treeIpe"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.6:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Хлопковое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeKapok", UID0: "forestry.treeKapok"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Мирт
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeEbony", UID0: "forestry.treeEbony"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.2:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Зебрано
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeZebrawood", UID0: "forestry.treeZebrawood"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.7> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Желтый меранти
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeMahogony", UID0: "forestry.treeMahogony"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.2:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Акация
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeAcaciaVanilla", UID0: "forestry.treeAcaciaVanilla"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<minecraft:log2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Пустынная акация
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeAcacia", UID0: "forestry.treeAcacia"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.0:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Падук
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treePadauk", UID0: "forestry.treePadauk"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.6:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Бальза
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeBalsa", UID0: "forestry.treeBalsa"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.2:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Кокоболо
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeCocobolo", UID0: "forestry.treeCocobolo"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.6:3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дерево Венге
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeWenge", UID0: "forestry.treeWenge"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.1:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Адансонии Грандидье
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeBaobab", UID0: "forestry.treeBaobab"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.1:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Синий гибискус
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeMahoe", UID0: "forestry.treeMahoe"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.4> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Белая ива
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeWillow", UID0: "forestry.treeWillow"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.3> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Сипири
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeSipiri", UID0: "forestry.treeSipiri"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.3:2> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Дынное дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treePapaya", UID0: "forestry.treePapaya"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.4:3> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:6> * 4, 3500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Финиковая пальма
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treeDate", UID0: "forestry.treeDate"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.4:2> * 8, 7500, 500)
    .chancedOutput(<forestry:fruits:5> * 4, 5500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Белый тополь
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<forestry:sapling>.withTag({Genome: {Chromosomes: [{UID1: "forestry.treePoplar", UID0: "forestry.treePoplar"}]}}))
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<forestry:logs.4:1> * 8, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();

// Каучуковое дерево
green_house.recipeBuilder()
    .inputs(<forestry:fertilizer_compound>)
    .notConsumable(<gregtech:sapling>)
    .notConsumable(<minecraft:grass>)
    .fluidInputs([<liquid:water> * 3000])
    .chancedOutput(<gregtech:log> * 8, 7500, 500)
    .chancedOutput(<gregtech:meta_item_1:32627> * 4, 7500, 500)
    .duration(90 * 20)
    .EUt(32)
    .buildAndRegister();


print("Initialized 'GregicalityTrees'");