# Immersive Engineering Excavator

import mods.immersiveengineering.Excavator;

print("Initializing 'Immersive Engineering Excavator'...");

// Бериллий
Excavator.addMineral("Бериллий (Бедное месторождение)", 4, 0.005, ["orePoorBeryllium", "orePoorEmerald", "orePoorThorium"], [0.50, 0.30, 0.20]);
Excavator.addMineral("Бериллий (Обычное месторождение)", 8, 0.005, ["oreBeryllium", "oreEmerald", "oreThorium"], [0.50, 0.30, 0.20]);
Excavator.addMineral("Бериллий (Плотное месторождение)", 4, 0.005, ["oreRichBeryllium", "oreRichEmerald", "oreRichThorium"], [0.50, 0.30, 0.20]);
Excavator.addMineral("Бериллий (Чистое месторождение)", 2, 0.005, ["orePureBeryllium", "orePureEmerald", "orePureThorium"], [0.50, 0.30, 0.20]);

// Лазурит
Excavator.removeMineral("Lapis");
Excavator.addMineral("Лазурит (Бедное месторождение)", 5, 0.005, ["orePoorLazurite", "orePoorSodalite", "orePoorLapis", "orePoorCalcite"], [0.30, 0.20, 0.35, 0.15]);
Excavator.addMineral("Лазурит (Обычное месторождение)", 10, 0.005, ["oreLazurite", "oreSodalite", "oreLapis", "oreCalcite"], [0.30, 0.20, 0.35, 0.15]);
Excavator.addMineral("Лазурит (Плотное месторождение)", 5, 0.005, ["oreRichLazurite", "oreRichSodalite", "oreRichLapis", "oreRichCalcite"], [0.30, 0.20, 0.35, 0.15]);
Excavator.addMineral("Лазурит (Чистое месторождение)", 2.5, 0.005, ["orePureLazurite", "orePureSodalite", "orePureLapis", "orePureCalcite"], [0.30, 0.20, 0.35, 0.15]);

// Марганец
Excavator.addMineral("Марганец (Бедное месторождение)", 2.5, 0.005, ["orePoorGrossular", "orePoorSpessartine", "orePoorPyrolusite", "orePoorTantalite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Марганец (Обычное месторождение)", 5, 0.005, ["oreGrossular", "oreSpessartine", "orePyrolusite", "oreTantalite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Марганец (Плотное месторождение)", 2.5, 0.005, ["oreRichGrossular", "oreRichSpessartine", "oreRichPyrolusite", "oreRichTantalite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Марганец (Чистое месторождение)", 1.3, 0.005, ["orePureGrossular", "orePureSpessartine", "orePurePyrolusite", "orePureTantalite"], [0.30, 0.30, 0.30, 0.10]);

// Молибден
Excavator.addMineral("Молибден (Бедное месторождение)", 2.5, 0.005, ["orePoorWulfenite", "orePoorMolybdenite", "orePoorPowellite"], [0.40, 0.40, 0.20]);
Excavator.addMineral("Молибден (Обычное месторождение)", 5, 0.005, ["oreWulfenite", "oreMolybdenite", "orePowellite"], [0.40, 0.40, 0.20]);
Excavator.addMineral("Молибден (Плотное месторождение)", 2.5, 0.005, ["oreRichWulfenite", "oreRichMolybdenite", "oreRichPowellite"], [0.40, 0.40, 0.20]);
Excavator.addMineral("Молибден (Чистое месторождение)", 1.3, 0.005, ["orePureWulfenite", "orePureMolybdenite", "orePurePowellite"], [0.40, 0.40, 0.20]);

// Наквада
Excavator.addMineral("Наквада (Бедное месторождение)", 0.5, 0.005, ["orePoorNaquadriaticCompound", "orePoorEnrichedNaquadricCompound", "orePoorNaquadah", "orePoorNaquadahEnriched"], [0.45, 0.05, 0.45, 0.05]);
Excavator.addMineral("Наквада (Обычное месторождение)", 1, 0.005, ["oreNaquadriaticCompound", "oreEnrichedNaquadricCompound", "oreNaquadah", "oreNaquadahEnriched"], [0.45, 0.05, 0.45, 0.05]);
Excavator.addMineral("Наквада (Плотное месторождение)", 0.5, 0.005, ["oreRichNaquadriaticCompound", "oreRichEnrichedNaquadricCompound", "oreRichNaquadah", "oreRichNaquadahEnriched"], [0.45, 0.05, 0.45, 0.05]);
Excavator.addMineral("Наквада (Чистое месторождение)", 0.3, 0.005, ["orePureNaquadriaticCompound", "orePureEnrichedNaquadricCompound", "orePureNaquadah", "orePureNaquadahEnriched"], [0.45, 0.05, 0.45, 0.05]);

// Никель
Excavator.removeMineral("Nickel");
Excavator.removeMineral("Nickel Ore");
Excavator.addMineral("Никель (Бедное месторождение)", 6.5, 0.005, ["orePoorGarnierite", "orePoorNickel", "orePoorCobaltite", "orePoorPentlandite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Никель (Обычное месторождение)", 13, 0.005, ["oreGarnierite", "oreNickel", "oreCobaltite", "orePentlandite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Никель (Плотное месторождение)", 6.5, 0.005, ["oreRichGarnierite", "oreRichNickel", "oreRichCobaltite", "oreRichPentlandite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Никель (Чистое месторождение)", 3.3, 0.005, ["orePureGarnierite", "orePureNickel", "orePureCobaltite", "orePurePentlandite"], [0.30, 0.30, 0.30, 0.10]);

// Смесь редких руд
Excavator.addMineral("Смесь редких руд (Бедное месторождение)", 2, 0.005, ["orePoorPlatinumMetallicPowder", "orePoorPalladiumMetallicPowder", "orePoorRarestMetalResidue"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Смесь редких руд (Обычное месторождение)", 4, 0.005, ["orePlatinumMetallicPowder", "orePalladiumMetallicPowder", "oreRarestMetalResidue"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Смесь редких руд (Плотное месторождение)", 2, 0.005, ["oreRichPlatinumMetallicPowder", "oreRichPalladiumMetallicPowder", "oreRichRarestMetalResidue"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Смесь редких руд (Чистое месторождение)", 1, 0.005, ["orePurePlatinumMetallicPowder", "orePurePalladiumMetallicPowder", "orePureRarestMetalResidue"], [0.45, 0.35, 0.20]);

// Редкая руда
Excavator.removeMineral("Platinum");
Excavator.addMineral("Редкая руда (Бедное месторождение)", 2, 0.005, ["orePoorPlatinum", "orePoorPalladium", "orePoorIridium"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Редкая руда (Обычное месторождение)", 4, 0.005, ["orePlatinum", "orePalladium", "oreIridium"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Редкая руда (Плотное месторождение)", 2, 0.005, ["oreRichPlatinum", "oreRichPalladium", "oreRichIridium"], [0.45, 0.35, 0.20]);
Excavator.addMineral("Редкая руда (Чистое месторождение)", 1, 0.005, ["orePurePlatinum", "orePurePalladium", "orePureIridium"], [0.45, 0.35, 0.20]);

// Вольфрам
Excavator.addMineral("Вольфрам (Бедное месторождение)", 1, 0.005, ["orePoorScheelite", "orePoorTungstate", "orePoorLithium", "orePoorTellurium"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Вольфрам (Обычное месторождение)", 2, 0.005, ["oreScheelite", "oreTungstate", "oreLithium", "oreTellurium"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Вольфрам (Плотное месторождение)", 1, 0.005, ["oreRichScheelite", "oreRichTungstate", "oreRichLithium", "oreRichTellurium"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Вольфрам (Чистое месторождение)", 0.5, 0.005, ["orePureScheelite", "orePureTungstate", "orePureLithium", "orePureTellurium"], [0.57, 0.19, 0.19, 0.05]);

// Халькопирит
Excavator.removeMineral("Pyrite");
Excavator.removeMineral("Iron");
Excavator.removeMineral("Copper");
Excavator.removeMineral("Copper Ore");
Excavator.addMineral("Халькопирит (Бедное месторождение)", 8, 0.005, ["orePoorChalcopyrite", "orePoorIron", "orePoorPyrite", "orePoorCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Халькопирит (Обычное месторождение)", 16, 0.005, ["oreChalcopyrite", "oreIron", "orePyrite", "oreCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Халькопирит (Плотное месторождение)", 8, 0.005, ["oreRichChalcopyrite", "oreRichIron", "oreRichPyrite", "oreRichCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Халькопирит (Чистое месторождение)", 4, 0.005, ["orePureChalcopyrite", "orePureIron", "orePurePyrite", "orePureCopper"], [0.30, 0.30, 0.30, 0.10]);

// Железо
Excavator.addMineral("Железо (Бедное месторождение)", 10, 0.005, ["orePoorBrownLimonite", "orePoorYellowLimonite", "orePoorBandedIron", "orePoorMalachite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Железо (Обычное месторождение)", 20, 0.005, ["oreBrownLimonite", "oreYellowLimonite", "oreBandedIron", "oreMalachite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Железо (Плотное месторождение)", 10, 0.005, ["oreRichBrownLimonite", "oreRichYellowLimonite", "oreRichBandedIron", "oreRichMalachite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Железо (Чистое месторождение)", 5, 0.005, ["orePureBrownLimonite", "orePureYellowLimonite", "orePureBandedIron", "orePureMalachite"], [0.30, 0.30, 0.30, 0.10]);

// Редстоун
Excavator.removeMineral("Cinnabar");
Excavator.addMineral("Редстоун (Бедное месторождение)", 7, 0.005, ["orePoorRedstone", "orePoorCinnabar", "orePoorRuby", "orePoorChromite"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Редстоун (Обычное месторождение)", 14, 0.005, ["oreRedstone", "oreCinnabar", "oreRuby", "oreChromite"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Редстоун (Плотное месторождение)", 7, 0.005, ["oreRichRedstone", "oreRichCinnabar", "oreRichRuby", "oreRichChromite"], [0.57, 0.19, 0.19, 0.05]);
Excavator.addMineral("Редстоун (Чистое месторождение)", 3.5, 0.005, ["orePureRedstone", "orePureCinnabar", "orePureRuby", "orePureChromite"], [0.57, 0.19, 0.19, 0.05]);

// Магнетит
Excavator.removeMineral("Magnetite");
Excavator.removeMineral("Gold");
Excavator.addMineral("Магнетит (Бедное месторождение)", 10, 0.005, ["orePoorMagnetite", "orePoorIron", "orePoorVanadiumMagnetite", "orePoorGold"], [0.60, 0.15, 0.15, 0.10]);
Excavator.addMineral("Магнетит (Обычное месторождение)", 20, 0.005, ["oreMagnetite", "oreIron", "oreVanadiumMagnetite", "oreGold"], [0.60, 0.15, 0.15, 0.10]);
Excavator.addMineral("Магнетит (Плотное месторождение)", 10, 0.005, ["oreRichMagnetite", "oreRichIron", "oreRichVanadiumMagnetite", "oreRichGold"], [0.60, 0.15, 0.15, 0.10]);
Excavator.addMineral("Магнетит (Чистое месторождение)", 5, 0.005, ["orePureMagnetite", "orePureIron", "orePureVanadiumMagnetite", "orePureGold"], [0.60, 0.15, 0.15, 0.10]);

// Сера
Excavator.addMineral("Сера (Бедное месторождение)", 10, 0.005, ["orePoorSulfur", "orePoorNiter", "orePoorPyrite", "orePoorSphalerite", "orePoorTennantite"], [0.40, 0.30, 0.10, 0.10, 0.10]);
Excavator.addMineral("Сера (Обычное месторождение)", 20, 0.005, ["oreSulfur", "oreNiter", "orePyrite", "oreSphalerite", "oreTennantite"], [0.40, 0.30, 0.10, 0.10, 0.10]);
Excavator.addMineral("Сера (Плотное месторождение)", 10, 0.005, ["oreRichSulfur", "oreRichNiter", "oreRichPyrite", "oreRichSphalerite", "oreRichTennantite"], [0.40, 0.30, 0.10, 0.10, 0.10]);
Excavator.addMineral("Сера (Чистое месторождение)", 5, 0.005, ["orePureSulfur", "orePureNiter", "orePurePyrite", "orePureSphalerite", "orePureTennantite"], [0.40, 0.30, 0.10, 0.10, 0.10]);

// Селитра
Excavator.addMineral("Селитра (Бедное месторождение)", 6, 0.005, ["orePoorSalt", "orePoorRockSalt", "orePoorSaltpeter"], [0.20, 0.30, 0.50]);
Excavator.addMineral("Селитра (Обычное месторождение)", 12, 0.005, ["oreSalt", "oreRockSalt", "oreSaltpeter"], [0.20, 0.30, 0.50]);
Excavator.addMineral("Селитра (Плотное месторождение)", 6, 0.005, ["oreRichSalt", "oreRichRockSalt", "oreRichSaltpeter"], [0.20, 0.30, 0.50]);
Excavator.addMineral("Селитра (Чистое месторождение)", 3, 0.005, ["orePureSalt", "orePureRockSalt", "orePureSaltpeter"], [0.20, 0.30, 0.50]);

// Медь
Excavator.addMineral("Медь (Бедное месторождение)", 7, 0.005, ["orePoorTetrahedrite", "orePoorCopper", "orePoorStibnite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Медь (Обычное месторождение)", 14, 0.005, ["oreTetrahedrite", "oreCopper", "oreStibnite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Медь (Плотное месторождение)", 7, 0.005, ["oreRichTetrahedrite", "oreRichCopper", "oreRichStibnite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Медь (Чистое месторождение)", 3.5, 0.005, ["orePureTetrahedrite", "orePureCopper", "orePureStibnite"], [0.60, 0.20, 0.20]);

// Топаз
Excavator.addMineral("Топаз (Бедное месторождение)", 4, 0.005, ["orePoorTopaz", "orePoorBlueTopaz", "orePoorZirkelite"], [0.55, 0.40, 0.05]);
Excavator.addMineral("Топаз (Обычное месторождение)", 8, 0.005, ["oreTopaz", "oreBlueTopaz", "oreZirkelite"], [0.55, 0.40, 0.05]);
Excavator.addMineral("Топаз (Плотное месторождение)", 4, 0.005, ["oreRichTopaz", "oreRichBlueTopaz", "oreRichZirkelite"], [0.55, 0.40, 0.05]);
Excavator.addMineral("Топаз (Чистое месторождение)", 2, 0.005, ["orePureTopaz", "orePureBlueTopaz", "orePureZirkelite"], [0.55, 0.40, 0.05]);

// Апатит
Excavator.addMineral("Апатит (Бедное месторождение)", 6, 0.005, ["orePoorApatite", "orePoorPhosphor"], [0.60, 0.40]);
Excavator.addMineral("Апатит (Обычное месторождение)", 12, 0.005, ["oreApatite", "orePhosphor"], [0.60, 0.40]);
Excavator.addMineral("Апатит (Плотное месторождение)", 6, 0.005, ["oreRichApatite", "oreRichPhosphor"], [0.60, 0.40]);
Excavator.addMineral("Апатит (Чистое месторождение)", 3, 0.005, ["orePureApatite", "orePurePhosphor"], [0.60, 0.40]);

// Гипс
Excavator.addMineral("Гипс (Бедное месторождение)", 8, 0.005, ["orePoorBasalticMineralSand", "orePoorGraniticMineralSand", "orePoorFullersEarth", "orePoorGypsum"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Гипс (Обычное месторождение)", 16, 0.005, ["oreBasalticMineralSand", "oreGraniticMineralSand", "oreFullersEarth", "oreGypsum"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Гипс (Плотное месторождение)", 8, 0.005, ["oreRichBasalticMineralSand", "oreRichGraniticMineralSand", "oreRichFullersEarth", "oreRichGypsum"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Гипс (Чистое месторождение)", 4, 0.005, ["orePureBasalticMineralSand", "orePureGraniticMineralSand", "orePureFullersEarth", "orePureGypsum"], [0.30, 0.30, 0.20, 0.20]);

// Алюминий
Excavator.removeMineral("Bauxite");
Excavator.removeMineral("Bauxite Ore");
Excavator.addMineral("Алюминий (Бедное месторождение)", 9, 0.005, ["orePoorBauxite", "orePoorAluminium", "orePoorIlmenite", "orePoorRutile"], [0.50, 0.30, 0.15, 0.05]);
Excavator.addMineral("Алюминий (Обычное месторождение)", 18, 0.005, ["oreBauxite", "oreAluminium", "oreIlmenite", "oreRutile"], [0.50, 0.30, 0.15, 0.05]);
Excavator.addMineral("Алюминий (Плотное месторождение)", 9, 0.005, ["oreRichBauxite", "oreRichAluminium", "oreRichIlmenite", "oreRichRutile"], [0.50, 0.30, 0.15, 0.05]);
Excavator.addMineral("Алюминий (Чистое месторождение)", 4.5, 0.005, ["orePureBauxite", "orePureAluminium", "orePureIlmenite", "orePureRutile"], [0.50, 0.30, 0.15, 0.05]);

// Борнит
Excavator.addMineral("Борнит (Бедное месторождение)", 8, 0.005, ["orePoorBornite", "orePoorChalcocite", "orePoorEnargite", "orePoorCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Борнит (Обычное месторождение)", 16, 0.005, ["oreBornite", "oreChalcocite", "oreEnargite", "oreCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Борнит (Плотное месторождение)", 8, 0.005, ["oreRichBornite", "oreRichChalcocite", "oreRichEnargite", "oreRichCopper"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Борнит (Чистое месторождение)", 4, 0.005, ["orePureBornite", "orePureChalcocite", "orePureEnargite", "orePureCopper"], [0.30, 0.30, 0.30, 0.10]);

// Касситерит
Excavator.addMineral("Касситерит (Бедное месторождение)", 8, 0.005, ["orePoorCassiteriteSand", "orePoorGarnetSand", "orePoorAsbestos", "orePoorDiatomite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Касситерит (Обычное месторождение)", 16, 0.005, ["oreCassiteriteSand", "oreGarnetSand", "oreAsbestos", "oreDiatomite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Касситерит (Плотное месторождение)", 8, 0.005, ["oreRichCassiteriteSand", "oreRichGarnetSand", "oreRichAsbestos", "oreRichDiatomite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Касситерит (Чистое месторождение)", 4, 0.005, ["orePureCassiteriteSand", "orePureGarnetSand", "orePureAsbestos", "orePureDiatomite"], [0.30, 0.30, 0.30, 0.10]);

// Вермикулит
Excavator.addMineral("Вермикулит (Бедное месторождение)", 8, 0.005, ["orePoorChalcopyrite", "orePoorVermiculite", "orePoorCassiterite", "orePoorAlunite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Вермикулит (Обычное месторождение)", 16, 0.005, ["oreChalcopyrite", "oreVermiculite", "oreCassiterite", "oreAlunite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Вермикулит (Плотное месторождение)", 8, 0.005, ["oreRichChalcopyrite", "oreRichVermiculite", "oreRichCassiterite", "oreRichAlunite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Вермикулит (Чистое месторождение)", 4, 0.005, ["orePureChalcopyrite", "orePureVermiculite", "orePureCassiterite", "orePureAlunite"], [0.30, 0.30, 0.30, 0.10]);

// Уголь
Excavator.removeMineral("Coal");
Excavator.addMineral("Уголь (Бедное месторождение)", 7, 0.005, ["orePoorLignite", "orePoorCoal"], [0.25, 0.75]);
Excavator.addMineral("Уголь (Обычное месторождение)", 14, 0.005, ["oreLignite", "oreCoal"], [0.25, 0.75]);
Excavator.addMineral("Уголь (Плотное месторождение)", 7, 0.005, ["oreRichLignite", "oreRichCoal"], [0.25, 0.75]);
Excavator.addMineral("Уголь (Чистое месторождение)", 3.5, 0.005, ["orePureLignite", "orePureCoal"], [0.25, 0.75]);

// Бурый уголь
Excavator.addMineral("Бурый уголь (Бедное месторождение)", 7, 0.005, ["orePoorLignite", "orePoorCoal"], [0.75, 0.25]);
Excavator.addMineral("Бурый уголь (Обычное месторождение)", 14, 0.005, ["oreLignite", "oreCoal"], [0.75, 0.25]);
Excavator.addMineral("Бурый уголь (Плотное месторождение)", 7, 0.005, ["oreRichLignite", "oreRichCoal"], [0.75, 0.25]);
Excavator.addMineral("Бурый уголь (Чистое месторождение)", 3.5, 0.005, ["orePureLignite", "orePureCoal"], [0.75, 0.25]);

// Графит
Excavator.addMineral("Графит (Бедное месторождение)", 2.5, 0.005, ["orePoorGraphite", "orePoorDiamond", "orePoorCoal"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Графит (Обычное месторождение)", 5, 0.005, ["oreGraphite", "oreDiamond", "oreCoal"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Графит (Плотное месторождение)", 2.5, 0.005, ["oreRichGraphite", "oreRichDiamond", "oreRichCoal"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Графит (Чистое месторождение)", 1.3, 0.005, ["orePureGraphite", "orePureDiamond", "orePureCoal"], [0.60, 0.20, 0.20]);

// Доломит
Excavator.addMineral("Доломит (Бедное месторождение)", 4, 0.005, ["orePoorDolomite", "orePoorWollastonite", "orePoorTrona", "orePoorAndradite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Доломит (Обычное месторождение)", 8, 0.005, ["oreDolomite", "oreWollastonite", "oreTrona", "oreAndradite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Доломит (Плотное месторождение)", 4, 0.005, ["oreRichDolomite", "oreRichWollastonite", "oreRichTrona", "oreRichAndradite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Доломит (Чистое месторождение)", 2, 0.005, ["orePureDolomite", "orePureWollastonite", "orePureTrona", "orePureAndradite"], [0.30, 0.30, 0.30, 0.10]);

// Галена
Excavator.removeMineral("Galena");
Excavator.removeMineral("Silver");
Excavator.removeMineral("Silver Ore");
Excavator.removeMineral("Lead");
Excavator.removeMineral("Lead Ore");
Excavator.addMineral("Галена (Бедное месторождение)", 4, 0.005, ["orePoorGalena", "orePoorSilver", "orePoorLead"], [0.50, 0.25, 0.25]);
Excavator.addMineral("Галена (Обычное месторождение)", 8, 0.005, ["oreGalena", "oreSilver", "oreLead"], [0.50, 0.25, 0.25]);
Excavator.addMineral("Галена (Плотное месторождение)", 4, 0.005, ["oreRichGalena", "oreRichSilver", "oreRichLead"], [0.50, 0.25, 0.25]);
Excavator.addMineral("Галена (Чистое месторождение)", 2, 0.005, ["orePureGalena", "orePureSilver", "orePureLead"], [0.50, 0.25, 0.25]);

// Каолинит
Excavator.addMineral("Каолинит (Бедное месторождение)", 6, 0.005, ["orePoorKaolinite", "orePoorZeolite", "orePoorFullersEarth", "orePoorGlauconiteSand"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Каолинит (Обычное месторождение)", 12, 0.005, ["oreKaolinite", "oreZeolite", "oreFullersEarth", "oreGlauconiteSand"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Каолинит (Плотное месторождение)", 6, 0.005, ["oreRichKaolinite", "oreRichZeolite", "oreRichFullersEarth", "oreRichGlauconiteSand"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Каолинит (Чистое месторождение)", 3, 0.005, ["orePureKaolinite", "orePureZeolite", "orePureFullersEarth", "orePureGlauconiteSand"], [0.30, 0.30, 0.20, 0.20]);

// Кианит
Excavator.addMineral("Кианит (Бедное месторождение)", 2, 0.005, ["orePoorKyanite", "orePoorMica", "orePoorCassiterite", "orePoorPollucite"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Кианит (Обычное месторождение)", 4, 0.005, ["oreKyanite", "oreMica", "oreCassiterite", "orePollucite"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Кианит (Плотное месторождение)", 2, 0.005, ["oreRichKyanite", "oreRichMica", "oreRichCassiterite", "oreRichPollucite"], [0.30, 0.30, 0.20, 0.20]);
Excavator.addMineral("Кианит (Чистое месторождение)", 1, 0.005, ["orePureKyanite", "orePureMica", "orePureCassiterite", "orePurePollucite"], [0.30, 0.30, 0.20, 0.20]);

// Слюда
Excavator.addMineral("Слюда (Бедное месторождение)", 6, 0.005, ["orePoorMica", "orePoorAsbestos", "orePoorGypsum", "orePoorKaolinite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Слюда (Обычное месторождение)", 12, 0.005, ["oreMica", "oreAsbestos", "oreGypsum", "oreKaolinite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Слюда (Плотное месторождение)", 6, 0.005, ["oreRichMica", "oreRichAsbestos", "oreRichGypsum", "oreRichKaolinite"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Слюда (Чистое месторождение)", 3, 0.005, ["orePureMica", "orePureAsbestos", "orePureGypsum", "orePureKaolinite"], [0.30, 0.30, 0.30, 0.10]);

// Монацит
Excavator.addMineral("Монацит (Бедное месторождение)", 3, 0.005, ["orePoorBastnasite", "orePoorMonazite", "orePoorNeodymium"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Монацит (Обычное месторождение)", 6, 0.005, ["oreBastnasite", "oreMonazite", "oreNeodymium"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Монацит (Плотное месторождение)", 3, 0.005, ["oreRichBastnasite", "oreRichMonazite", "oreRichNeodymium"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Монацит (Чистое месторождение)", 1.5, 0.005, ["orePureBastnasite", "orePureMonazite", "orePureNeodymium"], [0.60, 0.20, 0.20]);

// Оливин
Excavator.addMineral("Оливин (Бедное месторождение)", 5.5, 0.005, ["orePoorPrasiolite", "orePoorBentonite", "orePoorMagnesite", "orePoorOlivine", "orePoorGlauconite"], [0.05, 0.30, 0.30, 0.30, 0.05]);
Excavator.addMineral("Оливин (Обычное месторождение)", 11, 0.005, ["orePrasiolite", "oreBentonite", "oreMagnesite", "oreOlivine", "oreGlauconite"], [0.05, 0.30, 0.30, 0.30, 0.05]);
Excavator.addMineral("Оливин (Плотное месторождение)", 5.5, 0.005, ["oreRichPrasiolite", "oreRichBentonite", "oreRichMagnesite", "oreRichOlivine", "oreRichGlauconite"], [0.05, 0.30, 0.30, 0.30, 0.05]);
Excavator.addMineral("Оливин (Чистое месторождение)", 2.8, 0.005, ["orePurePrasiolite", "orePureBentonite", "orePureMagnesite", "orePureOlivine", "orePureGlauconite"], [0.05, 0.30, 0.30, 0.30, 0.05]);

// Уран
Excavator.removeMineral("Uranium");
Excavator.removeMineral("Uranium Ore");
Excavator.addMineral("Уран (Бедное месторождение)", 4.5, 0.005, ["orePoorUranium", "orePoorPitchblende", "orePoorUraninite"], [0.10, 0.50, 0.40]);
Excavator.addMineral("Уран (Обычное месторождение)", 9, 0.005, ["oreUranium", "orePitchblende", "oreUraninite"], [0.10, 0.50, 0.40]);
Excavator.addMineral("Уран (Плотное месторождение)", 4.5, 0.005, ["oreRichUranium", "oreRichPitchblende", "oreRichUraninite"], [0.10, 0.50, 0.40]);
Excavator.addMineral("Уран (Чистое месторождение)", 2.3, 0.005, ["orePureUranium", "orePurePitchblende", "orePureUraninite"], [0.10, 0.50, 0.40]);

// Кварц
Excavator.removeMineral("Quartzite");
Excavator.addMineral("Кварц (Бедное месторождение)", 7, 0.005, ["orePoorQuartzite", "orePoorBarite", "orePoorCertusQuartz", "orePoorTennantite"], [0.35, 0.25, 0.20, 0.20]);
Excavator.addMineral("Кварц (Обычное месторождение)", 14, 0.005, ["oreQuartzite", "oreBarite", "oreCertusQuartz", "oreTennantite"], [0.35, 0.25, 0.20, 0.20]);
Excavator.addMineral("Кварц (Плотное месторождение)", 7, 0.005, ["oreRichQuartzite", "oreRichBarite", "oreRichCertusQuartz", "oreRichTennantite"], [0.35, 0.25, 0.20, 0.20]);
Excavator.addMineral("Кварц (Чистое месторождение)", 3.5, 0.005, ["orePureQuartzite", "orePureBarite", "orePureCertusQuartz", "orePureTennantite"], [0.35, 0.25, 0.20, 0.20]);

// Соль
Excavator.addMineral("Соль (Бедное месторождение)", 6, 0.005, ["orePoorSalt", "orePoorRockSalt", "orePoorLepidolite", "orePoorSpodumene"], [0.40, 0.35, 0.15, 0.10]);
Excavator.addMineral("Соль (Обычное месторождение)", 12, 0.005, ["oreSalt", "oreRockSalt", "oreLepidolite", "oreSpodumene"], [0.40, 0.35, 0.15, 0.10]);
Excavator.addMineral("Соль (Плотное месторождение)", 6, 0.005, ["oreRichSalt", "oreRichRockSalt", "oreRichLepidolite", "oreRichSpodumene"], [0.40, 0.35, 0.15, 0.10]);
Excavator.addMineral("Соль (Чистое месторождение)", 3, 0.005, ["orePureSalt", "orePureRockSalt", "orePureLepidolite", "orePureSpodumene"], [0.40, 0.35, 0.15, 0.10]);

// Сапфир
Excavator.addMineral("Сапфир (Бедное месторождение)", 6, 0.005, ["orePoorAlmandine", "orePoorPyrope", "orePoorSapphire", "orePoorGreenSapphire"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Сапфир (Обычное месторождение)", 12, 0.005, ["oreAlmandine", "orePyrope", "oreSapphire", "oreGreenSapphire"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Сапфир (Плотное месторождение)", 6, 0.005, ["oreRichAlmandine", "oreRichPyrope", "oreRichSapphire", "oreRichGreenSapphire"], [0.30, 0.30, 0.30, 0.10]);
Excavator.addMineral("Сапфир (Чистое месторождение)", 3, 0.005, ["orePureAlmandine", "orePurePyrope", "orePureSapphire", "orePureGreenSapphire"], [0.30, 0.30, 0.30, 0.10]);

// Тальк
Excavator.addMineral("Тальк (Бедное месторождение)", 4, 0.005, ["orePoorSoapstone", "orePoorTalc", "orePoorGlauconite", "orePoorPentlandite"], [0.25, 0.25, 0.25, 0.25]);
Excavator.addMineral("Тальк (Обычное месторождение)", 8, 0.005, ["oreSoapstone", "oreTalc", "oreGlauconite", "orePentlandite"], [0.25, 0.25, 0.25, 0.25]);
Excavator.addMineral("Тальк (Плотное месторождение)", 4, 0.005, ["oreRichSoapstone", "oreRichTalc", "oreRichGlauconite", "oreRichPentlandite"], [0.25, 0.25, 0.25, 0.25]);
Excavator.addMineral("Тальк (Чистое месторождение)", 2, 0.005, ["orePureSoapstone", "orePureTalc", "orePureGlauconite", "orePurePentlandite"], [0.25, 0.25, 0.25, 0.25]);

// Тенорит
Excavator.addMineral("Тенорит (Бедное месторождение)", 8, 0.005, ["orePoorTenorite", "orePoorCopper", "orePoorCuprite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Тенорит (Обычное месторождение)", 16, 0.005, ["oreTenorite", "oreCopper", "oreCuprite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Тенорит (Плотное месторождение)", 8, 0.005, ["oreRichTenorite", "oreRichCopper", "oreRichCuprite"], [0.60, 0.20, 0.20]);
Excavator.addMineral("Тенорит (Чистое месторождение)", 4, 0.005, ["orePureTenorite", "orePureCopper", "orePureCuprite"], [0.60, 0.20, 0.20]);

// Олово
Excavator.removeMineral("Tin");
Excavator.removeMineral("Cassiterite");
Excavator.addMineral("Олово (Бедное месторождение)", 9.5, 0.005, ["orePoorTin", "orePoorCassiterite"], [0.75, 0.25]);
Excavator.addMineral("Олово (Обычное месторождение)", 19, 0.005, ["oreTin", "oreCassiterite"], [0.75, 0.25]);
Excavator.addMineral("Олово (Плотное месторождение)", 9.5, 0.005, ["oreRichTin", "oreRichCassiterite"], [0.75, 0.25]);
Excavator.addMineral("Олово (Чистое месторождение)", 4.8, 0.005, ["orePureTin", "orePureCassiterite"], [0.75, 0.25]);

// Висмут
Excavator.addMineral("Висмут (Бедное месторождение)", 2, 0.005, ["orePoorBismuth", "orePoorSulfur", "orePoorLead"], [0.25, 0.50, 0.25]);
Excavator.addMineral("Висмут (Обычное месторождение)", 4, 0.005, ["oreBismuth", "oreSulfur", "oreLead"], [0.25, 0.50, 0.25]);
Excavator.addMineral("Висмут (Плотное месторождение)", 2, 0.005, ["oreRichBismuth", "oreRichSulfur", "oreRichLead"], [0.25, 0.50, 0.25]);
Excavator.addMineral("Висмут (Чистое месторождение)", 1, 0.005, ["orePureBismuth", "orePureSulfur", "orePureLead"], [0.25, 0.50, 0.25]);

// Аметист
Excavator.addMineral("Аметист (Бедное месторождение)", 0.5, 0.005, ["orePoorAmethyst", "orePoorPrasiolite", "orePoorIron", "orePoorOpal"], [0.35, 0.35, 0.25, 0.05]);
Excavator.addMineral("Аметист (Обычное месторождение)", 1, 0.005, ["oreAmethyst", "orePrasiolite", "oreIron", "oreOpal"], [0.35, 0.35, 0.25, 0.05]);
Excavator.addMineral("Аметист (Плотное месторождение)", 0.5, 0.005, ["oreRichAmethyst", "oreRichPrasiolite", "oreRichIron", "oreRichOpal"], [0.35, 0.35, 0.25, 0.05]);
Excavator.addMineral("Аметист (Чистое месторождение)", 0.3, 0.005, ["orePureAmethyst", "orePurePrasiolite", "orePureIron", "orePureOpal"], [0.35, 0.35, 0.25, 0.05]);

// Танзанит
Excavator.addMineral("Танзанит (Бедное месторождение)", 1, 0.005, ["orePoorTanzanite", "orePoorCalcite", "orePoorGrossular", "orePoorGarnetYellow"], [0.35, 0.30, 0.25, 0.10]);
Excavator.addMineral("Танзанит (Обычное месторождение)", 2, 0.005, ["oreTanzanite", "oreCalcite", "oreGrossular", "oreGarnetYellow"], [0.35, 0.30, 0.25, 0.10]);
Excavator.addMineral("Танзанит (Плотное месторождение)", 1, 0.005, ["oreRichTanzanite", "oreRichCalcite", "oreRichGrossular", "oreRichGarnetYellow"], [0.35, 0.30, 0.25, 0.10]);
Excavator.addMineral("Танзанит (Чистое месторождение)", 0.5, 0.005, ["orePureTanzanite", "orePureCalcite", "orePureGrossular", "orePureGarnetYellow"], [0.35, 0.30, 0.25, 0.10]);

// Джаспер
Excavator.addMineral("Джаспер (Бедное месторождение)", 1, 0.005, ["orePoorJasper", "orePoorSpessartine", "orePoorPyrope", "orePoorAlmandine", "orePoorGarnetRed"], [0.25, 0.25, 0.25, 0.15, 0.10]);
Excavator.addMineral("Джаспер (Обычное месторождение)", 2, 0.005, ["oreJasper", "oreSpessartine", "orePyrope", "oreAlmandine", "oreGarnetRed"], [0.25, 0.25, 0.25, 0.15, 0.10]);
Excavator.addMineral("Джаспер (Плотное месторождение)", 1, 0.005, ["oreRichJasper", "oreRichSpessartine", "oreRichPyrope", "oreRichAlmandine", "oreRichGarnetRed"], [0.25, 0.25, 0.25, 0.15, 0.10]);
Excavator.addMineral("Джаспер (Чистое месторождение)", 0.5, 0.005, ["orePureJasper", "orePureSpessartine", "orePurePyrope", "orePureAlmandine", "orePureGarnetRed"], [0.25, 0.25, 0.25, 0.15, 0.10]);

// Цинк
Excavator.addMineral("Цинк (Бедное месторождение)", 5, 0.005, ["orePoorZinc", "orePoorSphalerite", "orePoorSulfur"], [0.25, 0.25, 0.50]);
Excavator.addMineral("Цинк (Обычное месторождение)", 10, 0.005, ["oreZinc", "oreSphalerite", "oreSulfur"], [0.25, 0.25, 0.50]);
Excavator.addMineral("Цинк (Плотное месторождение)", 5, 0.005, ["oreRichZinc", "oreRichSphalerite", "oreRichSulfur"], [0.25, 0.25, 0.50]);
Excavator.addMineral("Цинк (Чистое месторождение)", 2.5, 0.005, ["orePureZinc", "orePureSphalerite", "orePureSulfur"], [0.25, 0.25, 0.50]);

// Галлий
Excavator.addMineral("Галлий (Бедное месторождение)", 3, 0.005, ["orePoorGallite", "orePoorCopper", "orePoorSulfur"], [0.35, 0.35, 0.30]);
Excavator.addMineral("Галлий (Обычное месторождение)", 6, 0.005, ["oreGallite", "oreCopper", "oreSulfur"], [0.35, 0.35, 0.30]);
Excavator.addMineral("Галлий (Плотное месторождение)", 3, 0.005, ["oreRichGallite", "oreRichCopper", "oreRichSulfur"], [0.35, 0.35, 0.30]);
Excavator.addMineral("Галлий(Чистое месторождение)", 1.5, 0.005, ["orePureGallite", "orePureCopper", "orePureSulfur"], [0.35, 0.35, 0.30]);

// Колумбит
Excavator.addMineral("Колумбит (Бедное месторождение)", 1.5, 0.005, ["orePoorColumbite", "orePoorNiobium", "orePoorIron", "orePoorPyrochlore", "orePoorCelestine"], [0.30, 0.25, 0.15, 0.15, 0.15]);
Excavator.addMineral("Колумбит (Обычное месторождение)", 3, 0.005, ["oreColumbite", "oreNiobium", "oreIron", "orePyrochlore", "oreCelestine"], [0.30, 0.25, 0.15, 0.15, 0.15]);
Excavator.addMineral("Колумбит (Плотное месторождение)", 1.5, 0.005, ["oreRichColumbite", "oreRichNiobium", "oreRichIron", "oreRichPyrochlore", "oreRichCelestine"], [0.30, 0.25, 0.15, 0.15, 0.15]);
Excavator.addMineral("Колумбит (Чистое месторождение)", 0.8, 0.005, ["orePureColumbite", "orePureNiobium", "orePureIron", "orePurePyrochlore", "orePureCelestine"], [0.30, 0.25, 0.15, 0.15, 0.15]);

// Каличе
Excavator.addMineral("Каличе (Бедное месторождение)", 4, 0.005, ["orePoorCaliche", "orePoorFluorite", "orePoorFluoroapatite", "orePoorApatite"], [0.40, 0.20, 0.20, 0.20]);
Excavator.addMineral("Каличе (Обычное месторождение)", 8, 0.005, ["oreCaliche", "oreFluorite", "oreFluoroapatite", "oreApatite"], [0.40, 0.20, 0.20, 0.20]);
Excavator.addMineral("Каличе (Плотное месторождение)", 4, 0.005, ["oreRichCaliche", "oreRichFluorite", "oreRichFluoroapatite", "oreRichApatite"], [0.40, 0.20, 0.20, 0.20]);
Excavator.addMineral("Каличе (Чистое месторождение)", 2, 0.005, ["orePureCaliche", "orePureFluorite", "orePureFluoroapatite", "orePureApatite"], [0.40, 0.20, 0.20, 0.20]);

// Золото
Excavator.addMineral("Золото (Бедное месторождение)", 7, 0.005, ["orePoorMagnetite", "orePoorIron", "orePoorVanadiumMagnetite", "orePoorGold"], [0.30, 0.15, 0.20, 0.35]);
Excavator.addMineral("Золото (Обычное месторождение)", 14, 0.005, ["oreMagnetite", "oreIron", "oreVanadiumMagnetite", "oreGold"], [0.30, 0.15, 0.20, 0.35]);
Excavator.addMineral("Золото (Плотное месторождение)", 7, 0.005, ["oreRichMagnetite", "oreRichIron", "oreRichVanadiumMagnetite", "oreRichGold"], [0.30, 0.15, 0.20, 0.35]);
Excavator.addMineral("Золото (Чистое месторождение)", 3.5, 0.005, ["orePureMagnetite", "orePureIron", "orePureVanadiumMagnetite", "orePureGold"], [0.30, 0.15, 0.20, 0.35]);

// Торий
Excavator.addMineral("Торий (Бедное месторождение)", 4.5, 0.005, ["orePoorThorium", "orePoorPitchblende", "orePoorUranium"], [0.45, 0.30, 0.25]);
Excavator.addMineral("Торий (Обычное месторождение)", 9, 0.005, ["oreThorium", "orePitchblende", "oreUranium"], [0.45, 0.30, 0.25]);
Excavator.addMineral("Торий (Плотное месторождение)", 4.5, 0.005, ["oreRichThorium", "oreRichPitchblende", "oreRichUranium"], [0.45, 0.30, 0.25]);
Excavator.addMineral("Торий (Чистое месторождение)", 2.3, 0.005, ["orePureThorium", "orePurePitchblende", "orePureUranium"], [0.45, 0.30, 0.25]);

// Цирклит
Excavator.addMineral("Цирклит (Бедное месторождение)", 0.5, 0.005, ["orePoorZirkelite", "orePoorCalcite", "orePoorNiobium", "orePoorRutile", "orePoorVinteum"], [0.35, 0.30, 0.20, 0.10, 0.05]);
Excavator.addMineral("Цирклит (Обычное месторождение)", 1, 0.005, ["oreZirkelite", "oreCalcite", "oreNiobium", "oreRutile", "oreVinteum"], [0.35, 0.30, 0.20, 0.10, 0.05]);
Excavator.addMineral("Цирклит (Плотное месторождение)", 0.5, 0.005, ["oreRichZirkelite", "oreRichCalcite", "oreRichNiobium", "oreRichRutile", "oreRichVinteum"], [0.35, 0.30, 0.20, 0.10, 0.05]);
Excavator.addMineral("Цирклит (Чистое месторождение)", 0.3, 0.005, ["orePureZirkelite", "orePureCalcite", "orePureNiobium", "orePureRutile", "orePureVinteum"], [0.35, 0.30, 0.20, 0.10, 0.05]);

// Циркон
Excavator.addMineral("Циркон (Обычное месторождение)", 2, 0.005, ["oreZircon", "oreTrinium"], [0.50, 0.50]);

// Глиняный осадок
Excavator.removeMineral("Silt");
Excavator.addMineral("Глиняный осадок", 20, 0.005, ["blockClay", "sand", "gravel"], [0.75, 0.15, 0.10]);


print("Initialized 'Immersive Engineering Excavator'");