#priority 1
# Iron Chests

import crafttweaker.item.IItemStack;

print("Initializing 'Iron Chests'...");

// Замена слитков на пластины
var items = [<ironchest:iron_shulker_box_white:*>, <ironchest:iron_shulker_box_orange:*>, <ironchest:iron_shulker_box_magenta:*>, <ironchest:iron_shulker_box_light_blue:*>, <ironchest:iron_shulker_box_yellow:*>, <ironchest:iron_shulker_box_lime:*>, <ironchest:iron_shulker_box_pink:*>, <ironchest:iron_shulker_box_gray:*>, <ironchest:iron_shulker_box_silver:*>, <ironchest:iron_shulker_box_cyan:*>, <ironchest:iron_shulker_box_purple:*>, <ironchest:iron_shulker_box_blue:*>, <ironchest:iron_shulker_box_brown:*>, <ironchest:iron_shulker_box_green:*>, <ironchest:iron_shulker_box_red:*>, <ironchest:iron_shulker_box_black:*>, <ironchest:iron_chest:*>, <ironchest:iron_gold_chest_upgrade>, <ironchest:gold_diamond_chest_upgrade>, <ironchest:copper_silver_chest_upgrade>, <ironchest:silver_gold_chest_upgrade>, <ironchest:copper_iron_chest_upgrade>, <ironchest:diamond_crystal_chest_upgrade>, <ironchest:wood_iron_chest_upgrade>, <ironchest:wood_copper_chest_upgrade>, <ironchest:diamond_obsidian_chest_upgrade>, <ironchest:iron_gold_shulker_upgrade>, <ironchest:gold_diamond_shulker_upgrade>, <ironchest:copper_silver_shulker_upgrade>, <ironchest:silver_gold_shulker_upgrade>, <ironchest:copper_iron_shulker_upgrade>, <ironchest:diamond_crystal_shulker_upgrade>, <ironchest:vanilla_iron_shulker_upgrade>, <ironchest:vanilla_iron_shulker_upgrade>, <ironchest:vanilla_copper_shulker_upgrade>, <ironchest:diamond_obsidian_shulker_upgrade>] as IItemStack[];
for item in items {
  recipes.replaceAllOccurences(<ore:ingotIron>, <ore:plateIron>, item);  
  recipes.replaceAllOccurences(<ore:ingotGold>, <ore:plateGold>, item);  
  recipes.replaceAllOccurences(<ore:ingotCopper>, <ore:plateCopper>, item);  
  recipes.replaceAllOccurences(<ore:ingotSilver>, <ore:plateSilver>, item);  
  recipes.replaceAllOccurences(<ore:gemDiamond>, <ore:plateDiamond>, item);
  recipes.replaceAllOccurences(<ore:plateAluminium>, <ore:plateDiamond>, item);  
  recipes.replaceAllOccurences(<ore:plateSteel>, <ore:plateIron>, item);  
}

// Крафт железного сундука
recipes.remove(<ironchest:iron_chest>);
recipes.addShaped(<ironchest:iron_chest>, 
	[[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>], 
	[<ore:plateIron>, <ore:chestWood>, <ore:plateIron>], 
	[<ore:plateIron>, <ore:plateIron>, <ore:plateIron>]]);

recipes.addShaped(<ironchest:iron_chest>, 
	[[<ore:plateIron>, <ore:blockGlass>, <ore:plateIron>], 
	[<ore:blockGlass>, <ironchest:iron_chest:3>, <ore:blockGlass>], 
	[<ore:plateIron>, <ore:blockGlass>, <ore:plateIron>]]);


print("Initialized 'Iron Chests'");